From ed588d8ab854741555afcf7a5ed81f49ca06bce7 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 24 Apr 2019 21:42:10 +0200
Subject: [PATCH 001/310] libressl: update to 2.9.2.

---
 common/shlibs                        |  3 +++
 srcpkgs/{libcrypto44 => libcrypto45} |  0
 srcpkgs/libressl/template            | 17 ++++++++---------
 srcpkgs/{libssl46 => libssl47}       |  0
 srcpkgs/{libtls18 => libtls19}       |  0
 5 files changed, 11 insertions(+), 9 deletions(-)
 rename srcpkgs/{libcrypto44 => libcrypto45} (100%)
 rename srcpkgs/{libssl46 => libssl47} (100%)
 rename srcpkgs/{libtls18 => libtls19} (100%)

diff --git a/common/shlibs b/common/shlibs
index dc704d7c9ab..524b52be71c 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3332,6 +3332,9 @@ libolm.so.3 olm-3.0.0_1
 libcrypto.so.44 libcrypto44-2.8.2_1
 libtls.so.18 libtls18-2.8.2_1
 libssl.so.46 libssl46-2.8.2_1
+libcrypto.so.45 libcrypto45-2.9.2_1
+libtls.so.19 libtls19-2.9.2_1
+libssl.so.47 libssl47-2.9.2_1
 libxmlb.so.1 libxmlb-0.1.3_1
 libvoikko.so.1 libvoikko-4.2_1
 libfstrcmp.so.0 libfstrcmp-0.7.D001_1
diff --git a/srcpkgs/libcrypto44 b/srcpkgs/libcrypto45
similarity index 100%
rename from srcpkgs/libcrypto44
rename to srcpkgs/libcrypto45
diff --git a/srcpkgs/libressl/template b/srcpkgs/libressl/template
index ccfa509ad1d..23ad5c3d986 100644
--- a/srcpkgs/libressl/template
+++ b/srcpkgs/libressl/template
@@ -1,8 +1,7 @@
 # Template file for 'libressl'
 pkgname=libressl
-reverts="2.9.1_1"
-version=2.8.3
-revision=2
+version=2.9.2
+revision=1
 bootstrap=yes
 build_style=gnu-configure
 short_desc="Version of the TLS/crypto stack forked from OpenSSL"
@@ -11,7 +10,7 @@ license="OpenSSL-License, SSLeay-License, ISC"
 #changelog="https://raw.githubusercontent.com/libressl-portable/portable/master/ChangeLog"
 homepage="http://www.libressl.org/"
 distfiles="http://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${pkgname}-${version}.tar.gz"
-checksum=9b640b13047182761a99ce3e4f000be9687566e0828b4a72709e9e6a3ef98477
+checksum=c4c78167fae325b47aebd8beb54b6041d6f6a56b3743f4bd5d79b15642f9d5d4
 provides="openssl-${version}_${revision}"
 replaces="openssl>=0"
 conf_files="/etc/ssl/openssl.cnf /etc/ssl/x509v3.cnf"
@@ -39,21 +38,21 @@ post_install() {
 	find ${DESTDIR}/usr/share/man/man1 -type f ! -name openssl.1 -delete
 }
 
-libcrypto44_package() {
+libcrypto45_package() {
 	short_desc+=" - crypto library"
 	pkg_install() {
 		vmove usr/lib/libcrypto.so.*
 	}
 }
 
-libssl46_package() {
+libssl47_package() {
 	short_desc+=" - SSL/TLS library"
 	pkg_install() {
 		vmove usr/lib/libssl.so.*
 	}
 }
 
-libtls18_package() {
+libtls19_package() {
 	short_desc+=" - new TLS library"
 	pkg_install() {
 		vmove usr/lib/libtls.so.*
@@ -62,8 +61,8 @@ libtls18_package() {
 
 libressl-devel_package() {
 	short_desc+=" - development files"
-	depends="libcrypto44-${version}_${revision} libssl46-${version}_${revision}
-	 libtls18-${version}_${revision}"
+	depends="libcrypto45-${version}_${revision} libssl47-${version}_${revision}
+	 libtls19-${version}_${revision}"
 	pkg_install() {
 		vmove usr/include
 		vmove "usr/lib/*.a"
diff --git a/srcpkgs/libssl46 b/srcpkgs/libssl47
similarity index 100%
rename from srcpkgs/libssl46
rename to srcpkgs/libssl47
diff --git a/srcpkgs/libtls18 b/srcpkgs/libtls19
similarity index 100%
rename from srcpkgs/libtls18
rename to srcpkgs/libtls19

From bec99693eed3da935c5a9e452649232dedf3bc6b Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 24 Apr 2019 22:15:24 +0200
Subject: [PATCH 002/310] xbps: rebuild for libressl-2.9.2.

---
 srcpkgs/xbps/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/xbps/template b/srcpkgs/xbps/template
index 645ea39e147..23c8d900c4a 100644
--- a/srcpkgs/xbps/template
+++ b/srcpkgs/xbps/template
@@ -1,7 +1,7 @@
 # Template file for 'xbps'
 pkgname=xbps
 version=0.53
-revision=9
+revision=10
 bootstrap=yes
 build_style=configure
 short_desc="The XBPS package system utilities"

From 8cf83eaec9b43784344b5eece19cc7d1f8e2b620 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 24 Apr 2019 22:16:36 +0200
Subject: [PATCH 003/310] curl: rebuild for libressl-2.9.2.

---
 srcpkgs/curl/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/curl/template b/srcpkgs/curl/template
index 224437b524b..271147bca5c 100644
--- a/srcpkgs/curl/template
+++ b/srcpkgs/curl/template
@@ -1,7 +1,7 @@
 # Template file for 'curl'
 pkgname=curl
 version=7.65.1
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="ac_cv_sizeof_off_t=8 --enable-threaded-resolver --enable-ipv6
  $(vopt_with rtmp) $(vopt_with gssapi) $(vopt_enable ldap) $(vopt_with gnuts)

From 793b37d158f7b6f74e79d08e49f88be14c1145f1 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 24 Apr 2019 22:18:36 +0200
Subject: [PATCH 004/310] wget: rebuild for libressl-2.9.2.

---
 srcpkgs/wget/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/wget/template b/srcpkgs/wget/template
index 6639379503b..e429284486a 100644
--- a/srcpkgs/wget/template
+++ b/srcpkgs/wget/template
@@ -1,7 +1,7 @@
 # Template file for 'wget'
 pkgname=wget
 version=1.20.3
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="$(vopt_if ssl '--with-ssl=openssl') $(vopt_if gnutls '--with-ssl=gnutls')"
 conf_files="/etc/wgetrc"

From 579f2997ce9e636a492d101057fe7a92dd0d81c7 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 24 Apr 2019 22:21:22 +0200
Subject: [PATCH 005/310] libssh: rebuild for libressl-2.9.2.

---
 srcpkgs/libssh/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libssh/template b/srcpkgs/libssh/template
index bb099f695c8..0748b5d791b 100644
--- a/srcpkgs/libssh/template
+++ b/srcpkgs/libssh/template
@@ -1,7 +1,7 @@
 # Template file for 'libssh'
 pkgname=libssh
 version=0.8.7
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DUNIT_TESTING=ON"
 hostmakedepends="pkg-config python3"

From b1690217e702f9bb6bbc4ed780972ad48dae8d47 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 24 Apr 2019 22:22:06 +0200
Subject: [PATCH 006/310] libssh2: rebuild for libressl-2.9.2.

---
 srcpkgs/libssh2/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libssh2/template b/srcpkgs/libssh2/template
index b6a1eb46ad5..89de6daba29 100644
--- a/srcpkgs/libssh2/template
+++ b/srcpkgs/libssh2/template
@@ -1,7 +1,7 @@
 # Template file for 'libssh2'
 pkgname=libssh2
 version=1.8.2
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-libssl-prefix=${XBPS_CROSS_BASE}/usr"
 makedepends="zlib-devel libressl-devel"

From fd4c490ac53fe8ffc87c29d221e94d0ad18b2b77 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 25 Apr 2019 00:45:53 +0200
Subject: [PATCH 007/310] wpa_supplicant: rebuild for libressl-2.9.2.

---
 srcpkgs/wpa_supplicant/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/wpa_supplicant/template b/srcpkgs/wpa_supplicant/template
index 5bcc08eaf36..bba596a95f2 100644
--- a/srcpkgs/wpa_supplicant/template
+++ b/srcpkgs/wpa_supplicant/template
@@ -1,7 +1,7 @@
 # Template file for 'wpa_supplicant'
 pkgname=wpa_supplicant
 version=2.8
-revision=1
+revision=2
 build_wrksrc="$pkgname"
 short_desc="WPA/WPA2/IEEE 802.1X Supplicant"
 maintainer="Juan RP <xtraeme@voidlinux.org>"

From 2f17a0b9ebd097a6cedb7ee45f1932a4d10f57e7 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 25 Apr 2019 00:49:55 +0200
Subject: [PATCH 008/310] git: rebuild for libressl-2.9.2.

---
 srcpkgs/git/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/git/template b/srcpkgs/git/template
index 1ae564818e7..938516fe7a0 100644
--- a/srcpkgs/git/template
+++ b/srcpkgs/git/template
@@ -1,7 +1,7 @@
 # Template file for 'git'
 pkgname=git
 version=2.22.0
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-curl --with-expat --with-tcltk --with-libpcre2
  ac_cv_snprintf_returns_bogus=no"

From 7362dbcf33466729fabaa08e1a5a79ea09b9e25a Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 25 Apr 2019 00:52:20 +0200
Subject: [PATCH 009/310] lftp: rebuild for libressl-2.9.2.

---
 srcpkgs/lftp/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/lftp/template b/srcpkgs/lftp/template
index e50d652c4e2..8b72c5cd65e 100644
--- a/srcpkgs/lftp/template
+++ b/srcpkgs/lftp/template
@@ -1,7 +1,7 @@
 # Template file for 'lftp'
 pkgname=lftp
 version=4.8.4
-revision=3
+revision=4
 lib32disabled=yes
 build_style=gnu-configure
 configure_args="--with-modules --disable-rpath --without-included-regex

From 6860106764c303e275ded53f7e0118a9e4a2dad8 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 25 Apr 2019 01:00:30 +0200
Subject: [PATCH 010/310] apache: rebuild for libressl-2.9.2.

---
 srcpkgs/apache/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/apache/template b/srcpkgs/apache/template
index b09a3ea68d8..a24361a0612 100644
--- a/srcpkgs/apache/template
+++ b/srcpkgs/apache/template
@@ -1,7 +1,7 @@
 # Template file for 'apache'
 pkgname=apache
 version=2.4.39
-revision=1
+revision=2
 wrksrc="httpd-${version}"
 build_style=gnu-configure
 configure_args="--prefix= --sbindir=/usr/bin --enable-pie --enable-modules=all

From df25aec53d6ffd6e08919cad60ec0c70922bf96a Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 25 Apr 2019 01:06:52 +0200
Subject: [PATCH 011/310] bind: rebuild for libressl-2.9.2.

---
 srcpkgs/bind/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/bind/template b/srcpkgs/bind/template
index db9180dbb66..20c797e28dc 100644
--- a/srcpkgs/bind/template
+++ b/srcpkgs/bind/template
@@ -2,7 +2,7 @@
 pkgname=bind
 reverts="9.13.6_1"
 version=9.11.7
-revision=1
+revision=2
 _fullver="${version}${_patchver:+-${_patchver}}"
 wrksrc="${pkgname}-${_fullver}"
 build_style=gnu-configure

From dec40c1ba7564b743e72e6c814a1199545d87ec6 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 25 Apr 2019 01:07:03 +0200
Subject: [PATCH 012/310] opensmtpd: rebuild for libressl-2.9.2.

---
 srcpkgs/opensmtpd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/opensmtpd/template b/srcpkgs/opensmtpd/template
index 1e971ac9c6a..a2c9dec55d7 100644
--- a/srcpkgs/opensmtpd/template
+++ b/srcpkgs/opensmtpd/template
@@ -1,7 +1,7 @@
 # Template file for 'opensmtpd'
 pkgname=opensmtpd
 version=6.4.1p2
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--sysconfdir=/etc/smtpd --sbindir=/usr/bin
  --with-path-socket=/run --with-path-pidfile=/run

From d82e094db7c6bc96abca85bcf10037148c7a8281 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 25 Apr 2019 01:08:26 +0200
Subject: [PATCH 013/310] dovecot: rebuild for libressl-2.9.2.

---
 srcpkgs/dovecot/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/dovecot/template b/srcpkgs/dovecot/template
index c14115229b2..6faaa9ee0bf 100644
--- a/srcpkgs/dovecot/template
+++ b/srcpkgs/dovecot/template
@@ -2,7 +2,7 @@
 # revbump dovecot-plugin-pigeonhole when updating dovecot!
 pkgname=dovecot
 version=2.3.6
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-moduledir=/usr/lib/dovecot/modules --with-sql=plugin
  --disable-static --with-pam --with-mysql --with-pgsql --with-lucene

From e8f3bf5f48a54f46207efa77d6258d533d2c740d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 25 Apr 2019 01:35:07 +0200
Subject: [PATCH 014/310] Ice: rebuild for libressl-2.9.2.

---
 srcpkgs/Ice/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/Ice/template b/srcpkgs/Ice/template
index b75229a39f4..e860b57f481 100644
--- a/srcpkgs/Ice/template
+++ b/srcpkgs/Ice/template
@@ -1,7 +1,7 @@
 # Template file for 'Ice'
 pkgname=Ice
 version=3.5.1
-revision=20
+revision=21
 build_wrksrc=cpp
 # XXX: other language bindings
 makedepends="zlib-devel bzip2-devel mcpp-devel db-devel expat-devel libressl-devel"

From 9fe3cd9572b7bab7dc3a045f6955c8d603a03166 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 25 Apr 2019 09:52:54 +0200
Subject: [PATCH 015/310] openssh: rebuild for libressl-2.9.2.

---
 srcpkgs/openssh/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/openssh/template b/srcpkgs/openssh/template
index 3e1fc0a2bca..a44c209a5eb 100644
--- a/srcpkgs/openssh/template
+++ b/srcpkgs/openssh/template
@@ -1,7 +1,7 @@
 # Template file for 'openssh'
 pkgname=openssh
 version=8.0p1
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--datadir=/usr/share/openssh
  --sysconfdir=/etc/ssh --without-selinux --with-privsep-user=nobody

From ae2e0a15e4f1049937935a458d7b339b201a4fc0 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 25 Apr 2019 09:55:36 +0200
Subject: [PATCH 016/310] qt5: rebuild for libressl-2.9.2.

---
 srcpkgs/qt5/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/qt5/template b/srcpkgs/qt5/template
index 5c9d3eff576..bfd8712e7af 100644
--- a/srcpkgs/qt5/template
+++ b/srcpkgs/qt5/template
@@ -1,7 +1,7 @@
 # Template file for 'qt5'
 pkgname=qt5
 version=5.11.3
-revision=6
+revision=7
 wrksrc="qt-everywhere-src-${version}"
 build_style=gnu-configure
 hostmakedepends="cmake clang flex git glib-devel gperf ninja pkg-config

From ad0a4891be793383ca557425ea92468ff6794e41 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 25 Apr 2019 11:46:34 +0200
Subject: [PATCH 017/310] qt: rebuild for libressl-2.9.2.

---
 srcpkgs/qt/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/qt/template b/srcpkgs/qt/template
index 2c5b38999bc..a391551396b 100644
--- a/srcpkgs/qt/template
+++ b/srcpkgs/qt/template
@@ -1,7 +1,7 @@
 # Template file for 'qt'
 pkgname=qt
 version=4.8.7
-revision=27
+revision=28
 _distname=qt-everywhere-opensource-src
 patch_args="-Np1"
 wrksrc=${_distname}-${version}

From 4d381597ba55d2622ea13db5f52e8860c383fe2c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 26 Apr 2019 01:00:23 +0200
Subject: [PATCH 018/310] openvpn: rebuild for libressl-2.9.2.

---
 srcpkgs/openvpn/patches/libressl.patch | 9 ---------
 srcpkgs/openvpn/template               | 2 +-
 2 files changed, 1 insertion(+), 10 deletions(-)

diff --git a/srcpkgs/openvpn/patches/libressl.patch b/srcpkgs/openvpn/patches/libressl.patch
index e5eca2f0dd2..76fa6b256fd 100644
--- a/srcpkgs/openvpn/patches/libressl.patch
+++ b/srcpkgs/openvpn/patches/libressl.patch
@@ -18,12 +18,3 @@
      if (tls13)
      {
          SSL_CTX_set_min_proto_version(tls_ctx.ctx, TLS1_3_VERSION);
-@@ -1867,7 +1867,7 @@
-         crypto_msg(M_FATAL, "Cannot create SSL object");
-     }
- 
--#if (OPENSSL_VERSION_NUMBER < 0x1010000fL)
-+#if (OPENSSL_VERSION_NUMBER < 0x1010000fL || defined(LIBRESSL_VERSION_NUMBER))
-     STACK_OF(SSL_CIPHER) *sk = SSL_get_ciphers(ssl);
- #else
-     STACK_OF(SSL_CIPHER) *sk = SSL_get1_supported_ciphers(ssl);
diff --git a/srcpkgs/openvpn/template b/srcpkgs/openvpn/template
index cd7c6474feb..9c07d62f95d 100644
--- a/srcpkgs/openvpn/template
+++ b/srcpkgs/openvpn/template
@@ -1,7 +1,7 @@
 # Template file for 'openvpn'
 pkgname=openvpn
 version=2.4.7
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-pkcs11 --enable-iproute2 --disable-systemd"
 hostmakedepends="iproute2 pkg-config"

From e7a4ec2535db217f2905e84f49531f96dbcd4651 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 26 Apr 2019 01:26:41 +0200
Subject: [PATCH 019/310] libsasl: rebuild for libressl-2.9.1.

---
 .../patches/{libressl.patch => time_t.patch}  | 38 +------------------
 srcpkgs/libsasl/template                      |  2 +-
 2 files changed, 2 insertions(+), 38 deletions(-)
 rename srcpkgs/libsasl/patches/{libressl.patch => time_t.patch} (55%)

diff --git a/srcpkgs/libsasl/patches/libressl.patch b/srcpkgs/libsasl/patches/time_t.patch
similarity index 55%
rename from srcpkgs/libsasl/patches/libressl.patch
rename to srcpkgs/libsasl/patches/time_t.patch
index b82503636b5..5dbd296348f 100644
--- a/srcpkgs/libsasl/patches/libressl.patch
+++ b/srcpkgs/libsasl/patches/time_t.patch
@@ -1,13 +1,10 @@
 Source: https://cvsweb.openbsd.org/cgi-bin/cvsweb/ports/security/cyrus-sasl2/patches/patch-saslauthd_lak_c
 Upstream: No
-Reason: LibreSSL compatibility
 
-$OpenBSD: patch-saslauthd_lak_c,v 1.1 2018/11/19 08:24:23 ajacoutot Exp $
+$OpenBSD: patch-saslauthd_lak_c,v 1.2 2019/01/20 23:00:32 ajacoutot Exp $
 
 64-bit time_t
 
-Fix for LibreSSL
-
 Index: saslauthd/lak.c
 --- a/saslauthd/lak.c.orig
 +++ b/saslauthd/lak.c
@@ -26,36 +23,3 @@ Index: saslauthd/lak.c
  	}
  
  	rc = ldap_set_option(lak->ld, LDAP_OPT_TIMELIMIT, &(lak->conf->time_limit));
-@@ -1749,28 +1749,28 @@ static int lak_base64_decode(
- 
- 	int rc, i, tlen = 0;
- 	char *text;
--	EVP_ENCODE_CTX *enc_ctx = EVP_ENCODE_CTX_new();
-+	EVP_ENCODE_CTX *enc_ctx = calloc(1, sizeof(EVP_ENCODE_CTX));
- 
- 	if (enc_ctx == NULL)
- 		return LAK_NOMEM;
- 
- 	text = (char *)malloc(((strlen(src)+3)/4 * 3) + 1);
- 	if (text == NULL) {
--		EVP_ENCODE_CTX_free(enc_ctx);
-+		free(enc_ctx);
- 		return LAK_NOMEM;
- 	}
- 
- 	EVP_DecodeInit(enc_ctx);
- 	rc = EVP_DecodeUpdate(enc_ctx, (unsigned char *) text, &i, (const unsigned char *)src, strlen(src));
- 	if (rc < 0) {
--		EVP_ENCODE_CTX_free(enc_ctx);
-+		free(enc_ctx);
- 		free(text);
- 		return LAK_FAIL;
- 	}
- 	tlen += i;
- 	EVP_DecodeFinal(enc_ctx, (unsigned char *) text, &i);
- 
--	EVP_ENCODE_CTX_free(enc_ctx);
-+	free(enc_ctx);
- 
- 	*ret = text;
- 	if (rlen != NULL)
diff --git a/srcpkgs/libsasl/template b/srcpkgs/libsasl/template
index c61d13a4541..f1616d9d8ec 100644
--- a/srcpkgs/libsasl/template
+++ b/srcpkgs/libsasl/template
@@ -1,7 +1,7 @@
 # Template file for 'libsasl'
 pkgname=libsasl
 version=2.1.27
-revision=1
+revision=2
 wrksrc="cyrus-sasl-${version}"
 build_style=gnu-configure
 configure_args="--enable-cram --enable-digest --enable-auth-sasldb

From f930bdfd6834c2570930ed1245cea535b9ac3726 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 27 Apr 2019 16:52:17 +0200
Subject: [PATCH 020/310] FreeRADIUS: rebuild for libressl-2.9.2.

---
 srcpkgs/FreeRADIUS/patches/libressl.patch | 11 +++++++++++
 srcpkgs/FreeRADIUS/template               |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)
 create mode 100644 srcpkgs/FreeRADIUS/patches/libressl.patch

diff --git a/srcpkgs/FreeRADIUS/patches/libressl.patch b/srcpkgs/FreeRADIUS/patches/libressl.patch
new file mode 100644
index 00000000000..7c5760beed3
--- /dev/null
+++ b/srcpkgs/FreeRADIUS/patches/libressl.patch
@@ -0,0 +1,11 @@
+--- src/modules/rlm_eap/types/rlm_eap_fast/eap_fast.c	2018-04-17 19:12:27.000000000 +0200
++++ src/modules/rlm_eap/types/rlm_eap_fast/eap_fast.c	2019-04-27 16:56:01.628410415 +0200
+@@ -44,7 +44,7 @@
+ {
+ 	const EVP_CIPHER *c;
+ 	const EVP_MD *h;
+-#if OPENSSL_VERSION_NUMBER < 0x10100000L || defined(LIBRESSL_VERSION_NUMBER)
++#if OPENSSL_VERSION_NUMBER < 0x10100000L || (defined(LIBRESSL_VERSION_NUMBER) && LIBRESSL_VERSION_NUMBER < 0x2090000fL)
+ 	int md_size;
+ 
+ 	if (ssl->enc_read_ctx == NULL || ssl->enc_read_ctx->cipher == NULL ||
diff --git a/srcpkgs/FreeRADIUS/template b/srcpkgs/FreeRADIUS/template
index 525d5959ee4..ff85a2ad689 100644
--- a/srcpkgs/FreeRADIUS/template
+++ b/srcpkgs/FreeRADIUS/template
@@ -1,7 +1,7 @@
 # Template file for 'FreeRADIUS'
 pkgname=FreeRADIUS
 version=3.0.17
-revision=3
+revision=4
 wrksrc=freeradius-server-${version}
 build_style=gnu-configure
 nocross=yes # Not supported by upstream

From b4753d4d3bc33f2cbe0d6400d5897a69a620685a Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:14:22 +0200
Subject: [PATCH 021/310] LGOGDownloader: rebuild for libressl-2.9.2.

---
 srcpkgs/LGOGDownloader/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/LGOGDownloader/template b/srcpkgs/LGOGDownloader/template
index 58e9b488caf..3a4db86529e 100644
--- a/srcpkgs/LGOGDownloader/template
+++ b/srcpkgs/LGOGDownloader/template
@@ -1,7 +1,7 @@
 # Template file for 'LGOGDownloader'
 pkgname=LGOGDownloader
 version=3.5
-revision=1
+revision=2
 wrksrc="lgogdownloader-${version}"
 build_style=cmake
 hostmakedepends="pkg-config"

From b0ed791f34867b2941f82f699c564af92b1de93d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:17:53 +0200
Subject: [PATCH 022/310] MEGAsdk: rebuild for libressl-2.9.2.

---
 srcpkgs/MEGAsdk/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/MEGAsdk/template b/srcpkgs/MEGAsdk/template
index b1f90e7c70e..2e6b07556f8 100644
--- a/srcpkgs/MEGAsdk/template
+++ b/srcpkgs/MEGAsdk/template
@@ -1,7 +1,7 @@
 # Template file for 'MEGAsdk'
 pkgname=MEGAsdk
 version=3.4.8
-revision=1
+revision=2
 wrksrc="sdk-${version}"
 build_style=gnu-configure
 configure_args="--enable-chat --disable-examples $(vopt_with libuv)"

From fae24d8da80c9ef207ce3e4dc21a2ce61ebca603 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:18:09 +0200
Subject: [PATCH 023/310] VirtualGL: rebuild for libressl-2.9.2.

---
 srcpkgs/VirtualGL/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/VirtualGL/template b/srcpkgs/VirtualGL/template
index b23310cc294..2165bc2ae46 100644
--- a/srcpkgs/VirtualGL/template
+++ b/srcpkgs/VirtualGL/template
@@ -1,7 +1,7 @@
 # Template file for 'VirtualGL'
 pkgname=VirtualGL
 version=2.6.1
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DTJPEG_INCLUDE_DIR=/usr/include -DVGL_SYSTEMGLX=ON
  -DTJPEG_LIBRARY=/usr/lib/libturbojpeg.so -DCMAKE_INSTALL_LIBDIR=/usr/lib

From 45189ed5c689e16544b02612aa0f49de3c1b64b7 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:19:02 +0200
Subject: [PATCH 024/310] acme-client: rebuild for libressl-2.9.2.

---
 srcpkgs/acme-client/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/acme-client/template b/srcpkgs/acme-client/template
index d4783341bdd..3bf86341ff0 100644
--- a/srcpkgs/acme-client/template
+++ b/srcpkgs/acme-client/template
@@ -1,7 +1,7 @@
 # Template file for 'acme-client'
 pkgname=acme-client
 version=0.1.16
-revision=3
+revision=4
 _distver=VERSION_${version//./_}
 wrksrc=acme-client-portable-${_distver}
 build_style=gnu-makefile

From 5ceff8f44989080a0545f43a5730ce8de6879304 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:19:30 +0200
Subject: [PATCH 025/310] aircrack-ng: rebuild for libressl-2.9.2.

---
 srcpkgs/aircrack-ng/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/aircrack-ng/template b/srcpkgs/aircrack-ng/template
index f73705356b3..3ff8a99a871 100644
--- a/srcpkgs/aircrack-ng/template
+++ b/srcpkgs/aircrack-ng/template
@@ -1,7 +1,7 @@
 # Template file for 'aircrack-ng'
 pkgname=aircrack-ng
 version=1.5.2
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="automake libtool pkg-config"
 makedepends="libnl3-devel libressl-devel sqlite-devel zlib-devel"

From a035557c563c979363475b2c2a17a9a81ab81a22 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:20:28 +0200
Subject: [PATCH 026/310] alpine: rebuild for libressl-2.9.2.

---
 srcpkgs/alpine/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/alpine/template b/srcpkgs/alpine/template
index a54793b4fce..dd5c6ea4145 100644
--- a/srcpkgs/alpine/template
+++ b/srcpkgs/alpine/template
@@ -1,7 +1,7 @@
 # Template file for 'alpine'
 pkgname=alpine
 version=2.21.9999
-revision=2
+revision=3
 _githash=d3e6f3932f2af9deca8eed09e30a55e9bd524362
 _gitshort="${_githash:0:7}"
 wrksrc="${pkgname}-${_gitshort}"

From e76b1b8f74e53070544f12b895f1c0978f5b4712 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:21:45 +0200
Subject: [PATCH 027/310] apk-tools: rebuild for libressl-2.9.2.

---
 srcpkgs/apk-tools/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/apk-tools/template b/srcpkgs/apk-tools/template
index 421ca21b989..8d3d50156c4 100644
--- a/srcpkgs/apk-tools/template
+++ b/srcpkgs/apk-tools/template
@@ -1,7 +1,7 @@
 # Template file for 'apk-tools'
 pkgname=apk-tools
 version=2.10.4
-revision=1
+revision=2
 build_style=gnu-makefile
 make_build_args="LUAAPK="
 hostmakedepends="pkg-config"

From c5585df3129f02d3301ed4e5167426e62e1cfe6d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:22:38 +0200
Subject: [PATCH 028/310] apr-util: rebuild for libressl-2.9.2.

---
 srcpkgs/apr-util/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/apr-util/template b/srcpkgs/apr-util/template
index 8a30a392803..46e92aec736 100644
--- a/srcpkgs/apr-util/template
+++ b/srcpkgs/apr-util/template
@@ -1,7 +1,7 @@
 # Template file for 'apr-util'
 pkgname=apr-util
 version=1.6.1
-revision=6
+revision=7
 build_style=gnu-configure
 configure_args="
  --with-apr=${XBPS_CROSS_BASE}/usr/bin/apr-1-config --with-pgsql --with-ldap

From 7f93c044219d48f8270754b38b702443848fe0ba Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:23:44 +0200
Subject: [PATCH 029/310] argyllcms: rebuild for libressl-2.9.2.

---
 srcpkgs/argyllcms/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/argyllcms/template b/srcpkgs/argyllcms/template
index 106be466542..511eff1e48a 100644
--- a/srcpkgs/argyllcms/template
+++ b/srcpkgs/argyllcms/template
@@ -1,7 +1,7 @@
 # Template file for 'argyllcms'
 pkgname=argyllcms
 version=2.1.0
-revision=1
+revision=2
 wrksrc="Argyll_V${version}"
 hostmakedepends="ftjam zip unzip"
 makedepends="zlib-devel libjpeg-turbo-devel libXinerama-devel libressl-devel

From 00c0d35e85e1724314ae6402b814c666521300da Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:26:53 +0200
Subject: [PATCH 030/310] aria2: rebuild for libressl-2.9.2.

---
 srcpkgs/aria2/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/aria2/template b/srcpkgs/aria2/template
index c9d58d72042..d618b3e9bf7 100644
--- a/srcpkgs/aria2/template
+++ b/srcpkgs/aria2/template
@@ -1,7 +1,7 @@
 # Template file for 'aria2'
 pkgname=aria2
 version=1.34.0
-revision=4
+revision=5
 build_style=gnu-configure
 configure_args="--with-openssl --with-libexpat --without-gnutls
  --with-ca-bundle=/etc/ssl/certs/ca-certificates.crt

From f4187d194adff6d79402b5566aac8bbed607c8f9 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:31:01 +0200
Subject: [PATCH 031/310] attic: rebuild for libressl-2.9.2.

---
 srcpkgs/attic/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/attic/template b/srcpkgs/attic/template
index e37bb36a60c..533ef7377bc 100644
--- a/srcpkgs/attic/template
+++ b/srcpkgs/attic/template
@@ -1,7 +1,7 @@
 # Template file for 'attic'
 pkgname=attic
 version=0.16
-revision=13
+revision=14
 wrksrc="Attic-$version"
 build_style=python3-module
 hostmakedepends="python3-setuptools python3-devel libressl-devel python3-Sphinx"

From 421cf24e24b81f3af6fa930a2e20cf85c81a0721 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:31:57 +0200
Subject: [PATCH 032/310] axel: rebuild for libressl-2.9.2.

---
 srcpkgs/axel/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/axel/template b/srcpkgs/axel/template
index 41bfefb27a9..58b955b4a3a 100644
--- a/srcpkgs/axel/template
+++ b/srcpkgs/axel/template
@@ -1,7 +1,7 @@
 # Template file for 'axel'
 pkgname=axel
 version=2.17.3
-revision=1
+revision=2
 build_style=gnu-configure
 conf_files="/etc/axelrc"
 hostmakedepends="gettext-devel pkg-config"

From eb5ed5c175e81d3312f5f64ede09c87e30db1ed8 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:41:13 +0200
Subject: [PATCH 033/310] bacula-common: rebuild for libressl-2.9.2.

---
 srcpkgs/bacula-common/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/bacula-common/template b/srcpkgs/bacula-common/template
index 55c309b3ce3..01c7bb1ef51 100644
--- a/srcpkgs/bacula-common/template
+++ b/srcpkgs/bacula-common/template
@@ -1,7 +1,7 @@
 # Template file for 'bacula-common'
 pkgname=bacula-common
 version=9.4.2
-revision=1
+revision=2
 wrksrc="${pkgname%-*}-${version}"
 build_style=gnu-configure
 configure_args="--with-openssl --with-sqlite3 --with-mysql --with-postgresql

From bc96bb0fcfd3ee8cb88f1d372e66ab6ba0bc58d5 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 03:42:59 +0200
Subject: [PATCH 034/310] badvpn: rebuild for libressl-2.9.2.

---
 srcpkgs/badvpn/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/badvpn/template b/srcpkgs/badvpn/template
index fd1f65594fd..b62d13f208f 100644
--- a/srcpkgs/badvpn/template
+++ b/srcpkgs/badvpn/template
@@ -1,7 +1,7 @@
 # Template file for 'badvpn'
 pkgname=badvpn
 version=1.999.130
-revision=10
+revision=11
 build_style=cmake
 hostmakedepends="pkg-config"
 makedepends="libressl-devel nspr-devel nss-devel"

From c122253ed43fce939ef6f15e91bde0edcc1c9059 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 13:41:40 +0200
Subject: [PATCH 035/310] balsa: rebuild for libressl-2.9.2.

---
 srcpkgs/balsa/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/balsa/template b/srcpkgs/balsa/template
index cfda58f527f..cb94d1eefbb 100644
--- a/srcpkgs/balsa/template
+++ b/srcpkgs/balsa/template
@@ -1,7 +1,7 @@
 # Template file for 'balsa'.
 pkgname=balsa
 version=2.5.7
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--without-gnome --with-libsecret --with-gpgme --with-sqlite
  --with-html-widget=webkit2"

From 88c35dbf0fcbc9ed3e4388fa1f04217bae398cc1 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 13:48:24 +0200
Subject: [PATCH 036/310] baresip: rebuild for libressl-2.9.2.

---
 srcpkgs/baresip/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/baresip/template b/srcpkgs/baresip/template
index 1f4c0dedd61..8aa56b2cffb 100644
--- a/srcpkgs/baresip/template
+++ b/srcpkgs/baresip/template
@@ -1,7 +1,7 @@
 # Template file for 'baresip'
 pkgname=baresip
 version=0.6.2
-revision=1
+revision=2
 build_style=gnu-makefile
 make_build_args="LIBRE_MK=${XBPS_CROSS_BASE}/usr/share/re/re.mk
  SYSROOT=${XBPS_CROSS_BASE}/usr  LIBRE_INC=${XBPS_CROSS_BASE}/usr/include/re

From b2b06052a071248b9749f279e455629eaad270d5 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 13:50:47 +0200
Subject: [PATCH 037/310] barrier: rebuild for libressl-2.9.2.

---
 srcpkgs/barrier/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/barrier/template b/srcpkgs/barrier/template
index 3c1fbdcda01..386cac2abfb 100644
--- a/srcpkgs/barrier/template
+++ b/srcpkgs/barrier/template
@@ -1,7 +1,7 @@
 # Template file for 'barrier'
 pkgname=barrier
 version=2.1.2
-revision=2
+revision=3
 build_style=cmake
 configure_args="-DBARRIER_REVISION=00000000 -DBARRIER_VERSION_STAGE=RELEASE"
 hostmakedepends="pkg-config qt5-qmake qt5-host-tools"

From 7d2038ce38d6971afba5c3c8cff27e07dbc74044 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 13:52:13 +0200
Subject: [PATCH 038/310] bitchx: rebuild for libressl-2.9.2.

---
 srcpkgs/bitchx/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/bitchx/template b/srcpkgs/bitchx/template
index 830b6d28a8c..87cb1f4d2da 100644
--- a/srcpkgs/bitchx/template
+++ b/srcpkgs/bitchx/template
@@ -1,7 +1,7 @@
 # Template file for 'bitchx'
 pkgname=bitchx
 version=1.2.1
-revision=13
+revision=14
 build_style=gnu-configure
 configure_args="--with-ssl --with-ipv6 --with-plugins"
 makedepends="libressl-devel ncurses-devel"

From 10841db65e6d1fc04c850613ad2a1a5e63c19104 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 13:54:52 +0200
Subject: [PATCH 039/310] bitcoin: rebuild for libressl-2.9.2.

---
 srcpkgs/bitcoin/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/bitcoin/template b/srcpkgs/bitcoin/template
index 040dadbb0b2..035ef9cc657 100644
--- a/srcpkgs/bitcoin/template
+++ b/srcpkgs/bitcoin/template
@@ -1,7 +1,7 @@
 # Template file for 'bitcoin'
 pkgname=bitcoin
 version=0.18.0
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-incompatible-bdb --disable-ccache --disable-static
  --enable-hardening --with-boost=${XBPS_CROSS_BASE}/usr"

From 434a399a2dc258b88a98d31ec8d2ae5ba70c20ec Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 14:01:30 +0200
Subject: [PATCH 040/310] bitlbee: rebuild for libressl-2.9.2.

---
 srcpkgs/bitlbee/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/bitlbee/template b/srcpkgs/bitlbee/template
index eaa5f35ed5a..6f29365cce9 100644
--- a/srcpkgs/bitlbee/template
+++ b/srcpkgs/bitlbee/template
@@ -1,7 +1,7 @@
 # Template file for 'bitlbee'
 pkgname=bitlbee
 version=3.6
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--etcdir=/etc/bitlbee --pidfile=/run/${pkgname}/${pkgname}.pid
  --ipcsocket=/run/${pkgname}/${pkgname}.sock

From ad245f070e74f7c45e2d51cba9c305bd9b32e620 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 14:03:20 +0200
Subject: [PATCH 041/310] boinc: rebuild for libressl-2.9.2.

---
 srcpkgs/boinc/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/boinc/template b/srcpkgs/boinc/template
index 6dbb03c5ae6..85315678f0e 100644
--- a/srcpkgs/boinc/template
+++ b/srcpkgs/boinc/template
@@ -1,7 +1,7 @@
 # Template file for 'boinc'
 pkgname=boinc
 version=7.14.2
-revision=2
+revision=3
 _majorver=${version%.*}
 wrksrc=boinc-client_release-${_majorver}-${version}
 build_style=gnu-configure

From 8a642e07e852e38febce9b1b1c8e8a65f5ac9367 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 14:07:43 +0200
Subject: [PATCH 042/310] borg: rebuild for libressl-2.9.2.

---
 srcpkgs/borg/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/borg/template b/srcpkgs/borg/template
index 3420578b5c1..520b1b2f65a 100644
--- a/srcpkgs/borg/template
+++ b/srcpkgs/borg/template
@@ -1,7 +1,7 @@
 # Template file for 'borg'
 pkgname=borg
 version=1.1.10
-revision=1
+revision=2
 wrksrc="borgbackup-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools python3-devel libressl-devel"

From 17035681fc65f6d998c22366fd2ff154fd43a500 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 14:11:08 +0200
Subject: [PATCH 043/310] botan: rebuild for libressl-2.9.2.

---
 srcpkgs/botan/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/botan/template b/srcpkgs/botan/template
index 7dfdffe2f64..0d2f0021391 100644
--- a/srcpkgs/botan/template
+++ b/srcpkgs/botan/template
@@ -1,7 +1,7 @@
 # Template file for 'botan'
 pkgname=botan
 version=2.10.0
-revision=1
+revision=2
 wrksrc="${pkgname^}-${version}"
 build_style=gnu-makefile
 pycompile_module="botan.py"

From 90524a78dc47e46753c8750258648e9d00163fbe Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 14:30:56 +0200
Subject: [PATCH 044/310] bro: rebuild for libressl-2.9.2.

---
 srcpkgs/bro/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/bro/template b/srcpkgs/bro/template
index a8a4dac2ad1..7f0066f13e2 100644
--- a/srcpkgs/bro/template
+++ b/srcpkgs/bro/template
@@ -1,7 +1,7 @@
 # Template file for 'bro'
 pkgname=bro
 version=2.6.2
-revision=1
+revision=2
 build_style=cmake
 hostmakedepends="flex pkg-config python3"
 makedepends="bind-devel geoip-devel libpcap-devel libressl-devel jemalloc-devel"

From bb5e986c57c30f93a0a7bbfb101b1bb1189bf2a5 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 14:41:52 +0200
Subject: [PATCH 045/310] burp-server: rebuild for libressl-2.9.2.

---
 srcpkgs/burp-server/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/burp-server/template b/srcpkgs/burp-server/template
index bc2bb37cda1..dbd40dbd540 100644
--- a/srcpkgs/burp-server/template
+++ b/srcpkgs/burp-server/template
@@ -3,7 +3,7 @@ _desc="A network-based backup and restore program"
 
 pkgname=burp-server
 version=1.4.40
-revision=10
+revision=11
 short_desc="${_desc} - Server"
 maintainer="Pierre Bourgin <pierre.bourgin@free.fr>"
 license="AGPL-3.0-only, BSD-3-Clause, GPL-2.0-or-later"

From dc075e8e152e085029d80398e845a7a2c6a7e337 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 14:48:35 +0200
Subject: [PATCH 046/310] burp2-server: rebuild for libressl-2.9.2.

---
 srcpkgs/burp2-server/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/burp2-server/template b/srcpkgs/burp2-server/template
index 16dd3afc7ce..729f07dccdb 100644
--- a/srcpkgs/burp2-server/template
+++ b/srcpkgs/burp2-server/template
@@ -3,7 +3,7 @@ _desc="Network-based backup and restore program"
 
 pkgname=burp2-server
 version=2.2.18
-revision=1
+revision=2
 wrksrc="burp-${version}"
 build_style=gnu-configure
 make_install_target=install-all

From 36e7292ba0cc4cd263ac111555815570c795631c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 14:50:22 +0200
Subject: [PATCH 047/310] calibre: rebuild for libressl-2.9.2.

---
 srcpkgs/calibre/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/calibre/template b/srcpkgs/calibre/template
index d9adac86c10..45c4b835c63 100644
--- a/srcpkgs/calibre/template
+++ b/srcpkgs/calibre/template
@@ -1,7 +1,7 @@
 # Template file for 'calibre'
 pkgname=calibre
 version=3.44.0
-revision=1
+revision=2
 build_style=python2-module
 pycompile_dirs="/usr/lib/calibre/"
 make_build_args="gui"

From 8f5bd587cd974807f31819314d763e28cd198398 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 14:53:34 +0200
Subject: [PATCH 048/310] chatterino2: rebuild for libressl-2.9.2.

---
 srcpkgs/chatterino2/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/chatterino2/template b/srcpkgs/chatterino2/template
index 3b08256d381..d513cc34438 100644
--- a/srcpkgs/chatterino2/template
+++ b/srcpkgs/chatterino2/template
@@ -1,7 +1,7 @@
 # Template file for 'chatterino2'
 pkgname=chatterino2
 version=2.0.4
-revision=1
+revision=2
 _signals_commit=3f6645c615ff7bf412c05fe322e589cbdd34ff9b
 _settings_commit=ad31b38866d80a17ced902476ed06da69edce3a0
 _humanize_commit=4e00a03623966723f23ca3034c1ad944009cd7be

From 30e237b06cc90be48c8b762e3dfc6cd9e22295b5 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 14:59:08 +0200
Subject: [PATCH 049/310] clamav: rebuild for libressl-2.9.2.

---
 srcpkgs/clamav/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/clamav/template b/srcpkgs/clamav/template
index 29ae43805ef..3473ad85679 100644
--- a/srcpkgs/clamav/template
+++ b/srcpkgs/clamav/template
@@ -1,7 +1,7 @@
 # Template file for 'clamav'
 pkgname=clamav
 version=0.101.2
-revision=1
+revision=2
 build_style=gnu-configure
 # XXX: system llvm is too new (< 3.7 required)
 # Shipped llvm does not build with gcc6

From b0beab73fb3d6a5c034a0597a68fd2b011c80e54 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 14:59:22 +0200
Subject: [PATCH 050/310] claws-mail: rebuild for libressl-2.9.2.

---
 srcpkgs/claws-mail/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/claws-mail/template b/srcpkgs/claws-mail/template
index 7b1f4a51875..642091fde5d 100644
--- a/srcpkgs/claws-mail/template
+++ b/srcpkgs/claws-mail/template
@@ -1,7 +1,7 @@
 # Template file for 'claws-mail'
 pkgname=claws-mail
 version=3.17.3
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="--disable-static --disable-python-plugin --disable-perl-plugin
  --enable-enchant --enable-gnutls"

From 299a83546d2dabd7738bf8837cd47a7d41f15aab Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:03:16 +0200
Subject: [PATCH 051/310] cloudfuse: rebuild for libressl-2.9.2.

---
 srcpkgs/cloudfuse/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/cloudfuse/template b/srcpkgs/cloudfuse/template
index 891028efe14..c5d930f1c02 100644
--- a/srcpkgs/cloudfuse/template
+++ b/srcpkgs/cloudfuse/template
@@ -1,7 +1,7 @@
 # Template file for 'cloudfuse'
 pkgname=cloudfuse
 version=1.0
-revision=2
+revision=3
 build_style=gnu-configure
 hostmakedepends="pkg-config"
 makedepends="libxml2-devel libcurl-devel fuse-devel"

From 3da44bf2e7df9ab5863f78a27d706bb5fe46af49 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:06:53 +0200
Subject: [PATCH 052/310] cmusfm: rebuild for libressl-2.9.2.

---
 srcpkgs/cmusfm/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/cmusfm/template b/srcpkgs/cmusfm/template
index e08c0779892..950a7575c26 100644
--- a/srcpkgs/cmusfm/template
+++ b/srcpkgs/cmusfm/template
@@ -1,7 +1,7 @@
 # Template file for 'cmusfm'
 pkgname=cmusfm
 version=0.3.3
-revision=3
+revision=4
 build_style=gnu-configure
 configure_args="--enable-libnotify"
 hostmakedepends="automake pkg-config"

From ff2319510b46e74ed8bdd3ae0f316820816371f5 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:12:52 +0200
Subject: [PATCH 053/310] coWPAtty: rebuild for libressl-2.9.2.

---
 srcpkgs/coWPAtty/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/coWPAtty/template b/srcpkgs/coWPAtty/template
index f0edced1b41..317ad862a8d 100644
--- a/srcpkgs/coWPAtty/template
+++ b/srcpkgs/coWPAtty/template
@@ -2,7 +2,7 @@
 pkgname=coWPAtty
 _pkgname=cowpatty
 version=4.8
-revision=1
+revision=2
 wrksrc="${_pkgname}-${version}"
 build_style=gnu-makefile
 make_use_env=1

From c3a395e418503085e30c71033420bce376e57389 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:18:08 +0200
Subject: [PATCH 054/310] coturn: rebuild for libressl-2.9.2.

---
 srcpkgs/coturn/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/coturn/template b/srcpkgs/coturn/template
index 1de10fabd05..92de4f60168 100644
--- a/srcpkgs/coturn/template
+++ b/srcpkgs/coturn/template
@@ -1,7 +1,7 @@
 # Template file for 'coturn'
 pkgname=coturn
 version=4.5.1.1
-revision=1
+revision=2
 build_style=gnu-configure
 conf_files="/etc/turnserver.conf"
 makedepends="libressl-devel libevent-devel hiredis-devel sqlite-devel

From 69a5108cd5e357909c3164ddb5ed3ba0cf383469 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:21:54 +0200
Subject: [PATCH 055/310] cryptsetup: rebuild for libressl-2.9.2.

---
 srcpkgs/cryptsetup/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/cryptsetup/template b/srcpkgs/cryptsetup/template
index 034cd9873c9..5bcef6b8634 100644
--- a/srcpkgs/cryptsetup/template
+++ b/srcpkgs/cryptsetup/template
@@ -1,7 +1,7 @@
 # Template file for 'cryptsetup'
 pkgname=cryptsetup
 version=2.1.0
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-crypto_backend=openssl $(vopt_enable pwquality)
  --enable-cryptsetup-reencrypt --enable-libargon2"

From 539da56ef11836a8a4eed68c22b3e6f9feaa188f Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:26:01 +0200
Subject: [PATCH 056/310] cyrus-sasl: rebuild for libressl-2.9.2.

---
 srcpkgs/cyrus-sasl/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/cyrus-sasl/template b/srcpkgs/cyrus-sasl/template
index 28eb69b2ee2..d071e4a4277 100644
--- a/srcpkgs/cyrus-sasl/template
+++ b/srcpkgs/cyrus-sasl/template
@@ -1,7 +1,7 @@
 # Template file for 'cyrus-sasl'
 pkgname=cyrus-sasl
 version=2.1.27
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--disable-static --enable-shared --enable-checkapop
  --enable-cram --enable-digest --disable-otp --disable-srp

From 66b18494d69d9c43afe8f99b031a15b678bc54c2 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:41:03 +0200
Subject: [PATCH 057/310] dillo: rebuild for libressl-2.9.2.

---
 srcpkgs/dillo/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/dillo/template b/srcpkgs/dillo/template
index 3de14fc89f4..32506e2a12a 100644
--- a/srcpkgs/dillo/template
+++ b/srcpkgs/dillo/template
@@ -1,7 +1,7 @@
 # Template file for 'dillo'
 pkgname=dillo
 version=3.0.5
-revision=9
+revision=10
 build_style=gnu-configure
 configure_args="--enable-ssl --enable-ipv6 --enable-threaded-dns"
 conf_files="/etc/dillo/dillorc

From 0f73647e95926b0def766802c8e150bba205f4d7 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:41:42 +0200
Subject: [PATCH 058/310] dma: rebuild for libressl-2.9.2.

---
 srcpkgs/dma/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/dma/template b/srcpkgs/dma/template
index 4b49ea58c9e..eeae971c688 100644
--- a/srcpkgs/dma/template
+++ b/srcpkgs/dma/template
@@ -1,7 +1,7 @@
 # Template file for 'dma'
 pkgname=dma
 version=0.11
-revision=9
+revision=10
 conf_files="/etc/dma/*.conf"
 make_dirs="/var/spool/dma 2775 root mail"
 hostmakedepends="flex"

From e1f24e66ce8447ca01a6715e0369f081845d187a Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:42:16 +0200
Subject: [PATCH 059/310] dmg2img: rebuild for libressl-2.9.2.

---
 srcpkgs/dmg2img/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/dmg2img/template b/srcpkgs/dmg2img/template
index 22a62d11ec8..549b1370298 100644
--- a/srcpkgs/dmg2img/template
+++ b/srcpkgs/dmg2img/template
@@ -1,7 +1,7 @@
 # Template file for 'dmg2img'
 pkgname=dmg2img
 version=1.6.7
-revision=2
+revision=3
 build_style=gnu-makefile
 makedepends="zlib-devel bzip2-devel libressl-devel"
 short_desc="Convert Apple's compressed dmg to standard image disks"

From 061ca0a7854cf7156b7c1d70672e7c788120e071 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:43:11 +0200
Subject: [PATCH 060/310] ecryptfs-utils: rebuild for libressl-2.9.2.

---
 srcpkgs/ecryptfs-utils/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ecryptfs-utils/template b/srcpkgs/ecryptfs-utils/template
index 1bffd7d7c18..3fc712f9fcd 100644
--- a/srcpkgs/ecryptfs-utils/template
+++ b/srcpkgs/ecryptfs-utils/template
@@ -1,7 +1,7 @@
 # Template file for 'ecryptfs-utils'
 pkgname=ecryptfs-utils
 version=111
-revision=6
+revision=7
 lib32disabled=yes
 build_style=gnu-configure
 configure_args="--sbindir=/usr/bin

From 431d14daf9202dc722de9af3e203eb7399b60753 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:48:27 +0200
Subject: [PATCH 061/310] efitools: rebuild for libressl-2.9.2.

---
 srcpkgs/efitools/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/efitools/template b/srcpkgs/efitools/template
index af1a187bb96..0a7e88f7ce8 100644
--- a/srcpkgs/efitools/template
+++ b/srcpkgs/efitools/template
@@ -1,7 +1,7 @@
 # Template file for 'efitools'
 pkgname=efitools
 version=1.9.2
-revision=1
+revision=2
 archs="x86_64* i686* arm* aarch64*"
 build_style=gnu-makefile
 hostmakedepends="perl-File-Slurp"

From 35b661893f3d6209591ac2d6b1fca343c27d3982 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:48:56 +0200
Subject: [PATCH 062/310] efl: rebuild for libressl-2.9.2.

---
 srcpkgs/efl/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/efl/template b/srcpkgs/efl/template
index 6f0fa1a28f4..712e39f2a27 100644
--- a/srcpkgs/efl/template
+++ b/srcpkgs/efl/template
@@ -1,7 +1,7 @@
 # Template file for 'efl'
 pkgname=efl
 version=1.22.2
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="CXX= --disable-systemd --enable-liblz4
  --enable-multisense --enable-image-loader-webp

From 2e4378679a194543b7d0644cb21d7e4d29ae5d51 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:55:51 +0200
Subject: [PATCH 063/310] eid-mw: rebuild for libressl-2.9.2.

---
 srcpkgs/eid-mw/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/eid-mw/template b/srcpkgs/eid-mw/template
index 826fb27e6b7..48fadb06ade 100644
--- a/srcpkgs/eid-mw/template
+++ b/srcpkgs/eid-mw/template
@@ -1,7 +1,7 @@
 # Template file for 'eid-mw'
 pkgname=eid-mw
 version=4.4.16
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="pkg-config automake gettext-devel libtool glib-devel"
 makedepends="gtk+3-devel libcurl-devel libressl-devel libproxy-devel pcsclite-devel"

From c3955c26b87fae9d24427ade00b432ebcf75ce04 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 15:57:18 +0200
Subject: [PATCH 064/310] eiskaltdcpp-qt: rebuild for libressl-2.9.2.

---
 srcpkgs/eiskaltdcpp-qt/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/eiskaltdcpp-qt/template b/srcpkgs/eiskaltdcpp-qt/template
index 2378d6202e3..2100fa71c65 100644
--- a/srcpkgs/eiskaltdcpp-qt/template
+++ b/srcpkgs/eiskaltdcpp-qt/template
@@ -1,7 +1,7 @@
 # Template file for 'eiskaltdcpp-qt'
 pkgname=eiskaltdcpp-qt
 version=2.2.10
-revision=9
+revision=10
 wrksrc="eiskaltdcpp-${version}"
 build_style=cmake
 configure_args="-DUSE_MINIUPNP=ON -DUSE_QT5=ON -DUSE_QT=OFF"

From 9b92189224c2c0be6cdf322ea429ccd25bb6c53d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 16:00:24 +0200
Subject: [PATCH 065/310] ejabberd: rebuild for libressl-2.9.2.

---
 srcpkgs/ejabberd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ejabberd/template b/srcpkgs/ejabberd/template
index 91cf153d378..e92b8fd580b 100644
--- a/srcpkgs/ejabberd/template
+++ b/srcpkgs/ejabberd/template
@@ -1,7 +1,7 @@
 # Template file for 'ejabberd'
 pkgname=ejabberd
 version=19.05
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-odbc --enable-mysql --enable-pgsql --enable-pam
  --enable-redis --enable-elixir $(vopt_enable sqlite)"

From 417650de2781953a24fd6a264ad82da57a4c03b3 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 16:05:35 +0200
Subject: [PATCH 066/310] elinks: rebuild for libressl-2.9.2.

---
 srcpkgs/elinks/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/elinks/template b/srcpkgs/elinks/template
index 6222f994b95..81efa03f68e 100644
--- a/srcpkgs/elinks/template
+++ b/srcpkgs/elinks/template
@@ -1,7 +1,7 @@
 # Template file for 'elinks'
 pkgname=elinks
 version=0.12pre6
-revision=20
+revision=21
 build_style=gnu-configure
 configure_args="--enable-true-color --enable-fastmem"
 hostmakedepends="automake libtool pkg-config"

From 5d3d817058ffff50b50e488459dd3c7702f5f6b6 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 16:07:05 +0200
Subject: [PATCH 067/310] elog: rebuild for libressl-2.9.2.

---
 srcpkgs/elog/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/elog/template b/srcpkgs/elog/template
index 333a103af12..8f10f32972d 100644
--- a/srcpkgs/elog/template
+++ b/srcpkgs/elog/template
@@ -1,7 +1,7 @@
 # Template file for 'elog'
 pkgname=elog
 version=3.1.4.1
-revision=1
+revision=2
 _distver="${version:0:-2}-${version:(-1)}"
 wrksrc="$pkgname-${version%.*}"
 build_style=gnu-makefile

From 10ecc890800211779dcddf247e35d31342b70a52 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 16:07:54 +0200
Subject: [PATCH 068/310] encfs: rebuild for libressl-2.9.2.

---
 srcpkgs/encfs/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/encfs/template b/srcpkgs/encfs/template
index 39ed4563dfe..411f4bab0bf 100644
--- a/srcpkgs/encfs/template
+++ b/srcpkgs/encfs/template
@@ -1,7 +1,7 @@
 # Template file for 'encfs'
 pkgname=encfs
 version=1.9.5
-revision=2
+revision=3
 build_style=cmake
 hostmakedepends="pkg-config perl"
 makedepends="fuse-devel libressl-devel gettext-devel"

From be2d8de47baa7f8381428b0a050b19a124ac99da Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 16:09:41 +0200
Subject: [PATCH 069/310] erlang: rebuild for libressl-2.9.2.

---
 srcpkgs/erlang/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/erlang/template b/srcpkgs/erlang/template
index a657dfb19a0..ffa552e1cae 100644
--- a/srcpkgs/erlang/template
+++ b/srcpkgs/erlang/template
@@ -1,7 +1,7 @@
 # Template file for 'erlang'
 pkgname=erlang
 version=22.0.2
-revision=1
+revision=2
 create_wrksrc=yes
 build_wrksrc="otp-OTP-${version}"
 build_style=gnu-configure

From 4010d7f26fd97fbe1ecd00ba8833f3d2c7e5d357 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 17:08:53 +0200
Subject: [PATCH 070/310] ettercap: rebuild for libressl-2.9.2.

---
 srcpkgs/ettercap/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ettercap/template b/srcpkgs/ettercap/template
index 61268f6eb25..48fb8516521 100644
--- a/srcpkgs/ettercap/template
+++ b/srcpkgs/ettercap/template
@@ -1,7 +1,7 @@
 # Template file for 'ettercap'
 pkgname=ettercap
 version=0.8.2
-revision=11
+revision=12
 lib32disabled=yes
 build_style=cmake
 configure_args="-DENABLE_GTK=OFF"

From afd2e503c5c76a2e50a044ec4868fa923be88e3b Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 17:09:43 +0200
Subject: [PATCH 071/310] facter: rebuild for libressl-2.9.2.

---
 srcpkgs/facter/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/facter/template b/srcpkgs/facter/template
index 3db63bfe8c0..2ccd477b368 100644
--- a/srcpkgs/facter/template
+++ b/srcpkgs/facter/template
@@ -1,7 +1,7 @@
 # Template file for 'facter'
 pkgname=facter
 version=3.13.2
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DRUBY_CONFIG_INCLUDE_DIR=${XBPS_CROSS_BASE}/usr/include
  -DENABLE_CXX_WERROR=OFF"

From 5124f5c59416f92239342bc0fe3fd6e8a913718e Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 17:11:53 +0200
Subject: [PATCH 072/310] falkon: rebuild for libressl-2.9.2.

---
 srcpkgs/falkon/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/falkon/template b/srcpkgs/falkon/template
index eb3994458f3..1cc4c46eaf9 100644
--- a/srcpkgs/falkon/template
+++ b/srcpkgs/falkon/template
@@ -1,7 +1,7 @@
 # Template file for 'falkon'
 pkgname=falkon
 version=3.1.0
-revision=1
+revision=2
 build_style=cmake
 hostmakedepends="extra-cmake-modules pkg-config qt5-qmake qt5-host-tools python3"
 makedepends="qt5-devel qt5-plugin-mysql qt5-plugin-odbc qt5-plugin-pgsql

From 1a178ce1c84c5a15a5e3a4664f31d4eef2660103 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 19:00:29 +0200
Subject: [PATCH 073/310] fdm: rebuild for libressl-2.9.2.

---
 srcpkgs/fdm/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/fdm/template b/srcpkgs/fdm/template
index 221dbfca3d3..f086c0d8331 100644
--- a/srcpkgs/fdm/template
+++ b/srcpkgs/fdm/template
@@ -1,7 +1,7 @@
 # Template file for 'fdm'
 pkgname=fdm
 version=2.0
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="ac_cv_func_strlcpy=no ac_cv_func_strlcat=no --enable-pcre"
 hostmakedepends="automake bison"

From 4d75b87bff28f0fb99e5bfb343499f61eee7fd0c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 19:02:33 +0200
Subject: [PATCH 074/310] fetchmail: rebuild for libressl-2.9.2.

---
 srcpkgs/fetchmail/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/fetchmail/template b/srcpkgs/fetchmail/template
index cfbea3df0fb..7e225b58f59 100644
--- a/srcpkgs/fetchmail/template
+++ b/srcpkgs/fetchmail/template
@@ -1,7 +1,7 @@
 # Template file for 'fetchmail'
 pkgname=fetchmail
 version=6.3.26
-revision=14
+revision=15
 build_style=gnu-configure
 configure_args="--with-ssl=${XBPS_CROSS_BASE}/usr"
 hostmakedepends="python-devel"

From 32c27d8f4a05f814940848d8daed32ac2539cfdb Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 28 Apr 2019 21:09:41 +0200
Subject: [PATCH 075/310] fossil: rebuild for libressl-2.9.2.

---
 srcpkgs/fossil/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/fossil/template b/srcpkgs/fossil/template
index da7fe65dcfe..c46e7298296 100644
--- a/srcpkgs/fossil/template
+++ b/srcpkgs/fossil/template
@@ -1,7 +1,7 @@
 # Template file for 'fossil'
 pkgname=fossil
 version=2.8
-revision=1
+revision=2
 build_style=configure
 configure_args="--disable-internal-sqlite --prefix=/usr"
 hostmakedepends="tcl"

From 2dcc300a2c03fe64ef793a84a3454f7042763f94 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 01:59:48 +0200
Subject: [PATCH 076/310] freerdp: rebuild for libressl-2.9.2.

---
 srcpkgs/freerdp/patches/libressl.patch | 15 +++++++++++++++
 srcpkgs/freerdp/template               |  2 +-
 2 files changed, 16 insertions(+), 1 deletion(-)
 create mode 100644 srcpkgs/freerdp/patches/libressl.patch

diff --git a/srcpkgs/freerdp/patches/libressl.patch b/srcpkgs/freerdp/patches/libressl.patch
new file mode 100644
index 00000000000..0ef982d9486
--- /dev/null
+++ b/srcpkgs/freerdp/patches/libressl.patch
@@ -0,0 +1,15 @@
+source: $OpenBSD: patch-libfreerdp_crypto_tls_c,v 1.3 2018/10/24 17:10:22 jsing Exp $
+
+Stop reaching into libssl internals to send TLS alerts.
+
+--- libfreerdp/crypto/tls.c	2018-11-20 11:43:51.000000000 +0100
++++ libfreerdp/crypto/tls.c	2019-05-10 01:49:19.466050550 +0200
+@@ -1026,7 +1026,7 @@
+ 	 * FIXME: The following code does not work on OpenSSL > 1.1.0 because the
+ 	 *        SSL struct is opaqe now
+ 	 */
+-#if OPENSSL_VERSION_NUMBER < 0x10100000L || defined(LIBRESSL_VERSION_NUMBER)
++#if OPENSSL_VERSION_NUMBER < 0x10100000L || (defined(LIBRESSL_VERSION_NUMBER) && LIBRESSL_VERSION_NUMBER < 0x2080000fL)
+ 
+ 	if (tls->alertDescription != TLS_ALERT_DESCRIPTION_CLOSE_NOTIFY)
+ 	{
diff --git a/srcpkgs/freerdp/template b/srcpkgs/freerdp/template
index ef4f443d9db..09c64f6a81a 100644
--- a/srcpkgs/freerdp/template
+++ b/srcpkgs/freerdp/template
@@ -1,7 +1,7 @@
 # Template file for 'freerdp'
 pkgname=freerdp
 version=2.0.0rc4
-revision=1
+revision=2
 wrksrc="FreeRDP-${version/r/-r}"
 build_style=cmake
 configure_args="-DWITH_ALSA=ON -DWITH_CUPS=OFF -DWITH_FFMPEG=ON

From 274673d006ac7910dcc62f18c7232217800bfeb9 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 02:02:24 +0200
Subject: [PATCH 077/310] freshplayerplugin: rebuild for libressl-2.9.2.

---
 srcpkgs/freshplayerplugin/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/freshplayerplugin/template b/srcpkgs/freshplayerplugin/template
index dbb16471ed0..1bd2be3cdbf 100644
--- a/srcpkgs/freshplayerplugin/template
+++ b/srcpkgs/freshplayerplugin/template
@@ -1,7 +1,7 @@
 # Template file for 'freshplayerplugin'
 pkgname=freshplayerplugin
 version=0.3.9
-revision=1
+revision=2
 build_style=cmake
 hostmakedepends="pkg-config ragel"
 makedepends="libevent-devel libXcursor-devel alsa-lib-devel libXrandr-devel gtk+-devel

From 0325c0fa373cae152c81d33cffcdc0f269e333fa Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 02:05:09 +0200
Subject: [PATCH 078/310] gambit: rebuild for libressl-2.9.2.

---
 srcpkgs/gambit/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/gambit/template b/srcpkgs/gambit/template
index 6989d639467..fb3a382f47d 100644
--- a/srcpkgs/gambit/template
+++ b/srcpkgs/gambit/template
@@ -1,7 +1,7 @@
 # Template file for 'gambit'
 pkgname=gambit
 version=4.9.3
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="
  --libdir=/usr/lib/gambit --docdir=/usr/share/doc/gambit

From 686ea8daf081adecaae5fc10f7aa6a5a4976f088 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 02:12:26 +0200
Subject: [PATCH 079/310] gatling: rebuild for libressl-2.9.2.

---
 srcpkgs/gatling/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/gatling/template b/srcpkgs/gatling/template
index fc8a49b8d87..ea214a6edba 100644
--- a/srcpkgs/gatling/template
+++ b/srcpkgs/gatling/template
@@ -1,7 +1,7 @@
 # Template file for 'gatling'
 pkgname=gatling
 version=0.15
-revision=7
+revision=8
 build_style=gnu-makefile
 makedepends="libowfat libressl-devel zlib-devel"
 short_desc="High performance web server"

From 22f5a24a71d6b11ea0906f9c324a94da4100a972 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 02:14:12 +0200
Subject: [PATCH 080/310] getdns: rebuild for libressl-2.9.2.

---
 srcpkgs/getdns/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/getdns/template b/srcpkgs/getdns/template
index 79f7fe106da..469348b67ce 100644
--- a/srcpkgs/getdns/template
+++ b/srcpkgs/getdns/template
@@ -1,7 +1,7 @@
 # Template file for 'getdns'
 pkgname=getdns
 version=1.5.1
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="--with-libev --with-libevent --with-libuv
  --with-ssl=${XBPS_CROSS_BASE}/usr"

From e7ddcc5cf227ebeb7af06b953c28326a4c66493a Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 02:15:05 +0200
Subject: [PATCH 081/310] gftp: rebuild for libressl-2.9.2.

---
 srcpkgs/gftp/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/gftp/template b/srcpkgs/gftp/template
index b40045cf6db..91f1da3a925 100644
--- a/srcpkgs/gftp/template
+++ b/srcpkgs/gftp/template
@@ -1,7 +1,7 @@
 # Template file for 'gftp'
 pkgname=gftp
 version=2.0.19
-revision=5
+revision=6
 build_style=gnu-configure
 hostmakedepends="pkg-config"
 makedepends="gtk+-devel libressl-devel"

From 0829cc2ef9fd126398dc838e198cdffc30a2191c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 02:15:57 +0200
Subject: [PATCH 082/310] git-crypt: rebuild for libressl-2.9.2.

---
 srcpkgs/git-crypt/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/git-crypt/template b/srcpkgs/git-crypt/template
index ecf80601749..f563c56e1c1 100644
--- a/srcpkgs/git-crypt/template
+++ b/srcpkgs/git-crypt/template
@@ -1,7 +1,7 @@
 # Template file for 'git-crypt'
 pkgname=git-crypt
 version=0.6.0
-revision=4
+revision=5
 build_style=gnu-makefile
 make_use_env=yes
 makedepends="libressl-devel"

From 97cf162c1eb648b0439c2ddaa94e35d414c1e948 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 02:16:41 +0200
Subject: [PATCH 083/310] gkrellm: rebuild for libressl-2.9.2.

---
 srcpkgs/gkrellm/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/gkrellm/template b/srcpkgs/gkrellm/template
index 387b3bfad15..faa74bec31e 100644
--- a/srcpkgs/gkrellm/template
+++ b/srcpkgs/gkrellm/template
@@ -1,7 +1,7 @@
 # Template file for 'gkrellm'
 pkgname=gkrellm
 version=2.3.10
-revision=6
+revision=7
 build_style=gnu-makefile
 hostmakedepends="pkg-config"
 makedepends="libressl-devel libSM-devel gtk+-devel libsensors-devel"

From 404da68555b745f99f721bb22ed37963f78de14d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 02:17:30 +0200
Subject: [PATCH 084/310] grub-customizer: rebuild for libressl-2.9.2.

---
 srcpkgs/grub-customizer/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/grub-customizer/template b/srcpkgs/grub-customizer/template
index 0618183fda8..e3bd598f30d 100644
--- a/srcpkgs/grub-customizer/template
+++ b/srcpkgs/grub-customizer/template
@@ -1,7 +1,7 @@
 # Template file for 'grub-customizer'
 pkgname=grub-customizer
 version=5.1.0
-revision=2
+revision=3
 build_style=cmake
 hostmakedepends="pkg-config"
 makedepends="gtkmm-devel libressl-devel libarchive-devel"

From c46e11da55d00e264e1505cff31986fa1eef9dc3 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 02:23:17 +0200
Subject: [PATCH 085/310] gsoap: rebuild for libressl-2.9.2.

---
 srcpkgs/gsoap/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/gsoap/template b/srcpkgs/gsoap/template
index c7deed852c6..14f2051e372 100644
--- a/srcpkgs/gsoap/template
+++ b/srcpkgs/gsoap/template
@@ -1,7 +1,7 @@
 # Template file for 'gsoap'
 pkgname=gsoap
 version=2.8.82
-revision=1
+revision=2
 wrksrc="gsoap-${version%.*}"
 build_style=gnu-configure
 configure_args="--enable-ipv6"

From 63f27ffa36da998c24c5e38be164bde6b6ddf1e8 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 02:31:36 +0200
Subject: [PATCH 086/310] gst-plugins-bad1: rebuild for libressl-2.9.2.

---
 srcpkgs/gst-plugins-bad1/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/gst-plugins-bad1/template b/srcpkgs/gst-plugins-bad1/template
index 9a466d3ea49..d30fe17a359 100644
--- a/srcpkgs/gst-plugins-bad1/template
+++ b/srcpkgs/gst-plugins-bad1/template
@@ -1,7 +1,7 @@
 # Template file for 'gst-plugins-bad1'
 pkgname=gst-plugins-bad1
 version=1.16.0
-revision=1
+revision=2
 wrksrc="${pkgname/1/}-${version}"
 build_helper="gir"
 build_style=meson

From bc40a146b14d3864c3bb95270d1bbbbf37e687fd Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 02:35:37 +0200
Subject: [PATCH 087/310] gwenhywfar: rebuild for libressl-2.9.2.

---
 srcpkgs/gwenhywfar/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/gwenhywfar/template b/srcpkgs/gwenhywfar/template
index 0973f95f1b2..2407ac90bcd 100644
--- a/srcpkgs/gwenhywfar/template
+++ b/srcpkgs/gwenhywfar/template
@@ -1,7 +1,7 @@
 # Template file for 'gwenhywfar'
 pkgname=gwenhywfar
 version=4.20.1
-revision=2
+revision=3
 hostmakedepends="automake pkg-config libgcrypt-devel libtool"
 makedepends="libgcrypt-devel gnutls-devel gtk+-devel qt5-devel gtk+3-devel"
 build_style=gnu-configure

From a2f7f73cd0929db96115186b3a510fc561f43ba3 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 12:31:08 +0200
Subject: [PATCH 088/310] h2o: rebuild for libressl-2.9.2.

---
 srcpkgs/h2o/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/h2o/template b/srcpkgs/h2o/template
index f14efcb0511..4446b84b03c 100644
--- a/srcpkgs/h2o/template
+++ b/srcpkgs/h2o/template
@@ -1,7 +1,7 @@
 # Template file for 'h2o'
 pkgname=h2o
 version=2.2.5
-revision=3
+revision=4
 build_style=cmake
 conf_files="/etc/h2o.conf"
 hostmakedepends="pkg-config"

From 8492317d4ffc1dc0008b0ff6c87ec5f2407049b4 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 12:40:51 +0200
Subject: [PATCH 089/310] haproxy: rebuild for libressl-2.9.2.

---
 srcpkgs/haproxy/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/haproxy/template b/srcpkgs/haproxy/template
index f14075402db..dd38a965c32 100644
--- a/srcpkgs/haproxy/template
+++ b/srcpkgs/haproxy/template
@@ -1,7 +1,7 @@
 # Template file for 'haproxy'
 pkgname=haproxy
 version=1.8.19
-revision=1
+revision=2
 build_style=gnu-makefile
 make_build_args="TARGET=linux2628 USE_PCRE=1 USE_PCRE_JIT=1 USE_ZLIB=1
  USE_OPENSSL=1 USE_LIBCRYPT=1 USE_GETADDRINFO=1 USE_LUA=1"

From a7123f244244fb5f7a472b65a0a42db66b023125 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 12:42:20 +0200
Subject: [PATCH 090/310] hexchat: rebuild for libressl-2.9.2.

---
 srcpkgs/hexchat/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/hexchat/template b/srcpkgs/hexchat/template
index 3f6876feb74..58631493a61 100644
--- a/srcpkgs/hexchat/template
+++ b/srcpkgs/hexchat/template
@@ -1,7 +1,7 @@
 # Template file for 'hexchat'
 pkgname=hexchat
 version=2.14.2
-revision=4
+revision=5
 build_style=meson
 configure_args="-Dwith-dbus=true -Dwith-ssl=true -Dwith-text=false
  -Dwith-perl=/usr/bin/perl -Dwith-python=python3

From 75311196cd888a43f9248a6fcd96f79ab68a4566 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 12:45:05 +0200
Subject: [PATCH 091/310] hitch: rebuild for libressl-2.9.2.

---
 srcpkgs/hitch/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/hitch/template b/srcpkgs/hitch/template
index f56cda14777..b349d38f19e 100644
--- a/srcpkgs/hitch/template
+++ b/srcpkgs/hitch/template
@@ -1,7 +1,7 @@
 # Template file for 'hitch'
 pkgname=hitch
 version=1.5.0
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="ac_cv_so_reuseport_works=yes"
 hostmakedepends="pkg-config"

From 5552f78c26b7e9f69be5121eee1e0a64ed132f4c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 12:45:45 +0200
Subject: [PATCH 092/310] hostapd: rebuild for libressl-2.9.2.

---
 srcpkgs/hostapd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/hostapd/template b/srcpkgs/hostapd/template
index ee2b0fbb045..11f3c80c29e 100644
--- a/srcpkgs/hostapd/template
+++ b/srcpkgs/hostapd/template
@@ -1,7 +1,7 @@
 # Template file for 'hostapd'
 pkgname=hostapd
 version=2.7
-revision=1
+revision=2
 build_wrksrc="$pkgname"
 conf_files="/etc/hostapd/hostapd.conf"
 hostmakedepends="pkg-config"

From 989cce8c31144d56fa2beae4042f7201bf1cbc37 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 12:46:22 +0200
Subject: [PATCH 093/310] hplip: rebuild for libressl-2.9.2.

---
 srcpkgs/hplip/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/hplip/template b/srcpkgs/hplip/template
index e3699fef2b5..53f0a3771c2 100644
--- a/srcpkgs/hplip/template
+++ b/srcpkgs/hplip/template
@@ -1,7 +1,7 @@
 # Template file for 'hplip'
 pkgname=hplip
 version=3.19.5
-revision=1
+revision=2
 build_style=gnu-configure
 pycompile_dirs="usr/share/hplip"
 configure_args="

From f03d8bd558e81019572473752c79d1fe1bcdb372 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 12:56:18 +0200
Subject: [PATCH 094/310] httrack: rebuild for libressl-2.9.2.

---
 srcpkgs/httrack/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/httrack/template b/srcpkgs/httrack/template
index cf38cfb4460..3d6fe2b8f63 100644
--- a/srcpkgs/httrack/template
+++ b/srcpkgs/httrack/template
@@ -1,7 +1,7 @@
 # Template file for 'httrack'
 pkgname=httrack
 version=3.49.2
-revision=4
+revision=5
 build_style=gnu-configure
 configure_args="--disable-static --with-zlib=${XBPS_CROSS_BASE}/usr"
 short_desc="A free and easy-to-use offline browser utility"

From 984b6884b41eb7d0c4d54ba6f64ecc3ebffedebf Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 12:58:27 +0200
Subject: [PATCH 095/310] i2pd: rebuild for libressl-2.9.2.

---
 srcpkgs/i2pd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/i2pd/template b/srcpkgs/i2pd/template
index 98ff3d42755..6c01819b985 100644
--- a/srcpkgs/i2pd/template
+++ b/srcpkgs/i2pd/template
@@ -1,7 +1,7 @@
 # Template file for 'i2pd'
 pkgname=i2pd
 version=2.25.0
-revision=1
+revision=2
 build_style=gnu-makefile
 make_build_args="USE_UPNP=yes"
 makedepends="zlib-devel boost-devel libressl-devel miniupnpc-devel

From fabe5be6245b461020c007863bf18635ead8da53 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 13:04:44 +0200
Subject: [PATCH 096/310] icecast: rebuild for libressl-2.9.2.

---
 srcpkgs/icecast/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/icecast/template b/srcpkgs/icecast/template
index 5988bcc4e59..cb9e3ba114d 100644
--- a/srcpkgs/icecast/template
+++ b/srcpkgs/icecast/template
@@ -1,7 +1,7 @@
 # Template file for 'icecast'
 pkgname=icecast
 version=2.4.4
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="pkg-config libxml2-devel"
 makedepends="libressl-devel libcurl-devel speex-devel

From 1f56c054ff112325e598076c0085e171b99e43e0 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 13:06:19 +0200
Subject: [PATCH 097/310] icinga2: rebuild for libressl-2.9.2.

---
 srcpkgs/icinga2/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/icinga2/template b/srcpkgs/icinga2/template
index 8b21d1c78ff..25cea6577f6 100644
--- a/srcpkgs/icinga2/template
+++ b/srcpkgs/icinga2/template
@@ -1,7 +1,7 @@
 # Template file for 'icinga2'
 pkgname=icinga2
 version=2.9.2
-revision=5
+revision=6
 build_style=cmake
 configure_args="-DCMAKE_INSTALL_SYSCONFDIR=/etc
  -DCMAKE_INSTALL_LOCALSTATEDIR=/var -DICINGA2_RUNDIR=/run

From 7788e306e66d7a352e0bbc28cc07940449c7b5ae Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 13:17:11 +0200
Subject: [PATCH 098/310] imapfilter: rebuild for libressl-2.9.2.

---
 srcpkgs/imapfilter/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/imapfilter/template b/srcpkgs/imapfilter/template
index c4d0500ece4..98227dbde7d 100644
--- a/srcpkgs/imapfilter/template
+++ b/srcpkgs/imapfilter/template
@@ -1,7 +1,7 @@
 # Template file for 'imapfilter'
 pkgname=imapfilter
 version=2.6.12
-revision=2
+revision=3
 build_style=gnu-makefile
 make_build_args="DESTIDIR=${DESTDIR} PREFIX=/usr"
 hostmakedepends="lua-devel"

From 200afb831c45d247d64c98aec7e7af114497584c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 13:55:16 +0200
Subject: [PATCH 099/310] inspircd: rebuild for libressl-2.9.2.

---
 srcpkgs/inspircd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/inspircd/template b/srcpkgs/inspircd/template
index 79cfa932e21..995c8d977a7 100644
--- a/srcpkgs/inspircd/template
+++ b/srcpkgs/inspircd/template
@@ -1,7 +1,7 @@
 # Template file for 'inspircd'
 pkgname=inspircd
 version=3.0.1
-revision=1
+revision=2
 build_style=gnu-makefile
 hostmakedepends="perl pkg-config"
 makedepends="geoip-devel libressl-devel sqlite-devel gnutls-devel"

From e962b1065a510254a6d4e1cb8972e2589f9b503f Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 13:56:47 +0200
Subject: [PATCH 100/310] ipmitool: rebuild for libressl-2.9.2.

---
 srcpkgs/ipmitool/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ipmitool/template b/srcpkgs/ipmitool/template
index 1947fe4fdd5..57b3d04f357 100644
--- a/srcpkgs/ipmitool/template
+++ b/srcpkgs/ipmitool/template
@@ -1,7 +1,7 @@
 # Template file for 'ipmitool'
 pkgname=ipmitool
 version=1.8.18
-revision=5
+revision=6
 build_style=gnu-configure
 makedepends="libressl-devel"
 short_desc="Command-line interface to IPMI-enabled devices"

From 0d2110657307baa6f435c6ae9fd585cb298b9c47 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 13:57:41 +0200
Subject: [PATCH 101/310] ipmiutil: rebuild for libressl-2.9.2.

---
 srcpkgs/ipmiutil/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ipmiutil/template b/srcpkgs/ipmiutil/template
index 965775ec8d2..6ada6681f93 100644
--- a/srcpkgs/ipmiutil/template
+++ b/srcpkgs/ipmiutil/template
@@ -1,7 +1,7 @@
 # Template file for 'ipmiutil'
 pkgname=ipmiutil
 version=3.1.3
-revision=1
+revision=2
 archs="i686* x86_64* ppc64le* ppc64-musl"
 build_style=gnu-configure
 configure_args="--disable-systemd --libdir=/usr/lib"

From 2bc881ace3edcfadd616cccbf88ec434dc1c8db0 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 14:00:21 +0200
Subject: [PATCH 102/310] iputils: rebuild for libressl-2.9.2.

---
 srcpkgs/iputils/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/iputils/template b/srcpkgs/iputils/template
index ce1bcd6473b..651067e31a5 100644
--- a/srcpkgs/iputils/template
+++ b/srcpkgs/iputils/template
@@ -1,7 +1,7 @@
 # Template file for 'iputils'
 pkgname=iputils
 version=20180629
-revision=2
+revision=3
 patch_args="-Np1"
 wrksrc="${pkgname}-s${version}"
 makedepends="libcap-devel libressl-devel"

From 4176394148a9d17bc5c2569acdc844d1c92e2d10 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 14:00:48 +0200
Subject: [PATCH 103/310] irssi: rebuild for libressl-2.9.2.

---
 srcpkgs/irssi/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/irssi/template b/srcpkgs/irssi/template
index c8f205faad3..9faba0f84ff 100644
--- a/srcpkgs/irssi/template
+++ b/srcpkgs/irssi/template
@@ -1,7 +1,7 @@
 # Template file for 'irssi'
 pkgname=irssi
 version=1.2.0
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="--disable-static --with-proxy --enable-true-color --with-otr"
 hostmakedepends="pkg-config"

From 0ab2214e5bc750a6aa7fc6a2024139bd8a59f61d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 14:02:03 +0200
Subject: [PATCH 104/310] isync: rebuild for libressl-2.9.2.

---
 srcpkgs/isync/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/isync/template b/srcpkgs/isync/template
index a75057b2287..eef3cf3c078 100644
--- a/srcpkgs/isync/template
+++ b/srcpkgs/isync/template
@@ -1,7 +1,7 @@
 # Template file for 'isync'
 pkgname=isync
 version=1.3.1
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="perl pkg-config"
 makedepends="libressl-devel libsasl-devel db-devel zlib-devel"

From c8c6c9b8646c89dd274360b0da27deb6ebb8df8d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 14:10:27 +0200
Subject: [PATCH 105/310] john: rebuild for libressl-2.9.2.

---
 srcpkgs/john/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/john/template b/srcpkgs/john/template
index c4f14998ef3..cb8a16969f7 100644
--- a/srcpkgs/john/template
+++ b/srcpkgs/john/template
@@ -1,7 +1,7 @@
 # Template file for 'john'
 pkgname=john
 version=1.8.0
-revision=12
+revision=13
 _jumbover=1
 wrksrc="${pkgname}-${version}-jumbo-${_jumbover}"
 build_wrksrc="src"

From 4c988de9862bd44cda17ae4165273b87e11e3e4b Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 14:17:25 +0200
Subject: [PATCH 106/310] git-series: rebuild for libressl-2.9.2.

---
 srcpkgs/git-series/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/git-series/template b/srcpkgs/git-series/template
index 6a531e33302..8d17715defa 100644
--- a/srcpkgs/git-series/template
+++ b/srcpkgs/git-series/template
@@ -1,7 +1,7 @@
 # Template file for 'git-series'
 pkgname=git-series
 version=0.9.1
-revision=10
+revision=11
 build_style=cargo
 hostmakedepends="cmake pkg-config perl"
 makedepends="libgit2-devel libcurl-devel"

From 41493dec04ecc93fe074693e53c94891de5f6218 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 14:19:20 +0200
Subject: [PATCH 107/310] kea: rebuild for libressl-2.9.2.

---
 srcpkgs/kea/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/kea/template b/srcpkgs/kea/template
index 2a72f39d885..c6a0a34f317 100644
--- a/srcpkgs/kea/template
+++ b/srcpkgs/kea/template
@@ -1,7 +1,7 @@
 # Template file for 'kea'
 pkgname=kea
 version=1.5.0
-revision=5
+revision=6
 build_style=gnu-configure
 configure_args="--enable-generate-docs --with-openssl=${XBPS_CROSS_BASE}/usr
  $(vopt_if mysql --with-dhcp-mysql)

From 5cc9bbc9e48b7b20659f6d31ce39ef2c3c2d4ffe Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 14:31:39 +0200
Subject: [PATCH 108/310] keepalived: rebuild for libressl-2.9.2.

---
 srcpkgs/keepalived/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/keepalived/template b/srcpkgs/keepalived/template
index c2e85b0a1fd..b3cc0902cc2 100644
--- a/srcpkgs/keepalived/template
+++ b/srcpkgs/keepalived/template
@@ -1,7 +1,7 @@
 # Template file for 'keepalived'
 pkgname=keepalived
 version=2.0.16
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-sha1"
 hostmakedepends="pkg-config"

From c707148682a56f5fa3fe91452a25d5a86056cfd3 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 14:35:56 +0200
Subject: [PATCH 109/310] kicad: rebuild for libressl-2.9.2.

---
 srcpkgs/kicad/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/kicad/template b/srcpkgs/kicad/template
index 1a6b282ee4b..24ae4f90c2c 100644
--- a/srcpkgs/kicad/template
+++ b/srcpkgs/kicad/template
@@ -1,7 +1,7 @@
 # Template file for 'kicad'
 pkgname=kicad
 version=5.0.2
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DKICAD_BUILD_VERSION=${version} -DKICAD_SCRIPTING=ON
  -DKICAD_SCRIPTING_MODULES=ON -DKICAD_SCRIPTING_WXPYTHON=ON

From 48fd2d7ce4eba935c5c96e16305499b1f3637bc7 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 14:55:01 +0200
Subject: [PATCH 110/310] kore: rebuild for libressl-2.9.2.

---
 srcpkgs/kore/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/kore/template b/srcpkgs/kore/template
index b6486f152be..70a20f31b1a 100644
--- a/srcpkgs/kore/template
+++ b/srcpkgs/kore/template
@@ -1,7 +1,7 @@
 # Template file for 'kore'
 pkgname=kore
 version=3.3.1
-revision=1
+revision=2
 build_style=gnu-makefile
 make_use_env=yes
 make_build_args="PREFIX=/usr"

From e1e4bc9f348eac84a5e44720d2b39325d4f3b775 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 14:55:30 +0200
Subject: [PATCH 111/310] kvirc: rebuild for libressl-2.9.2.

---
 srcpkgs/kvirc/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/kvirc/template b/srcpkgs/kvirc/template
index 0c8bc0b7395..022c1d46baf 100644
--- a/srcpkgs/kvirc/template
+++ b/srcpkgs/kvirc/template
@@ -1,7 +1,7 @@
 # Template file for 'kvirc'
 pkgname=kvirc
 version=5.0.0
-revision=1
+revision=2
 wrksrc="KVIrc-$version"
 build_style=cmake
 configure_args="-DWANT_ENV_FLAGS=1 -DWANT_KDE=0"

From 77a0362bd78f6dc2689b890d177290f473737d2f Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:01:13 +0200
Subject: [PATCH 112/310] libgit2: rebuild for libressl-2.9.2.

---
 srcpkgs/libgit2/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libgit2/template b/srcpkgs/libgit2/template
index 7a801560b8d..3ccc8a99f6f 100644
--- a/srcpkgs/libgit2/template
+++ b/srcpkgs/libgit2/template
@@ -1,7 +1,7 @@
 # Template file for 'libgit2'
 pkgname=libgit2
 version=0.28.2
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DTHREADSAFE=ON"
 hostmakedepends="python git pkg-config"

From 1b21c734600b75d7d771df4e9611a1812ddda8a5 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:15:13 +0200
Subject: [PATCH 113/310] lastpass-cli: rebuild for libressl-2.9.2.

---
 srcpkgs/lastpass-cli/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/lastpass-cli/template b/srcpkgs/lastpass-cli/template
index 8395ad93abe..af29d878e9b 100644
--- a/srcpkgs/lastpass-cli/template
+++ b/srcpkgs/lastpass-cli/template
@@ -1,7 +1,7 @@
 # Template file for 'lastpass-cli'
 pkgname=lastpass-cli
 version=1.3.2
-revision=1
+revision=2
 build_style=cmake
 make_install_target="install install-doc"
 hostmakedepends="asciidoc pkg-config"

From ad39a73eb81553aefe555fb86559c9588ce820a4 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:16:19 +0200
Subject: [PATCH 114/310] ldapvi: rebuild for libressl-2.9.2.

---
 srcpkgs/ldapvi/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ldapvi/template b/srcpkgs/ldapvi/template
index 8fa0c75f271..67b08eb286e 100644
--- a/srcpkgs/ldapvi/template
+++ b/srcpkgs/ldapvi/template
@@ -1,7 +1,7 @@
 # Template file for 'ldapvi'
 pkgname=ldapvi
 version=1.7
-revision=8
+revision=9
 build_style=gnu-configure
 configure_args="--with-sha"
 maintainer="Leah Neukirchen <leah@vuxu.org>"

From 714a810f66374d508f06bfe3e4f26bfdc0db50b1 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:17:26 +0200
Subject: [PATCH 115/310] ldns: rebuild for libressl-2.9.2.

---
 srcpkgs/ldns/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ldns/template b/srcpkgs/ldns/template
index 36e63b825f6..815e12c2f0a 100644
--- a/srcpkgs/ldns/template
+++ b/srcpkgs/ldns/template
@@ -1,7 +1,7 @@
 # Template file for 'ldns'
 pkgname=ldns
 version=1.7.0
-revision=8
+revision=9
 patch_args="-Np1"
 build_style=gnu-configure
 configure_args="--with-drill --with-examples --disable-dane-ta-usage

From fa4dbabd9a2957af6d6ae65c48af9528af1c8fa6 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:19:21 +0200
Subject: [PATCH 116/310] libarchive: rebuild for libressl-2.9.2.

---
 srcpkgs/libarchive/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libarchive/template b/srcpkgs/libarchive/template
index 52ff278ef0b..c35681f977e 100644
--- a/srcpkgs/libarchive/template
+++ b/srcpkgs/libarchive/template
@@ -1,7 +1,7 @@
 # Template file for 'libarchive'
 pkgname=libarchive
 version=3.3.3
-revision=3
+revision=4
 bootstrap=yes
 build_style=gnu-configure
 configure_args="$(vopt_enable acl) $(vopt_enable acl xattr)

From ac05e9d536f2a073dfb7ba50eab46231c5359316 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:24:22 +0200
Subject: [PATCH 117/310] libesmtp: rebuild for libressl-2.9.2.

---
 srcpkgs/libesmtp/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libesmtp/template b/srcpkgs/libesmtp/template
index 59c90409510..ed359647221 100644
--- a/srcpkgs/libesmtp/template
+++ b/srcpkgs/libesmtp/template
@@ -1,7 +1,7 @@
 # Template file for 'libesmtp'
 pkgname=libesmtp
 version=1.0.6
-revision=18
+revision=19
 build_style=gnu-configure
 configure_args="--disable-static --with-openssl"
 makedepends="libressl-devel"

From 5033b995c13c97b73c1d933b379048c84cb221c0 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:26:01 +0200
Subject: [PATCH 118/310] libetpan: rebuild for libressl-2.9.2.

---
 srcpkgs/libetpan/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libetpan/template b/srcpkgs/libetpan/template
index 06280607237..d2bc2325434 100644
--- a/srcpkgs/libetpan/template
+++ b/srcpkgs/libetpan/template
@@ -1,7 +1,7 @@
 # Template file for 'libetpan'
 pkgname=libetpan
 version=1.9.3
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-ipv6 --with-curl --with-expat --with-openssl
  --with-zlib --with-sasl"

From b8c3fbe616fc5bfff2520c521324e26b40ad1b58 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:28:23 +0200
Subject: [PATCH 119/310] libevent: rebuild for libressl-2.9.2.

---
 srcpkgs/libevent/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libevent/template b/srcpkgs/libevent/template
index 0e424c73831..dcc106d5e34 100644
--- a/srcpkgs/libevent/template
+++ b/srcpkgs/libevent/template
@@ -1,7 +1,7 @@
 # Template file for 'libevent'
 pkgname=libevent
 version=2.1.10
-revision=1
+revision=2
 wrksrc="${pkgname}-${version}-stable"
 build_style=gnu-configure
 makedepends="libressl-devel"

From 18fd7ba3a04ef9f851f02d39ef3e0080abe63bc8 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:30:53 +0200
Subject: [PATCH 120/310] libfetch: rebuild for libressl-2.9.2.

---
 srcpkgs/libfetch/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libfetch/template b/srcpkgs/libfetch/template
index d6a0d445e5c..2e3aa4d07a5 100644
--- a/srcpkgs/libfetch/template
+++ b/srcpkgs/libfetch/template
@@ -1,7 +1,7 @@
 # Template file for 'libfetch'
 pkgname=libfetch
 version=2.34
-revision=19
+revision=20
 build_style=gnu-makefile
 makedepends="libressl-devel"
 short_desc="File Transfer Library for URLs"

From 24af64707a37d145c02759698a7912f4dc611ee6 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:47:30 +0200
Subject: [PATCH 121/310] libgit2-0.27: rebuild for libressl-2.9.2.

---
 srcpkgs/libgit2-0.27/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libgit2-0.27/template b/srcpkgs/libgit2-0.27/template
index 4c97c43a6ba..d2bcec3759c 100644
--- a/srcpkgs/libgit2-0.27/template
+++ b/srcpkgs/libgit2-0.27/template
@@ -1,7 +1,7 @@
 # Template file for 'libgit2-0.27'
 pkgname=libgit2-0.27
 version=0.27.8
-revision=1
+revision=2
 wrksrc="libgit2-${version}"
 build_style=cmake
 configure_args="-DTHREADSAFE=ON"

From 1533c1319c8827067136ac86e1f8238e7501364c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:49:41 +0200
Subject: [PATCH 122/310] libimobiledevice: rebuild for libressl-2.9.2.

---
 srcpkgs/libimobiledevice/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libimobiledevice/template b/srcpkgs/libimobiledevice/template
index a699e64a891..110a12bd5e6 100644
--- a/srcpkgs/libimobiledevice/template
+++ b/srcpkgs/libimobiledevice/template
@@ -1,7 +1,7 @@
 # Template file for 'libimobiledevice'
 pkgname=libimobiledevice
 version=1.2.0
-revision=12
+revision=13
 patch_args="-Np1"
 build_style=gnu-configure
 hostmakedepends="automake libtool pkg-config python-devel"

From 3755cb9adb5ab920bc146c9174f563a873357092 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:54:42 +0200
Subject: [PATCH 123/310] libmowgli: rebuild for libressl-2.9.2.

---
 srcpkgs/libmowgli/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libmowgli/template b/srcpkgs/libmowgli/template
index 320ee7edf20..4305c9f1f44 100644
--- a/srcpkgs/libmowgli/template
+++ b/srcpkgs/libmowgli/template
@@ -1,7 +1,7 @@
 # Template file for 'libmowgli'
 pkgname=libmowgli
 version=2.1.3
-revision=5
+revision=6
 wrksrc="${pkgname}-2-${version}"
 build_style=gnu-configure
 hostmakedepends="pkg-config"

From fc7d56b03582ffc8bf773ec5f7a3685623e1f62c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:55:39 +0200
Subject: [PATCH 124/310] libnice: rebuild for libressl-2.9.2.

---
 srcpkgs/libnice/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libnice/template b/srcpkgs/libnice/template
index 9d86be93571..bd188007fc5 100644
--- a/srcpkgs/libnice/template
+++ b/srcpkgs/libnice/template
@@ -1,7 +1,7 @@
 # Template file for 'libnice'
 pkgname=libnice
 version=0.1.15
-revision=3
+revision=4
 build_style=meson
 build_helper="gir"
 configure_args="-Dcrypto-library=openssl -Dgtk_doc=disabled -Dtests=disabled

From 9e911eda5278587cbd271c672c93e0f05325d316 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 15:58:51 +0200
Subject: [PATCH 125/310] libostree: rebuild for libressl-2.9.2.

---
 srcpkgs/libostree/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libostree/template b/srcpkgs/libostree/template
index e13a84700bf..d4b5e667965 100644
--- a/srcpkgs/libostree/template
+++ b/srcpkgs/libostree/template
@@ -1,7 +1,7 @@
 # Template file for 'libostree'
 pkgname=libostree
 version=2019.2
-revision=2
+revision=3
 build_style=gnu-configure
 build_helper="gir"
 configure_args="--with-builtin-grub2-mkconfig --with-openssl

From d76b1a6de0481b7492cc88dc58ce5db171c3ac0b Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 16:01:18 +0200
Subject: [PATCH 126/310] librdkafka: rebuild for libressl-2.9.2.

---
 srcpkgs/librdkafka/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/librdkafka/template b/srcpkgs/librdkafka/template
index 63746b1c44d..e775d0b592f 100644
--- a/srcpkgs/librdkafka/template
+++ b/srcpkgs/librdkafka/template
@@ -1,7 +1,7 @@
 # Template file for 'librdkafka'
 pkgname=librdkafka
 version=1.0.1
-revision=1
+revision=2
 build_style=configure
 configure_args="--prefix=/usr"
 makedepends="zlib-devel libressl-devel libsasl-devel"

From 344613127de03d831b28e9549665cf2aa9ec29a7 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 21:19:45 +0200
Subject: [PATCH 127/310] libstrophe: rebuild for libressl-2.9.2.

---
 srcpkgs/libstrophe/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libstrophe/template b/srcpkgs/libstrophe/template
index 88872833178..70f3756a35f 100644
--- a/srcpkgs/libstrophe/template
+++ b/srcpkgs/libstrophe/template
@@ -1,7 +1,7 @@
 # Template file for 'libstrophe'
 pkgname=libstrophe
 version=0.9.2
-revision=5
+revision=6
 build_style=gnu-configure
 hostmakedepends="automake libtool pkg-config"
 makedepends="expat-devel libressl-devel zlib-devel"

From 0c7d249c23e8d5d2ef864142f9f7e34915b82f5c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 22:03:30 +0200
Subject: [PATCH 128/310] libtorrent: rebuild for libressl-2.9.2.

---
 srcpkgs/libtorrent/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libtorrent/template b/srcpkgs/libtorrent/template
index dd64eb30c28..8a4c96bbdb1 100644
--- a/srcpkgs/libtorrent/template
+++ b/srcpkgs/libtorrent/template
@@ -1,7 +1,7 @@
 # Template file for 'libtorrent'
 pkgname=libtorrent
 version=0.13.7
-revision=3
+revision=4
 build_style=gnu-configure
 configure_args="--enable-static --disable-debug --without-kqueue
  --enable-aligned --with-posix-fallocate"

From b3844f897dba66dae577b28d423d099cba04768e Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 22:28:39 +0200
Subject: [PATCH 129/310] libtorrent-rasterbar: rebuild for libressl-2.9.2.

---
 srcpkgs/libtorrent-rasterbar/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libtorrent-rasterbar/template b/srcpkgs/libtorrent-rasterbar/template
index 45c970a2418..34614ee2ba5 100644
--- a/srcpkgs/libtorrent-rasterbar/template
+++ b/srcpkgs/libtorrent-rasterbar/template
@@ -1,7 +1,7 @@
 # Template file for 'libtorrent-rasterbar'
 pkgname=libtorrent-rasterbar
 version=1.1.13
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-examples --enable-python-binding --with-boost=${XBPS_CROSS_BASE}/usr"
 hostmakedepends="automake pkg-config intltool libtool python-devel"

From 058476f5cd6af42169e9ae80b3177f455c53e414 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:14:11 +0200
Subject: [PATCH 130/310] libu2f-host: rebuild for libressl-2.9.2.

---
 srcpkgs/libu2f-host/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libu2f-host/template b/srcpkgs/libu2f-host/template
index e2512f8ecdb..d7a3d3b801b 100644
--- a/srcpkgs/libu2f-host/template
+++ b/srcpkgs/libu2f-host/template
@@ -1,7 +1,7 @@
 # Template file for 'libu2f-host'
 pkgname=libu2f-host
 version=1.1.9
-revision=1
+revision=2
 wrksrc="${pkgname}-${pkgname}-${version}"
 build_style=gnu-configure
 configure_args="--with-openssl=yes --with-udevrulesdir=/usr/lib/udev/rules.d"

From fed3f03f7a0bf5f7747c52f0726f9a9c97021a26 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:15:07 +0200
Subject: [PATCH 131/310] libu2f-server: rebuild for libressl-2.9.2.

---
 srcpkgs/libu2f-server/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libu2f-server/template b/srcpkgs/libu2f-server/template
index 7fe896d33f2..952b080fca5 100644
--- a/srcpkgs/libu2f-server/template
+++ b/srcpkgs/libu2f-server/template
@@ -1,7 +1,7 @@
 # Template file for 'libu2f-server'
 pkgname=libu2f-server
 version=1.1.0
-revision=5
+revision=6
 wrksrc="${pkgname}-${pkgname}-${version}"
 build_style=gnu-configure
 hostmakedepends="automake libtool pkg-config gengetopt check"

From a6c57a0b937bca2c8505058167ec5bb96249b315 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:15:51 +0200
Subject: [PATCH 132/310] libucl: rebuild for libressl-2.9.2.

---
 srcpkgs/libucl/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libucl/template b/srcpkgs/libucl/template
index de402c7d6b2..81e9ab62f2b 100644
--- a/srcpkgs/libucl/template
+++ b/srcpkgs/libucl/template
@@ -1,7 +1,7 @@
 # Template file for 'libucl'
 pkgname=libucl
 version=0.8.1
-revision=3
+revision=4
 build_style=gnu-configure
 configure_args="--enable-urls --enable-signatures"
 hostmakedepends="automake libtool pkg-config"

From 2261c92332c409dfb16dd17cfade0666d65c252d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:16:33 +0200
Subject: [PATCH 133/310] libwebsockets: rebuild for libressl-2.9.2.

---
 srcpkgs/libwebsockets/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libwebsockets/template b/srcpkgs/libwebsockets/template
index f329ee06919..d5b0306b73d 100644
--- a/srcpkgs/libwebsockets/template
+++ b/srcpkgs/libwebsockets/template
@@ -1,7 +1,7 @@
 # Template file for 'libwebsockets'
 pkgname=libwebsockets
 version=3.1.0
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DLWS_WITH_LIBEV=ON -DLWS_WITH_HTTP2=ON -DLWS_IPV6=ON
  -DLWS_HAVE_LIBCAP=ON"

From 51a9ff4217b8d15cb2f5c619f716cbce3898f4ca Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:17:21 +0200
Subject: [PATCH 134/310] libzip: rebuild for libressl-2.9.2.

---
 srcpkgs/libzip/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libzip/template b/srcpkgs/libzip/template
index bcdb557c146..1bdca94a900 100644
--- a/srcpkgs/libzip/template
+++ b/srcpkgs/libzip/template
@@ -1,7 +1,7 @@
 # Template file for 'libzip'
 pkgname=libzip
 version=1.5.2
-revision=1
+revision=2
 build_style=cmake
 hostmakedepends="perl groff"
 makedepends="bzip2-devel libressl-devel zlib-devel"

From 9c7b23b2e352735690588dbe62544fa54837b9b8 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:18:07 +0200
Subject: [PATCH 135/310] lighttpd: rebuild for libressl-2.9.2.

---
 srcpkgs/lighttpd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/lighttpd/template b/srcpkgs/lighttpd/template
index a1b57cb2367..eb9511e4f3e 100644
--- a/srcpkgs/lighttpd/template
+++ b/srcpkgs/lighttpd/template
@@ -1,7 +1,7 @@
 # Template file for 'lighttpd'
 pkgname=lighttpd
 version=1.4.53
-revision=1
+revision=2
 build_style=meson
 configure_args="-Dwith_bzip=true -Dwith_fam=false -Dwith_gdbm=true
  -Dwith_geoip=false -Dwith_krb5=true -Dwith_ldap=true -Dwith_libev=true

From 71bb0717a6969812b0515bef8923402b15f330b9 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:19:02 +0200
Subject: [PATCH 136/310] links: rebuild for libressl-2.9.2.

---
 srcpkgs/links/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/links/template b/srcpkgs/links/template
index 218c18af5e6..06e2249ac96 100644
--- a/srcpkgs/links/template
+++ b/srcpkgs/links/template
@@ -1,7 +1,7 @@
 # Template file for 'links'
 pkgname=links
 version=2.19
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-ssl --enable-graphics"
 hostmakedepends="pkg-config"

From 6df934cb1590e799a2797fdce1f42d5e366a6481 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:19:46 +0200
Subject: [PATCH 137/310] links-x11: rebuild for libressl-2.9.2.

---
 srcpkgs/links-x11/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/links-x11/template b/srcpkgs/links-x11/template
index 7db8523807e..aee66abbb0d 100644
--- a/srcpkgs/links-x11/template
+++ b/srcpkgs/links-x11/template
@@ -1,7 +1,7 @@
 # Template file for 'links-x11'
 pkgname=links-x11
 version=2.19
-revision=1
+revision=2
 wrksrc="${pkgname%-x11}-${version}"
 build_style=gnu-configure
 configure_args="--with-ssl --enable-graphics --enable-x"

From 3487d34d3511169913793945d9d2480a88647908 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:20:34 +0200
Subject: [PATCH 138/310] litecoin: rebuild for libressl-2.9.2.

---
 srcpkgs/litecoin/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/litecoin/template b/srcpkgs/litecoin/template
index cf607c0d72b..a23d54590c0 100644
--- a/srcpkgs/litecoin/template
+++ b/srcpkgs/litecoin/template
@@ -1,7 +1,7 @@
 # Template file for 'litecoin'
 pkgname=litecoin
 version=0.16.3
-revision=5
+revision=6
 build_style=gnu-configure
 configure_args="--with-incompatible-bdb --with-gui=qt5 --disable-static
  --disable-tests --with-libressl"
@@ -13,7 +13,7 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="MIT"
 homepage="http://www.litecoin.org/"
 distfiles="https://github.com/litecoin-project/litecoin/archive/v${version}.tar.gz"
-checksum=afdcf2fc8f343cef556ff3a930d363d9c714d03d7f13964e67f65194f82b37ad
+checksum=7788800eb4a433696a464563384cbdf83a47eebb8698325c75314171833227c8
 
 if [ "$CROSS_BUILD" ]; then
 	hostmakedepends+=" qt5-host-tools protobuf"

From c8a1c9f127390a03ccc2d11b006af36705f75093 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:29:16 +0200
Subject: [PATCH 139/310] loudmouth: rebuild for libressl-2.9.2.

---
 srcpkgs/loudmouth/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/loudmouth/template b/srcpkgs/loudmouth/template
index 655f9a49d8c..f467adf2c75 100644
--- a/srcpkgs/loudmouth/template
+++ b/srcpkgs/loudmouth/template
@@ -1,7 +1,7 @@
 # Template file for 'loudmouth'
 pkgname=loudmouth
 version=1.5.3
-revision=8
+revision=9
 build_style=gnu-configure
 configure_args="--with-ssl=openssl --with-asyncns"
 hostmakedepends="pkg-config automake libtool glib-devel gtk-doc"

From 1f7bb25abf937a1cdbd6d7ddc38ef1034c5c5a01 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:30:45 +0200
Subject: [PATCH 140/310] lua51-luasec: rebuild for libressl-2.9.2.

---
 srcpkgs/lua51-luasec/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/lua51-luasec/template b/srcpkgs/lua51-luasec/template
index d1279ab5975..0eba4df45d8 100644
--- a/srcpkgs/lua51-luasec/template
+++ b/srcpkgs/lua51-luasec/template
@@ -2,7 +2,7 @@
 pkgname=lua51-luasec
 reverts=0.6_1
 version=0.5.1
-revision=9
+revision=10
 wrksrc=${pkgname#*-}-${pkgname#*-}-${version}
 build_style=gnu-makefile
 hostmakedepends="lua51"

From 283ffaaf9da5d963604f005c3faee4af4bd82ac3 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:31:10 +0200
Subject: [PATCH 141/310] lua52-luasec: rebuild for libressl-2.9.2.

---
 srcpkgs/lua52-luasec/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/lua52-luasec/template b/srcpkgs/lua52-luasec/template
index 825fadc870d..242ca5f9fe1 100644
--- a/srcpkgs/lua52-luasec/template
+++ b/srcpkgs/lua52-luasec/template
@@ -1,7 +1,7 @@
 # Template file for 'lua52-luasec'
 pkgname=lua52-luasec
 version=0.6
-revision=8
+revision=9
 wrksrc=${pkgname#*-}-${pkgname#*-}-${version}
 build_style=gnu-makefile
 hostmakedepends="lua52"

From 896f3c5e16b040743a3ab3145793156b2c9a93f5 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:31:32 +0200
Subject: [PATCH 142/310] luasec: rebuild for libressl-2.9.2.

---
 srcpkgs/luasec/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/luasec/template b/srcpkgs/luasec/template
index 49463628e0f..7349119a192 100644
--- a/srcpkgs/luasec/template
+++ b/srcpkgs/luasec/template
@@ -1,7 +1,7 @@
 # Template file for 'luasec'
 pkgname=luasec
 version=0.7
-revision=1
+revision=2
 wrksrc="${pkgname}-${pkgname}-${version}"
 build_style=gnu-makefile
 hostmakedepends="lua"

From 5ffc88275bdd5e5150bbf316060c51e89025c946 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:32:12 +0200
Subject: [PATCH 143/310] lynx: rebuild for libressl-2.9.2.

---
 srcpkgs/lynx/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/lynx/template b/srcpkgs/lynx/template
index 7a45cfe7a16..e5a66408590 100644
--- a/srcpkgs/lynx/template
+++ b/srcpkgs/lynx/template
@@ -3,7 +3,7 @@ pkgname=lynx
 _distver=2.8.9
 _patchver=1
 version="${_distver}.${_patchver}"
-revision=2
+revision=3
 wrksrc="lynx${_distver}rel.${_patchver}"
 build_style=gnu-configure
 configure_args="--enable-widec --with-zlib --with-bzlib --with-ssl --enable-ipv6"

From 5bf6ccfd4413e973cac88b2a0054d21c7129b208 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:45:58 +0200
Subject: [PATCH 144/310] mailx: rebuild for libressl-2.9.2.

---
 srcpkgs/mailx/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mailx/template b/srcpkgs/mailx/template
index 06165e0ad95..d623a993ada 100644
--- a/srcpkgs/mailx/template
+++ b/srcpkgs/mailx/template
@@ -1,7 +1,7 @@
 # Template file for 'mailx'
 pkgname=mailx
 version=12.5
-revision=21
+revision=22
 patch_args="-Np1"
 wrksrc="mailx-${version}"
 makedepends="libressl-devel mit-krb5-devel"

From 3dd4a3ac7cde12bdb05782e5c3218a714d6ac08a Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:46:43 +0200
Subject: [PATCH 145/310] mairix: rebuild for libressl-2.9.2.

---
 srcpkgs/mairix/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mairix/template b/srcpkgs/mairix/template
index 8efeaf61579..5b090b18b73 100644
--- a/srcpkgs/mairix/template
+++ b/srcpkgs/mairix/template
@@ -1,7 +1,7 @@
 # Template file for 'mairix'
 pkgname=mairix
 version=0.24
-revision=5
+revision=6
 build_style=configure
 configure_args="--prefix=/usr --mandir=/usr/share/man"
 hostmakedepends="flex bison"

From fa1c58ae6c41741e01f97ec53e3911af6916d231 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Fri, 10 May 2019 23:47:12 +0200
Subject: [PATCH 146/310] mariadb: rebuild for libressl-2.9.2.

---
 srcpkgs/mariadb/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mariadb/template b/srcpkgs/mariadb/template
index d9badd5a188..1200c6f4f85 100644
--- a/srcpkgs/mariadb/template
+++ b/srcpkgs/mariadb/template
@@ -1,7 +1,7 @@
 # Template file for 'mariadb'
 pkgname=mariadb
 version=10.1.30
-revision=5
+revision=6
 build_style=cmake
 configure_args="-DMYSQL_DATADIR=/var/lib/mysql
  -DMYSQL_UNIX_ADDR=/run/mysqld/mysqld.sock -DDEFAULT_CHARSET=utf8

From d5005aa1042bff1ed00c9abaf54f34c1725dee21 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 00:36:45 +0200
Subject: [PATCH 147/310] mbuffer: rebuild for libressl-2.9.2.

---
 srcpkgs/mbuffer/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mbuffer/template b/srcpkgs/mbuffer/template
index 71cd91a2af3..6cf9c689399 100644
--- a/srcpkgs/mbuffer/template
+++ b/srcpkgs/mbuffer/template
@@ -1,7 +1,7 @@
 # Template file for 'mbuffer'
 pkgname=mbuffer
 version=20190127
-revision=1
+revision=2
 build_style=gnu-configure
 makedepends="libressl-devel"
 short_desc="Buffer data streams with many additional functions"

From a550a7dbdd1b561261f63e4567d69ac33376da65 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 00:37:09 +0200
Subject: [PATCH 148/310] megatools: rebuild for libressl-2.9.2.

---
 srcpkgs/megatools/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/megatools/template b/srcpkgs/megatools/template
index 2d7cb7c2aaf..b872bde130f 100644
--- a/srcpkgs/megatools/template
+++ b/srcpkgs/megatools/template
@@ -1,7 +1,7 @@
 # Template file for 'megatools'
 pkgname=megatools
 version=1.10.2
-revision=2
+revision=3
 build_style=gnu-configure
 hostmakedepends="pkg-config asciidoc"
 makedepends="glib-networking gobject-introspection libressl-devel libcurl-devel fuse-devel libsodium-devel glib-devel"

From 81c74c6c133ee39a7222ed88181a158837c9f1a5 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 00:40:40 +0200
Subject: [PATCH 149/310] mit-krb5: rebuild for libressl-2.9.2.

---
 srcpkgs/mit-krb5/patches/libressl.patch | 32 ++++++++++++++++---------
 srcpkgs/mit-krb5/template               |  2 +-
 2 files changed, 22 insertions(+), 12 deletions(-)

diff --git a/srcpkgs/mit-krb5/patches/libressl.patch b/srcpkgs/mit-krb5/patches/libressl.patch
index dcd76d38523..1c0c5cab095 100644
--- a/srcpkgs/mit-krb5/patches/libressl.patch
+++ b/srcpkgs/mit-krb5/patches/libressl.patch
@@ -1,6 +1,6 @@
---- src/plugins/preauth/pkinit/pkinit_crypto_openssl.c.orig
-+++ src/plugins/preauth/pkinit/pkinit_crypto_openssl.c
-@@ -191,7 +191,7 @@
+--- src/plugins/preauth/pkinit/pkinit_crypto_openssl.c	2019-01-08 17:02:37.000000000 +0100
++++ src/plugins/preauth/pkinit/pkinit_crypto_openssl.c	2019-05-11 16:29:37.001458084 +0200
+@@ -189,7 +189,7 @@
      (*_x509_pp) = PKCS7_cert_from_signer_info(_p7,_si)
  #endif
  
@@ -9,20 +9,30 @@
  
  /* 1.1 standardizes constructor and destructor names, renaming
   * EVP_MD_CTX_{create,destroy} and deprecating ASN1_STRING_data. */
-@@ -3059,7 +3059,7 @@
+@@ -3053,7 +3053,7 @@
      return retval;
  }
  
 -#if OPENSSL_VERSION_NUMBER >= 0x10100000L
-+#if OPENSSL_VERSION_NUMBER >= 0x10100000L && !defined(LIBRESSL_VERSION_NUMBER)
++#if OPENSSL_VERSION_NUMBER >= 0x10100000L || defined(LIBRESSL_VERSION_NUMBER)
  
  /*
   * We need to decode DomainParameters from RFC 3279 section 2.3.3.  We would
-@@ -3122,6 +3122,7 @@
+@@ -3079,7 +3079,7 @@
+ ASN1_SEQUENCE(DHvparams) = {
+     ASN1_SIMPLE(int_dhvparams, seed, ASN1_BIT_STRING),
+     ASN1_SIMPLE(int_dhvparams, counter, BIGNUM)
+-} static_ASN1_SEQUENCE_END_name(int_dhvparams, DHvparams)
++} ASN1_SEQUENCE_END_name(int_dhvparams, DHvparams)
  
- #else /* OPENSSL_VERSION_NUMBER < 0x10100000L */
+ ASN1_SEQUENCE(DHxparams) = {
+     ASN1_SIMPLE(int_dhx942_dh, p, BIGNUM),
+@@ -3087,7 +3087,7 @@
+     ASN1_OPT(int_dhx942_dh, q, BIGNUM),
+     ASN1_OPT(int_dhx942_dh, j, BIGNUM),
+     ASN1_OPT(int_dhx942_dh, vparams, DHvparams),
+-} static_ASN1_SEQUENCE_END_name(int_dhx942_dh, DHxparams)
++} ASN1_SEQUENCE_END_name(int_dhx942_dh, DHxparams)
  
-+#include <openssl/asn1_mac.h>
- /*
-  * Do the same decoding (except without decoding j and vparams or checking the
-  * sequence length) using the pre-OpenSSL-1.1 asn1_mac.h.  Define an internal
+ static DH *
+ decode_dh_params(const uint8_t *p, unsigned int len)
diff --git a/srcpkgs/mit-krb5/template b/srcpkgs/mit-krb5/template
index ffa856e06a4..2ee2038f921 100644
--- a/srcpkgs/mit-krb5/template
+++ b/srcpkgs/mit-krb5/template
@@ -1,7 +1,7 @@
 # Template file for 'mit-krb5'
 pkgname=mit-krb5
 version=1.17
-revision=2
+revision=3
 wrksrc="krb5-${version}"
 build_style=gnu-configure
 hostmakedepends="e2fsprogs-devel flex perl pkg-config"

From 7da2322ceb6dc58e3fe9bcc59f964568b15556d5 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 16:35:39 +0200
Subject: [PATCH 150/310] monero: rebuild for libressl-2.9.2.

---
 srcpkgs/monero/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/monero/template b/srcpkgs/monero/template
index 678aaee9f3d..4f90a580599 100644
--- a/srcpkgs/monero/template
+++ b/srcpkgs/monero/template
@@ -1,7 +1,7 @@
 # Template file for 'monero'
 pkgname=monero
 version=0.14.0.2
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DBUILD_GUI_DEPS=ON -DHAVE_LIBRESSL=1"
 conf_files="/etc/monerod.conf"

From 982c29f14051044728cd4e15701612ba0a087045 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 16:35:43 +0200
Subject: [PATCH 151/310] monero-gui: rebuild for libressl-2.9.2.

---
 srcpkgs/monero-gui/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/monero-gui/template b/srcpkgs/monero-gui/template
index 417c25c04ad..17b1e05b7cd 100644
--- a/srcpkgs/monero-gui/template
+++ b/srcpkgs/monero-gui/template
@@ -1,7 +1,7 @@
 # Template file for 'monero-gui'
 pkgname=monero-gui
 version=0.14.0.0
-revision=1
+revision=2
 build_style=qmake
 hostmakedepends="pkg-config qt5-tools qt5-qmake qt5-quickcontrols qt5-declarative-devel"
 makedepends="boost-devel libatomic-devel libunwind-devel miniupnpc-devel monero-devel

From 8bfee6de371c442528a2e3c335e540ac233109ce Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 16:55:16 +0200
Subject: [PATCH 152/310] mongoose: rebuild for libressl-2.9.2.

---
 srcpkgs/mongoose/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mongoose/template b/srcpkgs/mongoose/template
index 8949a9ede56..3ec3b125e2b 100644
--- a/srcpkgs/mongoose/template
+++ b/srcpkgs/mongoose/template
@@ -1,7 +1,7 @@
 # Template file for 'mongoose'
 pkgname=mongoose
 version=6.14
-revision=1
+revision=2
 build_style=gnu-makefile
 make_use_env=compliant
 makedepends="libressl-devel"

From 7e8a74243eb54fafc49bc687cc77dcb75683a5f7 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 16:56:04 +0200
Subject: [PATCH 153/310] monit: rebuild for libressl-2.9.2.

---
 srcpkgs/monit/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/monit/template b/srcpkgs/monit/template
index 726306b385e..571d9c8fec0 100644
--- a/srcpkgs/monit/template
+++ b/srcpkgs/monit/template
@@ -1,7 +1,7 @@
 # Template file for 'monit'
 pkgname=monit
 version=5.25.3
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="
  --with-ssl-dir=${XBPS_CROSS_BASE}/usr

From 85db814b1f59f3fe243a3dba0e3044025fecff2e Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 16:56:57 +0200
Subject: [PATCH 154/310] monitoring-plugins: rebuild for libressl-2.9.2.

---
 srcpkgs/monitoring-plugins/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/monitoring-plugins/template b/srcpkgs/monitoring-plugins/template
index 8a950457c9d..5ce2117f9bc 100644
--- a/srcpkgs/monitoring-plugins/template
+++ b/srcpkgs/monitoring-plugins/template
@@ -1,7 +1,7 @@
 # Template file for 'monitoring-plugins'
 pkgname=monitoring-plugins
 version=2.2
-revision=3
+revision=4
 build_style=gnu-configure
 configure_args="--libexecdir=/usr/lib/monitoring-plugins"
 hostmakedepends="fping openssh postfix procps-ng smbclient"

From d9161e549a76caece3b689cb7f4d80796d3a3a1c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 16:58:43 +0200
Subject: [PATCH 155/310] mosh: rebuild for libressl-2.9.2.

---
 srcpkgs/mosh/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mosh/template b/srcpkgs/mosh/template
index 390deb9d9a3..bb333076cba 100644
--- a/srcpkgs/mosh/template
+++ b/srcpkgs/mosh/template
@@ -1,7 +1,7 @@
 # Template file for 'mosh'
 pkgname=mosh
 version=1.3.2
-revision=12
+revision=13
 build_style=gnu-configure
 hostmakedepends="pkg-config protobuf"
 makedepends="ncurses-devel protobuf-devel libutempter-devel libressl-devel"

From c4f9c4cbbafcb632610fcd4782f9e5049d6549c9 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:00:55 +0200
Subject: [PATCH 156/310] mosquitto: rebuild for libressl-2.9.2.

---
 srcpkgs/mosquitto/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mosquitto/template b/srcpkgs/mosquitto/template
index 12bcafb02e4..c3a867fd157 100644
--- a/srcpkgs/mosquitto/template
+++ b/srcpkgs/mosquitto/template
@@ -1,7 +1,7 @@
 # Template file for 'mosquitto'
 pkgname=mosquitto
 version=1.6.0
-revision=1
+revision=2
 build_style=gnu-makefile
 make_build_args="WITH_TLS_PSK=no WITH_WEBSOCKETS=yes" # PSK not supported by libressl
 make_install_args="prefix=/usr"

From 6cc63548a2c4b0e4fde362c286af367fcc71effa Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:01:45 +0200
Subject: [PATCH 157/310] mtree: rebuild for libressl-2.9.2.

---
 srcpkgs/mtree/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mtree/template b/srcpkgs/mtree/template
index 71edf1e8668..5d5ee8ce8e2 100644
--- a/srcpkgs/mtree/template
+++ b/srcpkgs/mtree/template
@@ -1,7 +1,7 @@
 # Template file for 'mtree'
 pkgname=mtree
 version=1.0.4
-revision=4
+revision=5
 wrksrc="${pkgname}-port-${version}"
 build_style=gnu-configure
 hostmakedepends="automake"

From d8dd11c6c6733875e9d1d20c8c5aba36741bdfc4 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:02:28 +0200
Subject: [PATCH 158/310] muchsync: rebuild for libressl-2.9.2.

---
 srcpkgs/muchsync/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/muchsync/template b/srcpkgs/muchsync/template
index a8c2e202b76..14136083ebe 100644
--- a/srcpkgs/muchsync/template
+++ b/srcpkgs/muchsync/template
@@ -1,7 +1,7 @@
 # Template file for 'muchsync'
 pkgname=muchsync
 version=5
-revision=4
+revision=5
 short_desc="Synchronize notmuch mail across machines"
 maintainer="Anjandev Momi <anjan@momi.ca>"
 license="GPL-3"

From eb72617394cbe0a64aef97cc6c091556d2512319 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:03:37 +0200
Subject: [PATCH 159/310] mumble: rebuild for libressl-2.9.2.

---
 srcpkgs/mumble/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mumble/template b/srcpkgs/mumble/template
index 07d3142c190..b6a2442988a 100644
--- a/srcpkgs/mumble/template
+++ b/srcpkgs/mumble/template
@@ -1,7 +1,7 @@
 # Template file for 'mumble'
 pkgname=mumble
 version=1.2.19
-revision=15
+revision=16
 hostmakedepends="Ice pkg-config protobuf qt-host-tools qt-qmake"
 makedepends="Ice-devel MesaLib-devel avahi-compat-libs-devel boost-devel
  libcap-devel libressl-devel libsndfile-devel opus-devel protobuf-devel

From dad766b2979822c32c619a19a6ca747cd01e8418 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:07:43 +0200
Subject: [PATCH 160/310] munge: rebuild for libressl-2.9.2.

---
 srcpkgs/munge/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/munge/template b/srcpkgs/munge/template
index 37a8495fcf6..11db94b61c3 100644
--- a/srcpkgs/munge/template
+++ b/srcpkgs/munge/template
@@ -1,7 +1,7 @@
 # Template file for 'munge'
 pkgname=munge
 version=0.5.13
-revision=6
+revision=7
 build_style=gnu-configure
 configure_args="--with-crypto-lib=openssl
  --with-openssl-prefix=${XBPS_CROSS_BASE}/usr

From 92d5859ec11586c84dfa66739f03d03cfc60ec3b Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:11:09 +0200
Subject: [PATCH 161/310] musikcube: rebuild for libressl-2.9.2.

---
 srcpkgs/musikcube/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/musikcube/template b/srcpkgs/musikcube/template
index acfbe2bbf89..394bd23bcea 100644
--- a/srcpkgs/musikcube/template
+++ b/srcpkgs/musikcube/template
@@ -1,7 +1,7 @@
 # Template file for 'musikcube'
 pkgname=musikcube
 version=0.65.0
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DNO_NCURSESW=1 -DENABLE_SNDIO=true"
 makedepends="boost-devel libogg-devel libmicrohttpd-devel ffmpeg-devel

From 1c6a70087313934992d5608630dc6501e1ae5d70 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:12:14 +0200
Subject: [PATCH 162/310] mutt: rebuild for libressl-2.9.2.

---
 srcpkgs/mutt/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mutt/template b/srcpkgs/mutt/template
index 2905cae8280..eb0cc912254 100644
--- a/srcpkgs/mutt/template
+++ b/srcpkgs/mutt/template
@@ -1,7 +1,7 @@
 # Template file for 'mutt'
 pkgname=mutt
 version=1.12.0
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-pop --enable-imap --enable-smtp --enable-hcache
  --enable-gpgme --with-regex --with-idn2 --with-ssl --with-sasl --enable-sidebar

From 7a71fca7ab9b76a85efbc1576b5d3a996f39a474 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:15:02 +0200
Subject: [PATCH 163/310] mysql: rebuild for libressl-2.9.2.

---
 srcpkgs/mysql/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/mysql/template b/srcpkgs/mysql/template
index 78fcbfa7681..bed6fb2024d 100644
--- a/srcpkgs/mysql/template
+++ b/srcpkgs/mysql/template
@@ -1,7 +1,7 @@
 # Template file for 'mysql'
 pkgname=mysql
 version=5.6.43
-revision=2
+revision=3
 build_style=cmake
 configure_args="-DSYSCONFDIR=/etc/mysql -DMYSQL_DATADIR=/var/lib/mysql
  -DMYSQL_UNIX_ADDR=/run/mysqld/mysqld.sock -DDEFAULT_CHARSET=utf8

From 3f94a8a0ef12ddde8c463e7ee437123db3109615 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:20:23 +0200
Subject: [PATCH 164/310] neomutt: rebuild for libressl-2.9.2.

---
 srcpkgs/neomutt/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/neomutt/template b/srcpkgs/neomutt/template
index 63c63dfada6..4131605401f 100644
--- a/srcpkgs/neomutt/template
+++ b/srcpkgs/neomutt/template
@@ -1,7 +1,7 @@
 # Template file for 'neomutt'
 pkgname=neomutt
 version=20180716
-revision=3
+revision=4
 wrksrc="neomutt-neomutt-${version}"
 build_style=configure
 configure_args="--ssl --gpgme --notmuch --gdbm --lua --sasl"

From eba595c16760a0fc479f482f6900a3a5a63f9774 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:21:20 +0200
Subject: [PATCH 165/310] neon: rebuild for libressl-2.9.2.

---
 srcpkgs/neon/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/neon/template b/srcpkgs/neon/template
index 3726f0d9ad4..f209274e8d9 100644
--- a/srcpkgs/neon/template
+++ b/srcpkgs/neon/template
@@ -1,7 +1,7 @@
 # Template file for 'neon'
 pkgname=neon
 version=0.30.2
-revision=9
+revision=10
 build_style=gnu-configure
 configure_args="--with-expat --with-ssl=openssl --enable-shared
  --with-ca-bundle=/etc/ssl/certs/ca-certificates.crt --disable-static"

From b57943103fd3954d04d9826a3b740eb27a08312b Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:21:38 +0200
Subject: [PATCH 166/310] net-snmp: rebuild for libressl-2.9.2.

---
 srcpkgs/net-snmp/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/net-snmp/template b/srcpkgs/net-snmp/template
index df1a34125e6..50f27ba0b20 100644
--- a/srcpkgs/net-snmp/template
+++ b/srcpkgs/net-snmp/template
@@ -1,7 +1,7 @@
 # Template file for 'net-snmp'
 pkgname=net-snmp
 version=5.8
-revision=3
+revision=4
 hostmakedepends="pkg-config unzip"
 makedepends="bzip2-devel libressl-devel libnl-devel pciutils-devel
  libsensors-devel pcre-devel"

From c421e5c0d6773921a42f12d512ea7aac62c589a0 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:22:34 +0200
Subject: [PATCH 167/310] namecoin: rebuild for libressl-2.9.2.

---
 srcpkgs/namecoin/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/namecoin/template b/srcpkgs/namecoin/template
index f40e0f92231..9f3d8d6d8be 100644
--- a/srcpkgs/namecoin/template
+++ b/srcpkgs/namecoin/template
@@ -1,7 +1,7 @@
 # Template file for 'namecoin'
 pkgname=namecoin
 version=0.17.0
-revision=1
+revision=2
 wrksrc="${pkgname}-core-nc${version}"
 build_style=gnu-configure
 configure_args="--with-incompatible-bdb --disable-static

From 7a36ae91b96207c70d2faf955f8e900958563774 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:26:56 +0200
Subject: [PATCH 168/310] netpgp: rebuild for libressl-2.9.2.

---
 srcpkgs/netpgp/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/netpgp/template b/srcpkgs/netpgp/template
index df5acb6701d..abd2d94d235 100644
--- a/srcpkgs/netpgp/template
+++ b/srcpkgs/netpgp/template
@@ -1,7 +1,7 @@
 # Template file for 'netpgp'
 pkgname=netpgp
 version=20140220
-revision=16
+revision=17
 build_style=gnu-configure
 hostmakedepends="automake libtool pkg-config"
 makedepends="zlib-devel bzip2-devel libressl-devel"

From bf75af80bb8d33094d0fc0cfc5c2d4fe0b49418b Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:29:01 +0200
Subject: [PATCH 169/310] netsurf: rebuild for libressl-2.9.2.

---
 srcpkgs/netsurf/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/netsurf/template b/srcpkgs/netsurf/template
index 501e11ae27f..eca683d969e 100644
--- a/srcpkgs/netsurf/template
+++ b/srcpkgs/netsurf/template
@@ -1,7 +1,7 @@
 # Template file for 'netsurf'
 pkgname=netsurf
 version=3.8
-revision=3
+revision=4
 hostmakedepends="pkg-config gperf flex nsgenbind gdk-pixbuf-devel perl-HTML-Parser glib-devel"
 makedepends="
  libidn-devel libmng-devel libxml2-devel libcurl-devel lcms-devel libwebp-devel

From 29c3db23177d0dcfc1e204093a8e6872e653399d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:30:54 +0200
Subject: [PATCH 170/310] network-ups-tools: rebuild for libressl-2.9.2.

---
 srcpkgs/network-ups-tools/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/network-ups-tools/template b/srcpkgs/network-ups-tools/template
index 295350022b9..416d02a59ea 100644
--- a/srcpkgs/network-ups-tools/template
+++ b/srcpkgs/network-ups-tools/template
@@ -1,7 +1,7 @@
 # Template file for 'network-ups-tools'
 pkgname=network-ups-tools
 version=2.7.4
-revision=7
+revision=8
 wrksrc="nut-${version}"
 build_style=gnu-configure
 configure_args="

From bd8c2b91bd706d2a13b0a729fc6091494f0a0c48 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:31:35 +0200
Subject: [PATCH 171/310] nghttp2: rebuild for libressl-2.9.2.

---
 srcpkgs/nghttp2/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/nghttp2/template b/srcpkgs/nghttp2/template
index 17854bb910c..6d0f8309389 100644
--- a/srcpkgs/nghttp2/template
+++ b/srcpkgs/nghttp2/template
@@ -1,7 +1,7 @@
 # Template file for 'nghttp2'
 pkgname=nghttp2
 version=1.38.0
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--without-libxml2 --without-jemalloc --without-spdylay
  --disable-examples"

From 490fd6a1a1ac04e89581829fe703841857206e36 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:32:57 +0200
Subject: [PATCH 172/310] nginx: rebuild for libressl-2.9.2.

---
 srcpkgs/nginx/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/nginx/template b/srcpkgs/nginx/template
index 043ff081f32..3b89955b633 100644
--- a/srcpkgs/nginx/template
+++ b/srcpkgs/nginx/template
@@ -1,7 +1,7 @@
 # Template file for 'nginx'
 pkgname=nginx
 version=1.16.0
-revision=1
+revision=2
 build_style=gnu-makefile
 makedepends="libressl-devel pcre-devel $(vopt_if geoip 'geoip-devel')"
 short_desc="High performance web and reverse proxy server"

From 32877375c5979b395565ca6bc15a9bb5708807d8 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:33:12 +0200
Subject: [PATCH 173/310] ngircd: rebuild for libressl-2.9.2.

---
 srcpkgs/ngircd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ngircd/template b/srcpkgs/ngircd/template
index c79e704e20f..bcde118c4b8 100644
--- a/srcpkgs/ngircd/template
+++ b/srcpkgs/ngircd/template
@@ -1,7 +1,7 @@
 # Template file for 'ngircd'
 pkgname=ngircd
 version=25
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-ipv6 --with-openssl --without-ident ac_cv_func_getaddrinfo=yes"
 hostmakedepends="pkg-config"

From c2ffd4f0b63ad1f34bc8933bc2d97bc9ebb83775 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:33:54 +0200
Subject: [PATCH 174/310] nix: rebuild for libressl-2.9.2.

---
 srcpkgs/nix/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/nix/template b/srcpkgs/nix/template
index 207577a5a15..67cef33802e 100644
--- a/srcpkgs/nix/template
+++ b/srcpkgs/nix/template
@@ -1,7 +1,7 @@
 # Template file for 'nix'
 pkgname=nix
 version=2.2.2
-revision=1
+revision=2
 build_style=gnu-configure
 # Use /nix/var as suggested by the official Manual.
 configure_args="--localstatedir=/nix/var --with-sandbox-shell=/bin/sh"

From 0a083003e86c1316be65b291a3ef55734c757a0c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:37:43 +0200
Subject: [PATCH 175/310] nmap: rebuild for libressl-2.9.2.

---
 srcpkgs/nmap/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/nmap/template b/srcpkgs/nmap/template
index 3a64253f071..3a607ea7eef 100644
--- a/srcpkgs/nmap/template
+++ b/srcpkgs/nmap/template
@@ -1,7 +1,7 @@
 # Template file for 'nmap'
 pkgname=nmap
 version=7.70
-revision=4
+revision=5
 build_style=gnu-configure
 build_options="lua"
 if [ -z "$CROSS_BUILD" ]; then

From a4d3e23412a331d73f22c718cd655d8a2fe55102 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:39:41 +0200
Subject: [PATCH 176/310] nmh: rebuild for libressl-2.9.2.

---
 srcpkgs/nmh/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/nmh/template b/srcpkgs/nmh/template
index db9efbd9ea4..7b1d390e3ce 100644
--- a/srcpkgs/nmh/template
+++ b/srcpkgs/nmh/template
@@ -1,7 +1,7 @@
 # Template file for 'nmh'
 pkgname=nmh
 version=1.7.1
-revision=3
+revision=4
 build_style=gnu-configure
 configure_args="--with-cyrus-sasl --with-tls"
 makedepends="db-devel libcurl-devel libressl-devel libsasl-devel ncurses-devel"

From 84c0fdef03b887d397deb6821dd8df1c76d9a4db Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:40:33 +0200
Subject: [PATCH 177/310] nrpe: rebuild for libressl-2.9.2.

---
 srcpkgs/nrpe/patches/nrpe-3.2.1-libressl.patch | 9 ---------
 srcpkgs/nrpe/template                          | 2 +-
 2 files changed, 1 insertion(+), 10 deletions(-)

diff --git a/srcpkgs/nrpe/patches/nrpe-3.2.1-libressl.patch b/srcpkgs/nrpe/patches/nrpe-3.2.1-libressl.patch
index 192de9868a2..24b29069bc6 100644
--- a/srcpkgs/nrpe/patches/nrpe-3.2.1-libressl.patch
+++ b/srcpkgs/nrpe/patches/nrpe-3.2.1-libressl.patch
@@ -9,15 +9,6 @@
  NULL, NULL, NULL, "ALL:!MD5:@STRENGTH:@SECLEVEL=0", TLSv1_plus, TRUE, 0, SSL_NoLogging};
  #else
  NULL, NULL, NULL, "ALL:!MD5:@STRENGTH", TLSv1_plus, TRUE, 0, SSL_NoLogging};
-@@ -344,7 +344,7 @@
- 		exit(STATE_CRITICAL);
- 	}
- 
--#if OPENSSL_VERSION_NUMBER >= 0x10100000
-+#if OPENSSL_VERSION_NUMBER >= 0x10100000 && !defined(LIBRESSL_VERSION_NUMBER)
- 
- 	SSL_CTX_set_max_proto_version(ctx, 0);
- 
 @@ -445,7 +445,7 @@
  	} else {
  		/* use anonymous DH ciphers */
diff --git a/srcpkgs/nrpe/template b/srcpkgs/nrpe/template
index a125f965cf3..c0372dac350 100644
--- a/srcpkgs/nrpe/template
+++ b/srcpkgs/nrpe/template
@@ -1,7 +1,7 @@
 # Template file for 'nrpe'
 pkgname=nrpe
 version=3.2.1
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="--with-pkgsysconfdir=/etc/nagios
  --with-pluginsdir=/usr/lib/monitoring-plugins --with-nagios-user=_nagios

From 44ba080af54bb402b535b84efee2628936cbcb53 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:50:26 +0200
Subject: [PATCH 178/310] nsd: rebuild for libressl-2.9.2.

---
 srcpkgs/nsd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/nsd/template b/srcpkgs/nsd/template
index 5653d71a5a2..74d428986b8 100644
--- a/srcpkgs/nsd/template
+++ b/srcpkgs/nsd/template
@@ -1,7 +1,7 @@
 # Template file for 'nsd'
 pkgname=nsd
 version=4.2.0
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-ratelimit --enable-ratelimit-default-is-off
  --with-libevent=${XBPS_CROSS_BASE}/usr --with-ssl=${XBPS_CROSS_BASE}/usr"

From 2dfe930fbafb5e1326bd3a58dbb86622fb879998 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:51:45 +0200
Subject: [PATCH 179/310] ntp: rebuild for libressl-2.9.2.

---
 srcpkgs/ntp/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ntp/template b/srcpkgs/ntp/template
index 164932b6373..9aadb355862 100644
--- a/srcpkgs/ntp/template
+++ b/srcpkgs/ntp/template
@@ -1,7 +1,7 @@
 # Template file for 'ntp'
 pkgname=ntp
 version=4.2.8p13
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="--with-crypto --enable-linuxcap --enable-ipv6 --enable-ntp-signd
  --enable-all-clocks ol_cv_pthread_select_yields=yes"

From 726080a21e479e24cda5ab56b98acfb5acac7d78 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:55:26 +0200
Subject: [PATCH 180/310] nzbget: rebuild for libressl-2.9.2.

---
 srcpkgs/nzbget/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/nzbget/template b/srcpkgs/nzbget/template
index 2339d6a4713..45451af7362 100644
--- a/srcpkgs/nzbget/template
+++ b/srcpkgs/nzbget/template
@@ -1,7 +1,7 @@
 # Template file for 'nzbget'
 pkgname=nzbget
 version=21.0
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-tlslib=OpenSSL
  --with-libcurses-includes=${XBPS_CROSS_BASE}/usr/include

From cc18d653e9df23fd572d2037f3f7fdf8bf324ead Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:56:25 +0200
Subject: [PATCH 181/310] open-isns: rebuild for libressl-2.9.2.

---
 srcpkgs/open-isns/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/open-isns/template b/srcpkgs/open-isns/template
index 6c4329dde74..22bbe112ac5 100644
--- a/srcpkgs/open-isns/template
+++ b/srcpkgs/open-isns/template
@@ -1,7 +1,7 @@
 # Template file for 'open-isns'
 pkgname=open-isns
 version=0.99
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-shared"
 makedepends="libressl-devel"

From 95ac248a3a5988ea7e584459f88c8a6868e8c932 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:56:50 +0200
Subject: [PATCH 182/310] opendkim: rebuild for libressl-2.9.2.

---
 srcpkgs/opendkim/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/opendkim/template b/srcpkgs/opendkim/template
index 61bdcadb1d5..98f7cd5bcce 100644
--- a/srcpkgs/opendkim/template
+++ b/srcpkgs/opendkim/template
@@ -1,7 +1,7 @@
 # Template file for 'opendkim'
 pkgname=opendkim
 version=2.10.3
-revision=8
+revision=9
 build_style=gnu-configure
 configure_args="--with-milter=${XBPS_CROSS_BASE}/usr"
 makedepends="libbsd-devel libressl-devel libmilter-devel"

From ef0fa025cb54bb4118bc1876b6f9bc3b7f5784bb Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:57:29 +0200
Subject: [PATCH 183/310] openldap: rebuild for libressl-2.9.2.

---
 srcpkgs/openldap/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/openldap/template b/srcpkgs/openldap/template
index 4d96cb4fc46..2a7a87adb72 100644
--- a/srcpkgs/openldap/template
+++ b/srcpkgs/openldap/template
@@ -1,7 +1,7 @@
 # Template file for 'openldap'
 pkgname=openldap
 version=2.4.47
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--prefix=/usr
  --libexecdir=/usr/libexec

From ce7a25b261abe4a4c5438728cc5dc11580533f81 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:57:47 +0200
Subject: [PATCH 184/310] openntpd: rebuild for libressl-2.9.2.

---
 srcpkgs/openntpd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/openntpd/template b/srcpkgs/openntpd/template
index d4518fe096c..f347ac2cc0e 100644
--- a/srcpkgs/openntpd/template
+++ b/srcpkgs/openntpd/template
@@ -1,7 +1,7 @@
 # Template file for 'openntpd'
 pkgname=openntpd
 version=6.2p3
-revision=4
+revision=5
 build_style=gnu-configure
 configure_args="--with-privsep-user=${pkgname} --with-cacert=/etc/ssl/certs.pem"
 hostmakedepends="automake libtool"

From d2f785a5e923d37dda7d2b57a4183db4f5f50523 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 17:59:56 +0200
Subject: [PATCH 185/310] opensc: rebuild for libressl-2.9.2.

---
 srcpkgs/opensc/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/opensc/template b/srcpkgs/opensc/template
index cf0493ff8b1..f3d5d43ef8d 100644
--- a/srcpkgs/opensc/template
+++ b/srcpkgs/opensc/template
@@ -1,7 +1,7 @@
 # Template file for 'opensc'
 pkgname=opensc
 version=0.19.0
-revision=4
+revision=5
 wrksrc="OpenSC-${version}"
 build_style=gnu-configure
 configure_args="--enable-man  --enable-sm --enable-static=no --enable-doc

From a6ac71b2b5c86949dc34bd7518d1b342516e7164 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 18:03:20 +0200
Subject: [PATCH 186/310] openvswitch: rebuild for libressl-2.9.2.

---
 srcpkgs/openvswitch/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/openvswitch/template b/srcpkgs/openvswitch/template
index 6edea7aee0b..1b45ef5aa7b 100644
--- a/srcpkgs/openvswitch/template
+++ b/srcpkgs/openvswitch/template
@@ -1,7 +1,7 @@
 # Template file for 'openvswitch'
 pkgname=openvswitch
 version=2.9.2
-revision=2
+revision=3
 archs="i686* x86_64* ppc64*"
 build_style=gnu-configure
 configure_args="--with-rundir=/run/openvswitch"

From d395caf726cc700d1aa79e85f7042c6707576d39 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:13:02 +0200
Subject: [PATCH 187/310] opkg: rebuild for libressl-2.9.2.

---
 srcpkgs/opkg/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/opkg/template b/srcpkgs/opkg/template
index 5d2416850ab..07693122cf7 100644
--- a/srcpkgs/opkg/template
+++ b/srcpkgs/opkg/template
@@ -1,7 +1,7 @@
 # Template file for 'opkg'
 pkgname=opkg
 version=0.4.0
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-sha256 --without-libsolv --with-static-libopkg
  $(vopt_enable lz4) $(vopt_if openssl '--enable-openssl --enable-ssl-curl')

From 41d06dd5432da4dbea90239db828dc5164eed004 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:13:42 +0200
Subject: [PATCH 188/310] opmsg: rebuild for libressl-2.9.2.

---
 srcpkgs/opmsg/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/opmsg/template b/srcpkgs/opmsg/template
index 8af0e835173..350a2f4c6bf 100644
--- a/srcpkgs/opmsg/template
+++ b/srcpkgs/opmsg/template
@@ -1,7 +1,7 @@
 # Template file for 'opmsg'
 pkgname=opmsg
 version=1.78s
-revision=1
+revision=2
 wrksrc="${pkgname}-rel-${version}"
 build_wrksrc=src
 build_style=gnu-makefile

From 2f4d7c20f6a556b42f594bd925126682ede98ad2 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:14:10 +0200
Subject: [PATCH 189/310] opusfile: rebuild for libressl-2.9.2.

---
 srcpkgs/opusfile/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/opusfile/template b/srcpkgs/opusfile/template
index a8392197b6b..1906046b613 100644
--- a/srcpkgs/opusfile/template
+++ b/srcpkgs/opusfile/template
@@ -1,7 +1,7 @@
 # Template file for 'opusfile'
 pkgname=opusfile
 version=0.11
-revision=2
+revision=3
 build_style=gnu-configure
 hostmakedepends="pkg-config"
 makedepends="libogg-devel opus-devel libressl-devel"

From 309d87c7e52081e115f5a3312c2e1999c4bab655 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:14:50 +0200
Subject: [PATCH 190/310] pam_ssh: rebuild for libressl-2.9.2.

---
 srcpkgs/pam_ssh/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/pam_ssh/template b/srcpkgs/pam_ssh/template
index bb7c0f19e32..c4100b2cab1 100644
--- a/srcpkgs/pam_ssh/template
+++ b/srcpkgs/pam_ssh/template
@@ -1,7 +1,7 @@
 # Template file for 'pam_ssh'
 pkgname=pam_ssh
 version=2.2
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-pam-dir=/usr/lib/security ac_cv_openssldir=/usr
  --includedir=${XBPS_CROSS_BASE}/usr/include

From dae203f9caedd4a3c845e043b5bb140a34c41ce7 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:15:22 +0200
Subject: [PATCH 191/310] partclone: rebuild for libressl-2.9.2.

---
 srcpkgs/partclone/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/partclone/template b/srcpkgs/partclone/template
index 2316e03e1af..3254da66eca 100644
--- a/srcpkgs/partclone/template
+++ b/srcpkgs/partclone/template
@@ -1,7 +1,7 @@
 # Template file for 'partclone'
 pkgname=partclone
 version=0.3.12
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="--disable-rpath --enable-ncursesw --enable-f2fs
  --enable-extfs --enable-hfsp --enable-fat --enable-exfat

From 584f9f1d565554e9c00fee1029f5dee14730e762 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:16:07 +0200
Subject: [PATCH 192/310] pen: rebuild for libressl-2.9.2.

---
 srcpkgs/pen/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/pen/template b/srcpkgs/pen/template
index d045de3445e..c8ff7b6b05e 100644
--- a/srcpkgs/pen/template
+++ b/srcpkgs/pen/template
@@ -1,7 +1,7 @@
 # Template file for 'pen'
 pkgname=pen
 version=0.34.1
-revision=3
+revision=4
 build_style=gnu-configure
 makedepends="geoip-devel libressl-devel"
 configure_args="--with-docdir=/usr/share/doc/pen"

From 8a744a0ace6670aa5c0544326532e8546004ebd5 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:16:38 +0200
Subject: [PATCH 193/310] perl-Crypt-OpenSSL-Bignum: rebuild for
 libressl-2.9.2.

---
 srcpkgs/perl-Crypt-OpenSSL-Bignum/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/perl-Crypt-OpenSSL-Bignum/template b/srcpkgs/perl-Crypt-OpenSSL-Bignum/template
index a6f9bcf8b9f..28c4c402f32 100644
--- a/srcpkgs/perl-Crypt-OpenSSL-Bignum/template
+++ b/srcpkgs/perl-Crypt-OpenSSL-Bignum/template
@@ -1,7 +1,7 @@
 # Template file for 'perl-Crypt-OpenSSL-Bignum'
 pkgname=perl-Crypt-OpenSSL-Bignum
 version=0.09
-revision=7
+revision=8
 wrksrc="${pkgname/perl-/}-${version}"
 build_style=perl-module
 hostmakedepends="perl"

From a5feb1287547f41cda3dfb7f1481089d1b8fb580 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:17:13 +0200
Subject: [PATCH 194/310] perl-Crypt-OpenSSL-Random: rebuild for
 libressl-2.9.2.

---
 srcpkgs/perl-Crypt-OpenSSL-Random/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/perl-Crypt-OpenSSL-Random/template b/srcpkgs/perl-Crypt-OpenSSL-Random/template
index 0f4735e5920..3f1ae2af280 100644
--- a/srcpkgs/perl-Crypt-OpenSSL-Random/template
+++ b/srcpkgs/perl-Crypt-OpenSSL-Random/template
@@ -1,7 +1,7 @@
 # Template file for 'perl-Crypt-OpenSSL-Random'
 pkgname=perl-Crypt-OpenSSL-Random
 version=0.15
-revision=5
+revision=6
 wrksrc="${pkgname/perl-/}-${version}"
 build_style=perl-module
 hostmakedepends="perl perl-Crypt-OpenSSL-Guess"

From 7cd20bf33ab59bd2fa4f4272d0d03995cfcff419 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:17:15 +0200
Subject: [PATCH 195/310] perl-Crypt-OpenSSL-RSA: rebuild for libressl-2.9.2.

---
 srcpkgs/perl-Crypt-OpenSSL-RSA/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/perl-Crypt-OpenSSL-RSA/template b/srcpkgs/perl-Crypt-OpenSSL-RSA/template
index d93bade0354..e8407944ec4 100644
--- a/srcpkgs/perl-Crypt-OpenSSL-RSA/template
+++ b/srcpkgs/perl-Crypt-OpenSSL-RSA/template
@@ -1,7 +1,7 @@
 # Template file for 'perl-Crypt-OpenSSL-RSA'
 pkgname=perl-Crypt-OpenSSL-RSA
 version=0.31
-revision=2
+revision=3
 wrksrc="${pkgname/perl-/}-${version}"
 build_style=perl-module
 hostmakedepends="perl perl-Crypt-OpenSSL-Guess"

From b33e935d8f7b9f1588cbd2e14dc5e83097131cb5 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:18:16 +0200
Subject: [PATCH 196/310] perl-DBD-mysql: rebuild for libressl-2.9.2.

---
 srcpkgs/perl-DBD-mysql/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/perl-DBD-mysql/template b/srcpkgs/perl-DBD-mysql/template
index 51850d131cd..3ee5e54edfc 100644
--- a/srcpkgs/perl-DBD-mysql/template
+++ b/srcpkgs/perl-DBD-mysql/template
@@ -1,7 +1,7 @@
 # Template file for 'perl-DBD-mysql'
 pkgname=perl-DBD-mysql
 version=4.050
-revision=1
+revision=2
 wrksrc="DBD-mysql-${version}"
 build_style=perl-module
 hostmakedepends="perl perl-DBI perl-Devel-CheckLib"

From 57dec26d029a0df1b8a793001cb0ed464e618071 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:19:53 +0200
Subject: [PATCH 197/310] perl-Net-SSH2: rebuild for libressl-2.9.2.

---
 srcpkgs/perl-Net-SSH2/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/perl-Net-SSH2/template b/srcpkgs/perl-Net-SSH2/template
index e4891668e2e..1243736de6e 100644
--- a/srcpkgs/perl-Net-SSH2/template
+++ b/srcpkgs/perl-Net-SSH2/template
@@ -1,7 +1,7 @@
 # Template file for 'perl-Net-SSH2'
 pkgname=perl-Net-SSH2
 version=0.70
-revision=1
+revision=2
 wrksrc="${pkgname/perl-/}-${version}"
 build_style=perl-module
 configure_args="inc=${XBPS_CROSS_BASE}/usr/include lib=${XBPS_CROSS_BASE}/usr/lib"

From 92ca7936eee81fc6fa0f24528ae2c2c8ea579f8d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:20:18 +0200
Subject: [PATCH 198/310] perl-Net-SSLeay: rebuild for libressl-2.9.2.

---
 srcpkgs/perl-Net-SSLeay/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/perl-Net-SSLeay/template b/srcpkgs/perl-Net-SSLeay/template
index 373dbcc247e..6222a9d4601 100644
--- a/srcpkgs/perl-Net-SSLeay/template
+++ b/srcpkgs/perl-Net-SSLeay/template
@@ -1,7 +1,7 @@
 # Template file for 'perl-Net-SSLeay'
 pkgname=perl-Net-SSLeay
 version=1.88
-revision=1
+revision=2
 wrksrc="${pkgname/perl-/}-${version}"
 build_style=perl-module
 hostmakedepends="perl libressl"

From 26d369b137a845add65d33047eb26e2ee2b451db Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:39:12 +0200
Subject: [PATCH 199/310] pev: rebuild for libressl-2.9.2.

---
 srcpkgs/pev/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/pev/template b/srcpkgs/pev/template
index 5f022ad6ffd..e2bd81c6cdf 100644
--- a/srcpkgs/pev/template
+++ b/srcpkgs/pev/template
@@ -1,7 +1,7 @@
 # Template file for 'pev'
 pkgname=pev
 version=0.80
-revision=6
+revision=7
 wrksrc=${pkgname}
 build_style=gnu-makefile
 make_build_args="prefix=/usr"

From 34674209378a8794e6f60ffd514d20dbe50083fa Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:39:31 +0200
Subject: [PATCH 200/310] pgadmin3: rebuild for libressl-2.9.2.

---
 srcpkgs/pgadmin3/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/pgadmin3/template b/srcpkgs/pgadmin3/template
index 1b9009261dd..17e71000404 100644
--- a/srcpkgs/pgadmin3/template
+++ b/srcpkgs/pgadmin3/template
@@ -1,7 +1,7 @@
 # Template file for 'pgadmin3'
 pkgname=pgadmin3
 version=1.22.2
-revision=11
+revision=12
 build_style=gnu-configure
 configure_args="ac_cv_path_WX_CONFIG=wx-config-gtk3 --with-wx-version=3.0"
 makedepends="postgresql-libs-devel wxWidgets-gtk3-devel libxslt-devel libressl-devel"

From 700ed4531ade0e23714b134e9840ab01767eca27 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:43:42 +0200
Subject: [PATCH 201/310] pgbouncer: rebuild for libressl-2.9.2.

---
 srcpkgs/pgbouncer/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/pgbouncer/template b/srcpkgs/pgbouncer/template
index 61aee4df138..5ea5f049d71 100644
--- a/srcpkgs/pgbouncer/template
+++ b/srcpkgs/pgbouncer/template
@@ -1,6 +1,6 @@
 pkgname=pgbouncer
 version=1.9.0
-revision=2
+revision=3
 build_style=gnu-configure
 makedepends="libevent-devel"
 short_desc="Lightweight connection pooler for PostgreSQL"

From abd7f5eb04410b0593f6dfc6010c1df44ba4b719 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sat, 11 May 2019 23:44:27 +0200
Subject: [PATCH 202/310] phantomjs: rebuild for libressl-2.9.2.

---
 srcpkgs/phantomjs/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/phantomjs/template b/srcpkgs/phantomjs/template
index 04c84a00aa6..2cac179693a 100644
--- a/srcpkgs/phantomjs/template
+++ b/srcpkgs/phantomjs/template
@@ -1,7 +1,7 @@
 # Template file for 'phantomjs'
 pkgname=phantomjs
 version=2.0.0
-revision=13
+revision=14
 hostmakedepends="unzip flex ruby gperf python perl pkg-config"
 makedepends="
  fontconfig-devel icu-devel libressl-devel libpng-devel

From f115e4830156c4144b4f153ec7a1cfefaa9d657c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 00:01:39 +0200
Subject: [PATCH 203/310] php: rebuild for libressl-2.9.2.

---
 srcpkgs/php/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/php/template b/srcpkgs/php/template
index daa542c394a..c8cd24f5b95 100644
--- a/srcpkgs/php/template
+++ b/srcpkgs/php/template
@@ -1,7 +1,7 @@
 # Template file for 'php'
 pkgname=php
 version=7.3.6
-revision=1
+revision=2
 hostmakedepends="bison pkg-config"
 makedepends="apache-devel enchant-devel freetds-devel freetype-devel gdbm-devel
  gmp-devel libcurl-devel libjpeg-turbo-devel libmysqlclient-devel

From 15cdbdc7d2b4a83368623a470a6e7b5dc1cd9e1b Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 00:06:54 +0200
Subject: [PATCH 204/310] pidgin-sipe: rebuild for libressl-2.9.2.

---
 srcpkgs/pidgin-sipe/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/pidgin-sipe/template b/srcpkgs/pidgin-sipe/template
index fa57be8db40..50846cdc755 100644
--- a/srcpkgs/pidgin-sipe/template
+++ b/srcpkgs/pidgin-sipe/template
@@ -1,7 +1,7 @@
 # Template file for 'pidgin-sipe'
 pkgname=pidgin-sipe
 version=1.24.0
-revision=2
+revision=3
 build_style=gnu-configure
 hostmakedepends="pkg-config intltool"
 makedepends="pidgin-devel libressl-devel libxml2-devel dbus-glib-devel

From c2692fb0e3ea15a1f0a263bd830cd0c5e6de5eee Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 00:08:02 +0200
Subject: [PATCH 205/310] pjproject: rebuild for libressl-2.9.2.

---
 srcpkgs/pjproject/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/pjproject/template b/srcpkgs/pjproject/template
index f90761a2717..82fd8fee64f 100644
--- a/srcpkgs/pjproject/template
+++ b/srcpkgs/pjproject/template
@@ -3,7 +3,7 @@
 # and this template is heavily based on Alpine's APKBUILD.
 pkgname=pjproject
 version=2.8
-revision=2
+revision=3
 disable_parallel_build=yes
 build_style=gnu-configure
 configure_args="--enable-shared \

From fad6a69ed41fc80b07efe269ed6784827b150733 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 00:10:10 +0200
Subject: [PATCH 206/310] pkcs11-helper: rebuild for libressl-2.9.2.

---
 srcpkgs/pkcs11-helper/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/pkcs11-helper/template b/srcpkgs/pkcs11-helper/template
index f42ee0b14d0..36daa9c936b 100644
--- a/srcpkgs/pkcs11-helper/template
+++ b/srcpkgs/pkcs11-helper/template
@@ -1,7 +1,7 @@
 # Template file for 'pkcs11-helper'
 pkgname=pkcs11-helper
 version=1.25.1
-revision=3
+revision=4
 wrksrc="${pkgname}-${pkgname}-${version}"
 build_style=gnu-configure
 configure_args="--enable-doc --disable-static $(vopt_enable threading slotevent) $(vopt_enable threading)"

From 6fee739264067faa80995593285b4188704747f3 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 00:10:55 +0200
Subject: [PATCH 207/310] poco: rebuild for libressl-2.9.2.

---
 srcpkgs/poco/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/poco/template b/srcpkgs/poco/template
index c554c4fe3f5..e902b2a6223 100644
--- a/srcpkgs/poco/template
+++ b/srcpkgs/poco/template
@@ -1,7 +1,7 @@
 # Template file for 'poco'
 pkgname=poco
 version=1.9.0
-revision=2
+revision=3
 wrksrc="${pkgname}-${version}-all"
 build_style=cmake
 configure_args="-DPOCO_UNBUNDLED=ON"

From 4105c6b15af86264dffa07339342d17d640be4df Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 00:12:35 +0200
Subject: [PATCH 208/310] podofo: rebuild for libressl-2.9.2.

---
 srcpkgs/podofo/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/podofo/template b/srcpkgs/podofo/template
index 3e59d457a3e..78dd317ab60 100644
--- a/srcpkgs/podofo/template
+++ b/srcpkgs/podofo/template
@@ -1,7 +1,7 @@
 # Template file for 'podofo'
 pkgname=podofo
 version=0.9.6
-revision=3
+revision=4
 build_style=cmake
 configure_args="-DPODOFO_BUILD_SHARED=TRUE"
 makedepends="fontconfig-devel libidn-devel libressl-devel lua-devel tiff-devel"

From b88e8ff9ccc8df33d0068e6ceec4682aec5899c2 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 00:15:22 +0200
Subject: [PATCH 209/310] postfix: rebuild for libressl-2.9.2.

---
 srcpkgs/postfix/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/postfix/template b/srcpkgs/postfix/template
index 7a7dea29d1d..07e8c9ae0b1 100644
--- a/srcpkgs/postfix/template
+++ b/srcpkgs/postfix/template
@@ -1,7 +1,7 @@
 # Template file for 'postfix'
 pkgname=postfix
 version=3.3.2
-revision=4
+revision=5
 hostmakedepends="perl m4"
 makedepends="icu-devel libldap-devel libmysqlclient-devel pcre-devel
  postgresql-libs-devel sqlite-devel"

From a5fc1938b680f8c880b11896dfe7ce8c1d6ec959 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 00:20:23 +0200
Subject: [PATCH 210/310] postgresql: rebuild for libressl-2.9.2.

---
 srcpkgs/postgresql/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/postgresql/template b/srcpkgs/postgresql/template
index 859b3515a6e..167d4646010 100644
--- a/srcpkgs/postgresql/template
+++ b/srcpkgs/postgresql/template
@@ -1,7 +1,7 @@
 # Template file for 'postgresql'
 pkgname=postgresql
 version=9.6.13
-revision=1
+revision=2
 build_style=gnu-configure
 make_build_target=world
 configure_args="--with-openssl --with-python

From b6512159fa327cddc072b52ec2b879133a872ccf Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 19:54:33 +0200
Subject: [PATCH 211/310] ppp: rebuild for libressl-2.9.2.

---
 srcpkgs/ppp/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ppp/template b/srcpkgs/ppp/template
index 9920cd7dd20..ce7b834f722 100644
--- a/srcpkgs/ppp/template
+++ b/srcpkgs/ppp/template
@@ -1,7 +1,7 @@
 # Template file for 'ppp'
 pkgname=ppp
 version=2.4.7
-revision=9
+revision=10
 makedepends="libpcap-devel libressl-devel"
 short_desc="PPP (Point-to-Point Protocol) daemon"
 homepage="https://ppp.samba.org/"

From bae7ac49ee2bd8db67c8187b9200e2172f999871 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 19:55:01 +0200
Subject: [PATCH 212/310] prosody: rebuild for libressl-2.9.2.

---
 srcpkgs/prosody/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/prosody/template b/srcpkgs/prosody/template
index 1b9ac020441..6043e588786 100644
--- a/srcpkgs/prosody/template
+++ b/srcpkgs/prosody/template
@@ -1,7 +1,7 @@
 # Template file for 'prosody'
 pkgname=prosody
 version=0.11.2
-revision=1
+revision=2
 build_style=configure
 configure_args="
  --ostype=linux

From b062dea4cecddb10ff1c2972407b633756ff650d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 19:59:18 +0200
Subject: [PATCH 213/310] python: rebuild for libressl-2.9.2.

---
 srcpkgs/python/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/python/template b/srcpkgs/python/template
index c2a8696950c..e4b557362d8 100644
--- a/srcpkgs/python/template
+++ b/srcpkgs/python/template
@@ -4,7 +4,7 @@
 #
 pkgname=python
 version=2.7.16
-revision=1
+revision=2
 wrksrc="Python-${version}"
 pycompile_dirs="usr/lib/python2.7"
 hostmakedepends="pkg-config"

From 17fe3818d2c0cdfd5ed1113bd0bdbf9c85211a7b Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 20:03:31 +0200
Subject: [PATCH 214/310] python-M2Crypto: rebuild for libressl-2.9.2.

---
 srcpkgs/python-M2Crypto/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/python-M2Crypto/template b/srcpkgs/python-M2Crypto/template
index 881eaf80e2e..27e931cb708 100644
--- a/srcpkgs/python-M2Crypto/template
+++ b/srcpkgs/python-M2Crypto/template
@@ -1,7 +1,7 @@
 # Template file for 'python-M2Crypto'
 pkgname=python-M2Crypto
 version=0.32.0
-revision=1
+revision=2
 wrksrc="M2Crypto-${version}"
 build_style=python-module
 pycompile_module="M2Crypto"

From a470e09c099c6f55fd0cff1a90061d983716024d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 20:12:57 +0200
Subject: [PATCH 215/310] python3: rebuild for libressl-2.9.2.

---
 srcpkgs/python3/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/python3/template b/srcpkgs/python3/template
index 4b9b7a78002..400b8a519f2 100644
--- a/srcpkgs/python3/template
+++ b/srcpkgs/python3/template
@@ -4,7 +4,7 @@
 #
 pkgname=python3
 version=3.6.8
-revision=3
+revision=4
 wrksrc="Python-${version}"
 short_desc="Interpreted, interactive, object-oriented programming language (${version%.*} series)"
 maintainer="Juan RP <xtraeme@voidlinux.org>"

From aafb222d9d5461264f836ede1ea166f732c5aaf8 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 20:15:01 +0200
Subject: [PATCH 216/310] python-curl: rebuild for libressl-2.9.2.

---
 srcpkgs/python-curl/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/python-curl/template b/srcpkgs/python-curl/template
index 5571b5f6a14..5d2e24e38e0 100644
--- a/srcpkgs/python-curl/template
+++ b/srcpkgs/python-curl/template
@@ -1,7 +1,7 @@
 # Template file for 'python-curl'
 pkgname=python-curl
 version=7.43.0.2
-revision=3
+revision=4
 wrksrc="pycurl-${version}"
 build_style=python-module
 pycompile_module="curl"

From ddd9df7a724f026df9128286afc88f484dcdd27e Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 20:33:25 +0200
Subject: [PATCH 217/310] python-cryptography: rebuild for libressl-2.9.2.

---
 .../python-cryptography/patches/libressl.patch | 18 ++++++++++++++++++
 srcpkgs/python-cryptography/template           |  2 +-
 2 files changed, 19 insertions(+), 1 deletion(-)
 create mode 100644 srcpkgs/python-cryptography/patches/libressl.patch

diff --git a/srcpkgs/python-cryptography/patches/libressl.patch b/srcpkgs/python-cryptography/patches/libressl.patch
new file mode 100644
index 00000000000..38ee9bce61d
--- /dev/null
+++ b/srcpkgs/python-cryptography/patches/libressl.patch
@@ -0,0 +1,18 @@
+$OpenBSD: patch-src__cffi_src_openssl_ssl_py,v 1.2 2019/04/19 10:18:16 sthen Exp $
+
+Index: src/_cffi_src/openssl/ssl.py
+--- src/_cffi_src/openssl/ssl.py.orig
++++ src/_cffi_src/openssl/ssl.py
+@@ -721,9 +721,11 @@ static const long TLS_ST_OK = 0;
+ 
+ #if CRYPTOGRAPHY_OPENSSL_LESS_THAN_102
+ static const long Cryptography_HAS_GENERIC_DTLS_METHOD = 0;
++#if !CRYPTOGRAPHY_IS_LIBRESSL
+ const SSL_METHOD *(*DTLS_method)(void) = NULL;
+ const SSL_METHOD *(*DTLS_server_method)(void) = NULL;
+ const SSL_METHOD *(*DTLS_client_method)(void) = NULL;
++#endif
+ static const long SSL_OP_NO_DTLSv1 = 0;
+ static const long SSL_OP_NO_DTLSv1_2 = 0;
+ long (*DTLS_set_link_mtu)(SSL *, long) = NULL;
+
diff --git a/srcpkgs/python-cryptography/template b/srcpkgs/python-cryptography/template
index 3aef3cb91ee..a7838a514d3 100644
--- a/srcpkgs/python-cryptography/template
+++ b/srcpkgs/python-cryptography/template
@@ -1,7 +1,7 @@
 # Template file for 'python-cryptography'
 pkgname=python-cryptography
 version=2.4.2
-revision=1
+revision=2
 wrksrc="cryptography-${version}"
 build_style=python-module
 hostmakedepends="python-setuptools python3-setuptools libressl-devel

From c9a0719a6c84f3faef9f64db935d16401038c421 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 20:34:10 +0200
Subject: [PATCH 218/310] qca: rebuild for libressl-2.9.2.

---
 srcpkgs/qca/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/qca/template b/srcpkgs/qca/template
index 8f29046339b..f438ece0eba 100644
--- a/srcpkgs/qca/template
+++ b/srcpkgs/qca/template
@@ -1,7 +1,7 @@
 # Template file for 'qca'
 pkgname=qca
 version=2.1.3
-revision=4
+revision=5
 build_style=cmake
 configure_args="-DBUILD_TESTS=0 -DQC_CERTSTORE_PATH=/etc/ssl/certs/ca-certificates.crt
  -DQCA_FEATURE_INSTALL_DIR=/usr/share/qca/mkspecs -DWITH_ossl_PLUGIN=yes"

From 1baf52a5c07174de77a08869580d5fd543163a1f Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 20:35:58 +0200
Subject: [PATCH 219/310] qca-qt5: rebuild for libressl-2.9.2.

---
 srcpkgs/qca-qt5/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/qca-qt5/template b/srcpkgs/qca-qt5/template
index 3cc3ed1888f..1dda496ce7a 100644
--- a/srcpkgs/qca-qt5/template
+++ b/srcpkgs/qca-qt5/template
@@ -1,7 +1,7 @@
 # Template file for 'qca-qt5'
 pkgname=qca-qt5
 version=2.1.3
-revision=6
+revision=7
 wrksrc="${pkgname%-*}-${version}"
 build_style=cmake
 configure_args="-DBUILD_TESTS=0 -DQCA_FEATURE_INSTALL_DIR=/usr/share/qca-qt5/mkspecs

From 84da40d71beb8fbeb6ec5c4890d5ed880b309fe5 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 20:40:47 +0200
Subject: [PATCH 220/310] qingy: rebuild for libressl-2.9.2.

---
 srcpkgs/qingy/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/qingy/template b/srcpkgs/qingy/template
index 9fa486e09f7..bd640e6a38c 100644
--- a/srcpkgs/qingy/template
+++ b/srcpkgs/qingy/template
@@ -1,7 +1,7 @@
 # Template file for 'qingy'
 pkgname=qingy
 version=1.0.0
-revision=26
+revision=27
 lib32disabled=yes
 build_style=gnu-configure
 makedepends="ncurses-devel libressl-devel

From b16e0e423cb6b37fb6bacdad8d95f9d54489fd99 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 20:43:46 +0200
Subject: [PATCH 221/310] rdesktop: rebuild for libressl-2.9.2.

---
 srcpkgs/rdesktop/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/rdesktop/template b/srcpkgs/rdesktop/template
index a85f5e148af..8c81f89592f 100644
--- a/srcpkgs/rdesktop/template
+++ b/srcpkgs/rdesktop/template
@@ -1,7 +1,7 @@
 # Template file for 'rdesktop'
 pkgname=rdesktop
 version=1.8.6
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-ipv6 --with-sound=alsa --with-openssl=${XBPS_CROSS_BASE}/usr"
 hostmakedepends="pkg-config automake"

From 1bd47f73e43b57f8506b7c351c35b9c4c6e075ae Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 20:45:12 +0200
Subject: [PATCH 222/310] rdis-git: rebuild for libressl-2.9.2.

---
 srcpkgs/rdis-git/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/rdis-git/template b/srcpkgs/rdis-git/template
index 0877c380361..aa31b46a988 100644
--- a/srcpkgs/rdis-git/template
+++ b/srcpkgs/rdis-git/template
@@ -1,7 +1,7 @@
 # Template file for 'rdis-git'
 pkgname=rdis-git
 version=20150722
-revision=9
+revision=10
 hostmakedepends="pkg-config git"
 makedepends="libressl-devel gtk+3-devel jansson-devel LuaJIT-devel udis86-devel"
 short_desc="A binary analysis tool for Linux"

From e20a81991902b31ed08ad58372c2745ef7f06908 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 20:46:59 +0200
Subject: [PATCH 223/310] re: rebuild for libressl-2.9.2.

---
 srcpkgs/re/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/re/template b/srcpkgs/re/template
index 72ec2620348..b4872995a36 100644
--- a/srcpkgs/re/template
+++ b/srcpkgs/re/template
@@ -1,7 +1,7 @@
 # Template file for 're'
 pkgname=re
 version=0.6.0
-revision=1
+revision=2
 build_style=gnu-makefile
 make_build_args="RELEASE=1 EXTRA_CFLAGS=$CFLAGS
  EXTRA_LFLAGS=$LDFLAGS USE_OPENSSL=yes USE_DTLS=yes USE_DTLS_SRTP=yes"

From 2042bf56efbecb114183db9ce6a03590e3967930 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:25:14 +0200
Subject: [PATCH 224/310] retroshare: rebuild for libressl-2.9.2.

---
 srcpkgs/retroshare/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/retroshare/template b/srcpkgs/retroshare/template
index d355c40783e..082d61dea92 100644
--- a/srcpkgs/retroshare/template
+++ b/srcpkgs/retroshare/template
@@ -1,7 +1,7 @@
 # Template file for 'retroshare'
 pkgname=retroshare
 version=0.6.5
-revision=1
+revision=2
 wrksrc="RetroShare-${version}"
 build_style=qmake
 hostmakedepends="pkg-config qt5-qmake"

From 777e24b017dca19c2f7a9df72c55a35e3e8066ab Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:27:52 +0200
Subject: [PATCH 225/310] rhash: rebuild for libressl-2.9.2.

---
 srcpkgs/rhash/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/rhash/template b/srcpkgs/rhash/template
index bfb81419028..5ab0b23bfa5 100644
--- a/srcpkgs/rhash/template
+++ b/srcpkgs/rhash/template
@@ -1,7 +1,7 @@
 # Template file for 'rhash'
 pkgname=rhash
 version=1.3.8
-revision=1
+revision=2
 wrksrc="RHash-${version}"
 build_style=gnu-configure
 configure_args="--enable-openssl --disable-openssl-runtime"

From 82da849d0150df27be9939575a3e0e45e133d7e1 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:28:23 +0200
Subject: [PATCH 226/310] rng-tools: rebuild for libressl-2.9.2.

---
 srcpkgs/rng-tools/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/rng-tools/template b/srcpkgs/rng-tools/template
index 6449dd5eb1b..84fcad98aa0 100644
--- a/srcpkgs/rng-tools/template
+++ b/srcpkgs/rng-tools/template
@@ -1,7 +1,7 @@
 # Template file for 'rng-tools'
 pkgname=rng-tools
 version=6.7
-revision=1
+revision=2
 wrksrc=${pkgname}-${version}
 build_style=gnu-configure
 makedepends="libgcrypt-devel libsysfs-devel libcurl-devel libxml2-devel"

From f200855f29d5fcc57a29dc3e1b5eee183a6eb0a4 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:31:31 +0200
Subject: [PATCH 227/310] rspamd: rebuild for libressl-2.9.2.

---
 srcpkgs/rspamd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/rspamd/template b/srcpkgs/rspamd/template
index 3f0c778343c..590ceadaaa5 100644
--- a/srcpkgs/rspamd/template
+++ b/srcpkgs/rspamd/template
@@ -1,7 +1,7 @@
 # Template file for 'rspamd'
 pkgname=rspamd
 version=1.9.2
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DRSPAMD_USER=rspamd -DCONFDIR=/etc/rspamd
  -DDBDIR=/var/lib/rspamd"

From 09966d785760944415d77c7d24f3e6fa79310a3c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:33:03 +0200
Subject: [PATCH 228/310] rtmpdump: rebuild for libressl-2.9.2.

---
 srcpkgs/rtmpdump/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/rtmpdump/template b/srcpkgs/rtmpdump/template
index accb6bd1ec8..42a1a5029aa 100644
--- a/srcpkgs/rtmpdump/template
+++ b/srcpkgs/rtmpdump/template
@@ -1,7 +1,7 @@
 # Template file for 'rtmpdump'
 pkgname=rtmpdump
 version=2.4.20161210
-revision=6
+revision=7
 _patchlevel=${version##*.}
 create_wrksrc=yes
 makedepends="zlib-devel libressl-devel"

From f886530ce4c19158347e7597cbb2488483060ee9 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:38:01 +0200
Subject: [PATCH 229/310] ruby: rebuild for libressl-2.9.2.

---
 srcpkgs/ruby/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ruby/template b/srcpkgs/ruby/template
index 13f3b2338e3..ffe8e187ccd 100644
--- a/srcpkgs/ruby/template
+++ b/srcpkgs/ruby/template
@@ -3,7 +3,7 @@ _ruby_abiver=2.6.0
 
 pkgname=ruby
 version=2.6.3
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-shared --disable-rpath
  DOXYGEN=/usr/bin/doxygen DOT=/usr/bin/dot PKG_CONFIG=/usr/bin/pkg-config"

From d8a086d0fce3a9b230b6d971e81e8c6156184438 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:48:30 +0200
Subject: [PATCH 230/310] s-nail: rebuild for libressl-2.9.2.

---
 srcpkgs/s-nail/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/s-nail/template b/srcpkgs/s-nail/template
index ce1ad1af56c..e3316da6535 100644
--- a/srcpkgs/s-nail/template
+++ b/srcpkgs/s-nail/template
@@ -1,7 +1,7 @@
 # Template file for 's-nail'
 pkgname=s-nail
 version=14.8.16
-revision=6
+revision=7
 makedepends="libressl-devel libidn2-devel"
 conf_files="/etc/s-nail.rc"
 short_desc="Mail processing system with a command syntax reminiscent of ed"

From 092a1eb703aea2c1f694d6cea7e2020b10f49c32 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:49:12 +0200
Subject: [PATCH 231/310] s3fs-fuse: rebuild for libressl-2.9.2.

---
 srcpkgs/s3fs-fuse/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/s3fs-fuse/template b/srcpkgs/s3fs-fuse/template
index 82afe267833..f1fe0b4d823 100644
--- a/srcpkgs/s3fs-fuse/template
+++ b/srcpkgs/s3fs-fuse/template
@@ -1,7 +1,7 @@
 # Template file for 's3fs-fuse'
 pkgname=s3fs-fuse
 version=1.85
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-openssl ac_cv_file__git=no"
 hostmakedepends="automake libtool pkg-config"

From 1c91faaa2675ecf454cf5d8833d11df2b12105fd Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:50:00 +0200
Subject: [PATCH 232/310] s6-networking: rebuild for libressl-2.9.2.

---
 srcpkgs/s6-networking/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/s6-networking/template b/srcpkgs/s6-networking/template
index 54f79a85f01..59c9c4a7a91 100644
--- a/srcpkgs/s6-networking/template
+++ b/srcpkgs/s6-networking/template
@@ -1,7 +1,7 @@
 # Template file for 's6-networking'
 pkgname=s6-networking
 version=2.3.0.4
-revision=1
+revision=2
 build_style=configure
 makedepends="execline-devel libressl-devel skalibs-devel s6-devel s6-dns-devel"
 configure_args="--libdir=/usr/lib --enable-ssl=libressl

From 15c30c006d31a9871101981d709979f815ac369d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:52:41 +0200
Subject: [PATCH 233/310] sbsigntool: rebuild for libressl-2.9.2.

---
 srcpkgs/sbsigntool/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/sbsigntool/template b/srcpkgs/sbsigntool/template
index 30cf2414f0a..d25bf80a452 100644
--- a/srcpkgs/sbsigntool/template
+++ b/srcpkgs/sbsigntool/template
@@ -1,7 +1,7 @@
 # Template file for 'sbsigntool'
 pkgname=sbsigntool
 version=0.9.2
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="autoconf automake pkg-config"
 makedepends="binutils-devel libressl-devel libuuid-devel gnu-efi-libs"

From 72fa168e146732913b6d420d7f12de42506dea97 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:53:36 +0200
Subject: [PATCH 234/310] scrypt: rebuild for libressl-2.9.2.

---
 srcpkgs/scrypt/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/scrypt/template b/srcpkgs/scrypt/template
index 0bc1028cc1d..18784df766e 100644
--- a/srcpkgs/scrypt/template
+++ b/srcpkgs/scrypt/template
@@ -1,7 +1,7 @@
 # Template file for 'scrypt'
 pkgname=scrypt
 version=1.2.1
-revision=6
+revision=7
 build_style=gnu-configure
 makedepends="libressl-devel"
 short_desc="The scrypt key derivation function"

From 3865149dbbeb10490944a50d6e6da91b6afa1771 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 21:54:05 +0200
Subject: [PATCH 235/310] seafile-libclient: rebuild for libressl-2.9.2.

---
 srcpkgs/seafile-libclient/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/seafile-libclient/template b/srcpkgs/seafile-libclient/template
index 2308a66204e..fa9cd7b7d3f 100644
--- a/srcpkgs/seafile-libclient/template
+++ b/srcpkgs/seafile-libclient/template
@@ -1,7 +1,7 @@
 # Template file for 'seafile-libclient'
 pkgname=seafile-libclient
 version=6.2.11
-revision=1
+revision=2
 _distname="${pkgname/-libclient/}"
 wrksrc="${_distname}-${version}"
 build_style=gnu-configure

From 99c006d7ac880fb06dddb66ecd97e975e348efe0 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:02:33 +0200
Subject: [PATCH 236/310] serf: rebuild for libressl-2.9.2.

---
 srcpkgs/serf/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/serf/template b/srcpkgs/serf/template
index a38f43529e5..0ff1aa7fa39 100644
--- a/srcpkgs/serf/template
+++ b/srcpkgs/serf/template
@@ -1,7 +1,7 @@
 # Template file for 'serf'
 pkgname=serf
 version=1.3.9
-revision=9
+revision=10
 nocross=yes
 build_style=scons
 make_build_args="PREFIX=/usr"

From b325145f7dabdda2f5aa775603b89fe8a600826f Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:03:03 +0200
Subject: [PATCH 237/310] sgfutils: rebuild for libressl-2.9.2.

---
 srcpkgs/sgfutils/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/sgfutils/template b/srcpkgs/sgfutils/template
index bca2b600807..0a1f3707fb9 100644
--- a/srcpkgs/sgfutils/template
+++ b/srcpkgs/sgfutils/template
@@ -1,7 +1,7 @@
 # Template file for 'sgfutils'
 pkgname=sgfutils
 version=0.25
-revision=4
+revision=5
 build_style=gnu-makefile
 short_desc="Collection of utilities to handle SGF files"
 maintainer='Brandon Wilson <x@wilsonb.com>'

From aae0500495bdc4deed1f8572b2b7fdfbc9dff687 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:03:39 +0200
Subject: [PATCH 238/310] sitecopy: rebuild for libressl-2.9.2.

---
 srcpkgs/sitecopy/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/sitecopy/template b/srcpkgs/sitecopy/template
index 7ab86f45594..dd8008c8545 100644
--- a/srcpkgs/sitecopy/template
+++ b/srcpkgs/sitecopy/template
@@ -1,7 +1,7 @@
 # Template file for 'sitecopy'
 pkgname=sitecopy
 version=0.16.6
-revision=7
+revision=8
 build_style=gnu-configure
 configure_args="--with-ssl=openssl"
 hostmakedepends="pkg-config"

From 04725fb2dfadb5245d2060fa6bc45fa3f3260970 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:04:12 +0200
Subject: [PATCH 239/310] slrn: rebuild for libressl-2.9.2.

---
 srcpkgs/slrn/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/slrn/template b/srcpkgs/slrn/template
index d177518b3e7..2eb0856a2d7 100644
--- a/srcpkgs/slrn/template
+++ b/srcpkgs/slrn/template
@@ -1,7 +1,7 @@
 # Template file for 'slrn'
 pkgname=slrn
 version=1.0.3a
-revision=5
+revision=6
 wrksrc="${pkgname}-${version%a}"
 build_style=gnu-configure
 configure_args="--with-slrnpull --with-ssl

From 02534a8788f66cae7461d3f1994f4073e6204235 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:04:56 +0200
Subject: [PATCH 240/310] socat: rebuild for libressl-2.9.2.

---
 srcpkgs/socat/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/socat/template b/srcpkgs/socat/template
index bb7356bac56..3351a438bde 100644
--- a/srcpkgs/socat/template
+++ b/srcpkgs/socat/template
@@ -1,7 +1,7 @@
 # Template file for 'socat'
 pkgname=socat
 version=1.7.3.3
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--disable-libwrap --enable-fips
  ac_cv_have_z_modifier=yes sc_cv_sys_crdly_shift=9

From c090e355435ac01e8413c7279dbe27c7f2819b78 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:07:54 +0200
Subject: [PATCH 241/310] xca: rebuild for libressl-2.9.2.

---
 srcpkgs/xca/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/xca/template b/srcpkgs/xca/template
index a0d90c08ce9..e00e93c744c 100644
--- a/srcpkgs/xca/template
+++ b/srcpkgs/xca/template
@@ -1,7 +1,7 @@
 # Template file for 'xca'
 pkgname=xca
 version=2.1.2
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="pkg-config qt5-tools qt5-host-tools perl"
 makedepends="qt5-devel libressl-devel libltdl-devel"

From 4a5075672ae019f30df46e5d8f8936a2164808e2 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:09:58 +0200
Subject: [PATCH 242/310] wrk: rebuild for libressl-2.9.2.

---
 srcpkgs/wrk/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/wrk/template b/srcpkgs/wrk/template
index 0d1b35c1ad3..9aa408850f7 100644
--- a/srcpkgs/wrk/template
+++ b/srcpkgs/wrk/template
@@ -1,7 +1,7 @@
 # Template file for 'wrk'
 pkgname=wrk
 version=4.1.0
-revision=2
+revision=3
 build_style=gnu-makefile
 make_build_args="VER=${version} WITH_OPENSSL=/usr WITH_LUAJIT=/usr"
 hostmakedepends="LuaJIT"

From d81d61f0cc5a8b25caf0931048d13251adae4096 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:10:27 +0200
Subject: [PATCH 243/310] uftp: rebuild for libressl-2.9.2.

---
 srcpkgs/uftp/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/uftp/template b/srcpkgs/uftp/template
index a55b62ad2ba..f076eddd475 100644
--- a/srcpkgs/uftp/template
+++ b/srcpkgs/uftp/template
@@ -1,7 +1,7 @@
 # Template file for 'uftp'
 pkgname=uftp
 version=4.9.9
-revision=1
+revision=2
 build_style=gnu-makefile
 makedepends="libressl-devel"
 short_desc="Encrypted multicast file transfer program"

From 43109219192053e3e01daaf62fd5130645af44a9 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:10:59 +0200
Subject: [PATCH 244/310] uget: rebuild for libressl-2.9.2.

---
 srcpkgs/uget/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/uget/template b/srcpkgs/uget/template
index b14eb23935d..d6d9e6d832f 100644
--- a/srcpkgs/uget/template
+++ b/srcpkgs/uget/template
@@ -1,7 +1,7 @@
 # Template file for 'uget'
 pkgname=uget
 version=2.2.1
-revision=3
+revision=4
 build_style=gnu-configure
 hostmakedepends="pkg-config intltool"
 makedepends="libnotify-devel gtk+3-devel libcurl-devel gstreamer1-devel"

From 97c32ef299f9b40c096ed19db85832401ea79d1d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:11:49 +0200
Subject: [PATCH 245/310] unbound: rebuild for libressl-2.9.2.

---
 srcpkgs/unbound/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/unbound/template b/srcpkgs/unbound/template
index 38179419d1d..04c00e7a4ef 100644
--- a/srcpkgs/unbound/template
+++ b/srcpkgs/unbound/template
@@ -1,7 +1,7 @@
 # Template file for 'unbound'
 pkgname=unbound
 version=1.9.1
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--with-libevent --with-conf-file=/etc/unbound/unbound.conf
  --with-pidfile=/run/unbound.pid --with-ssl=${XBPS_CROSS_BASE}/usr

From 28486ae2e68faec63c85890624cf6ec94579c02d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:12:45 +0200
Subject: [PATCH 246/310] tcpdump: rebuild for libressl-2.9.2.

---
 srcpkgs/tcpdump/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/tcpdump/template b/srcpkgs/tcpdump/template
index 22338c75da9..ff3502d1c05 100644
--- a/srcpkgs/tcpdump/template
+++ b/srcpkgs/tcpdump/template
@@ -1,7 +1,7 @@
 # Template file for 'tcpdump'
 pkgname=tcpdump
 version=4.9.2
-revision=4
+revision=5
 build_style=gnu-configure
 configure_args="td_cv_buggygetaddrinfo=no"
 makedepends="libpcap-devel libressl-devel"

From 34b6ca06f7198449a253cca8f0277738f8a719af Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:13:20 +0200
Subject: [PATCH 247/310] swi-prolog: rebuild for libressl-2.9.2.

---
 srcpkgs/swi-prolog/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/swi-prolog/template b/srcpkgs/swi-prolog/template
index 1d096986e6a..98218151081 100644
--- a/srcpkgs/swi-prolog/template
+++ b/srcpkgs/swi-prolog/template
@@ -1,7 +1,7 @@
 # Template file for 'swi-prolog'
 pkgname=swi-prolog
 version=8.0.2
-revision=1
+revision=2
 wrksrc="swipl-${version}"
 build_style=cmake
 configure_args="-DBUILD_TESTING=OFF"

From 74dddee668a9c9794061d5191b0004d99f5d4a84 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:16:04 +0200
Subject: [PATCH 248/310] tor: rebuild for libressl-2.9.2.

---
 srcpkgs/tor/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/tor/template b/srcpkgs/tor/template
index 7f63a2d1e0d..ab28e580f84 100644
--- a/srcpkgs/tor/template
+++ b/srcpkgs/tor/template
@@ -1,7 +1,7 @@
 # Template file for 'tor'
 pkgname=tor
 version=0.4.0.5
-revision=1
+revision=2
 build_style=gnu-configure
 makedepends="libevent-devel libseccomp-devel zlib-devel"
 depends="ca-certificates torsocks"

From 3f14bf1a033251b624e8c7382d271034e333525e Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:17:28 +0200
Subject: [PATCH 249/310] transmission: rebuild for libressl-2.9.2.

---
 srcpkgs/transmission/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/transmission/template b/srcpkgs/transmission/template
index d51a25b7b70..34327453efc 100644
--- a/srcpkgs/transmission/template
+++ b/srcpkgs/transmission/template
@@ -1,7 +1,7 @@
 # Template file for 'transmission'
 pkgname=transmission
 version=2.94
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="--enable-nls --enable-cli --enable-daemon --enable-utp
  --without-systemd-daemon"

From 838fb201fd172f76db9ae1f1f4182beec4913789 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:21:35 +0200
Subject: [PATCH 250/310] supertuxkart: rebuild for libressl-2.9.2.

---
 srcpkgs/supertuxkart/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/supertuxkart/template b/srcpkgs/supertuxkart/template
index a75d4abe35a..6a64793912b 100644
--- a/srcpkgs/supertuxkart/template
+++ b/srcpkgs/supertuxkart/template
@@ -1,7 +1,7 @@
 # Template file for 'supertuxkart'
 pkgname=supertuxkart
 version=1.0
-revision=1
+revision=2
 archs="i686* x86_64* ppc64*"
 build_style=cmake
 hostmakedepends="pkg-config"

From 007bf26bfd327d4ab46fc542d87b6e25ad1f04ab Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:28:34 +0200
Subject: [PATCH 251/310] tcpflow: rebuild for libressl-2.9.2.

---
 srcpkgs/tcpflow/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/tcpflow/template b/srcpkgs/tcpflow/template
index d2401f495d9..50c0a3d9f65 100644
--- a/srcpkgs/tcpflow/template
+++ b/srcpkgs/tcpflow/template
@@ -1,7 +1,7 @@
 # Template file for 'tcpflow'
 pkgname=tcpflow
 version=1.4.5
-revision=8
+revision=9
 build_style=gnu-configure
 hostmakedepends="automake"
 makedepends="libpcap-devel zlib-devel libressl-devel boost-devel"

From 24065d971bd12a5b98509c7bcd14e929d3de9e08 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 12 May 2019 22:30:10 +0200
Subject: [PATCH 252/310] telegram-desktop: rebuild for libressl-2.9.2.

---
 srcpkgs/telegram-desktop/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/telegram-desktop/template b/srcpkgs/telegram-desktop/template
index 4a0e9827c6b..aa90775c2c7 100644
--- a/srcpkgs/telegram-desktop/template
+++ b/srcpkgs/telegram-desktop/template
@@ -1,7 +1,7 @@
 # Template file for 'telegram-desktop'
 pkgname=telegram-desktop
 version=1.7.7
-revision=1
+revision=2
 _libtgvoip_commit=a19a0aff644127d8089f6a4ac18119ec5247dbd0
 _GSL_commit=d846fe50a3f0bb7767c7e087a05f4be95f4da0ec
 _variant_commit=550ac2f159ca883d360c196149b466955c77a573

From af11979104bd20f489b9fe8961d5cee0f1d98b9a Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:02:24 +0200
Subject: [PATCH 253/310] telepathy-salut: rebuild for libressl-2.9.2.

---
 srcpkgs/telepathy-salut/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/telepathy-salut/template b/srcpkgs/telepathy-salut/template
index 7413c63caf4..5454fa5a218 100644
--- a/srcpkgs/telepathy-salut/template
+++ b/srcpkgs/telepathy-salut/template
@@ -1,7 +1,7 @@
 # Template file for 'telepathy-salut'
 pkgname=telepathy-salut
 version=0.8.1
-revision=16
+revision=17
 lib32disabled=yes
 build_style=gnu-configure
 configure_args="--disable-tests --disable-plugins --with-tls=openssl

From 4c23699cbbc68b9fce77bbf358f5f66bf288c2eb Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:03:59 +0200
Subject: [PATCH 254/310] thc-hydra: rebuild for libressl-2.9.2.

---
 srcpkgs/thc-hydra/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/thc-hydra/template b/srcpkgs/thc-hydra/template
index 91cec753243..ffb6eec247e 100644
--- a/srcpkgs/thc-hydra/template
+++ b/srcpkgs/thc-hydra/template
@@ -1,7 +1,7 @@
 # Template file for 'thc-hydra'
 pkgname=thc-hydra
 version=8.9.1
-revision=1
+revision=2
 build_style=gnu-configure
 make_install_args="MANDIR=/share/man/man1"
 makedepends="zlib-devel libressl-devel libidn-devel ncurses-devel pcre-devel

From fc626549b80e8bfc50ce22c7309fce61a81f8554 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:10:59 +0200
Subject: [PATCH 255/310] sylpheed: rebuild for libressl-2.9.2.

---
 srcpkgs/sylpheed/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/sylpheed/template b/srcpkgs/sylpheed/template
index e6561f7d926..6405cb27691 100644
--- a/srcpkgs/sylpheed/template
+++ b/srcpkgs/sylpheed/template
@@ -1,7 +1,7 @@
 # Template build file for 'sylpheed'.
 pkgname=sylpheed
 version=3.7.0
-revision=3
+revision=4
 lib32disabled=yes
 build_style=gnu-configure
 configure_args="--disable-compface --disable-gtkspell --enable-ldap --with-gpgme-prefix=${XBPS_CROSS_BASE}/usr"

From a2d44393c0d5371f74d2a96b87ec13ce5b15d16d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:12:09 +0200
Subject: [PATCH 256/310] swiften: rebuild for libressl-2.9.2.

---
 srcpkgs/swiften/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/swiften/template b/srcpkgs/swiften/template
index e22fe164b9b..350a4cc0d7f 100644
--- a/srcpkgs/swiften/template
+++ b/srcpkgs/swiften/template
@@ -1,7 +1,7 @@
 # Template file for 'swiften'
 pkgname=swiften
 version=3.0
-revision=12
+revision=13
 wrksrc="swift-${version}"
 build_style=scons
 makedepends="boost-devel libressl-devel libxml2-devel libidn-devel"

From b34263c9fbd490667d09fd8cbc62cc653039de08 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:13:36 +0200
Subject: [PATCH 257/310] vde2: rebuild for libressl-2.9.2.

---
 srcpkgs/vde2/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/vde2/template b/srcpkgs/vde2/template
index 55eebec2ca3..1e7803c3c79 100644
--- a/srcpkgs/vde2/template
+++ b/srcpkgs/vde2/template
@@ -1,7 +1,7 @@
 # Template file for 'vde2'
 pkgname=vde2
 version=2.3.2
-revision=20
+revision=21
 build_style=gnu-configure
 configure_args="--disable-static --enable-experimental
  --disable-python --enable-kernel-switch"

From 90b32826c5a37ed227064fd9aa652a3030e37e21 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:15:15 +0200
Subject: [PATCH 258/310] vboot-utils: rebuild for libressl-2.9.2.

---
 srcpkgs/vboot-utils/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/vboot-utils/template b/srcpkgs/vboot-utils/template
index 97695ea384c..338652a4007 100644
--- a/srcpkgs/vboot-utils/template
+++ b/srcpkgs/vboot-utils/template
@@ -1,7 +1,7 @@
 # Template file for 'vboot-utils'
 pkgname=vboot-utils
 version=45.7262
-revision=11
+revision=12
 _githash=0e8c964915fffb58032bb59bdb31949de718ca90
 hostmakedepends="pkg-config git"
 makedepends="libressl-devel libuuid-devel liblzma-devel libyaml-devel"

From 6ce00b7d65a969208148658bef21adac869c8504 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:17:02 +0200
Subject: [PATCH 259/310] vpn-ws: rebuild for libressl-2.9.2.

---
 srcpkgs/vpn-ws/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/vpn-ws/template b/srcpkgs/vpn-ws/template
index 0526f866d06..952f04bdb19 100644
--- a/srcpkgs/vpn-ws/template
+++ b/srcpkgs/vpn-ws/template
@@ -1,7 +1,7 @@
 # Template file for 'vpn-ws'
 pkgname=vpn-ws
 version=0.2
-revision=4
+revision=5
 build_style=gnu-makefile
 make_use_env=yes
 makedepends="libressl-devel"

From 3ab4b870fc1b52f219d0b0546b454ed5a76a3bee Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:17:42 +0200
Subject: [PATCH 260/310] w3m: rebuild for libressl-2.9.2.

---
 srcpkgs/w3m/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/w3m/template b/srcpkgs/w3m/template
index 00b58dba72c..4d632ba2e2d 100644
--- a/srcpkgs/w3m/template
+++ b/srcpkgs/w3m/template
@@ -1,7 +1,7 @@
 # Template file for 'w3m'
 pkgname=w3m
 version=0.5.3.git20190105
-revision=1
+revision=2
 wrksrc="${pkgname}-${version/.git/-git}"
 build_style=gnu-configure
 configure_args="--libexecdir=/usr/lib --enable-image=x11,fb

From f3aaa7daceee07d5cbd9e421fc0679dab30ae89f Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:18:39 +0200
Subject: [PATCH 261/310] warzone2100: rebuild for libressl-2.9.2.

---
 srcpkgs/warzone2100/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/warzone2100/template b/srcpkgs/warzone2100/template
index cbed0f2df89..45935bce7c4 100644
--- a/srcpkgs/warzone2100/template
+++ b/srcpkgs/warzone2100/template
@@ -1,7 +1,7 @@
 # Template file for 'warzone2100'
 pkgname=warzone2100
 version=3.2.3
-revision=5
+revision=6
 build_style=gnu-configure
 configure_args="--with-distributor=void"
 hostmakedepends="zip unzip asciidoc pkg-config perl"

From dfa4b925dd2644c21ccf02b84e1a27a2aa4d84e6 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:23:26 +0200
Subject: [PATCH 262/310] watchman: rebuild for libressl-2.9.2.

---
 srcpkgs/watchman/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/watchman/template b/srcpkgs/watchman/template
index 60812a77c0d..4f6a509da2b 100644
--- a/srcpkgs/watchman/template
+++ b/srcpkgs/watchman/template
@@ -1,7 +1,7 @@
 # Template file for 'watchman'
 pkgname=watchman
 version=4.9.0
-revision=4
+revision=5
 build_style=gnu-configure
 configure_args="--disable-statedir --enable-lenient"
 hostmakedepends="pkg-config automake libtool"

From 5cdbe728aebe6bcaa0bc69601513bb5452fbd0f1 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:24:54 +0200
Subject: [PATCH 263/310] wesnoth: rebuild for libressl-2.9.2.

---
 srcpkgs/wesnoth/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/wesnoth/template b/srcpkgs/wesnoth/template
index 93bc44caaad..d9e1af044ed 100644
--- a/srcpkgs/wesnoth/template
+++ b/srcpkgs/wesnoth/template
@@ -1,7 +1,7 @@
 # Template file for 'wesnoth'
 pkgname=wesnoth
 version=1.14.7
-revision=1
+revision=2
 build_style=cmake
 configure_args="-DENABLE_OMP=1"
 hostmakedepends="pkg-config"

From f52cd85511400db0934a39b824246f05fd9ccdbe Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:36:53 +0200
Subject: [PATCH 264/310] spiped: rebuild for libressl-2.9.2.

---
 srcpkgs/spiped/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/spiped/template b/srcpkgs/spiped/template
index 5e49a687ae1..0fdccf1c2b4 100644
--- a/srcpkgs/spiped/template
+++ b/srcpkgs/spiped/template
@@ -1,7 +1,7 @@
 # Template file for 'spiped'
 pkgname=spiped
 version=1.6.0
-revision=4
+revision=5
 build_style=gnu-makefile
 makedepends="libressl-devel"
 short_desc="The spiped secure pipe daemon"

From 3f4e509c184f18e3d72ef85e32f17f4e1ef1b872 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:37:27 +0200
Subject: [PATCH 265/310] sqlcipher: rebuild for libressl-2.9.2.

---
 srcpkgs/sqlcipher/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/sqlcipher/template b/srcpkgs/sqlcipher/template
index 35a667feec9..7569bb17a05 100644
--- a/srcpkgs/sqlcipher/template
+++ b/srcpkgs/sqlcipher/template
@@ -1,7 +1,7 @@
 # Template file for 'sqlcipher'
 pkgname=sqlcipher
 version=4.2.0
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-tempstore=yes"
 hostmakedepends="tcl"

From 3f4b56d4eaa5f42053c6eee10ab9f54e722e3b24 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:43:24 +0200
Subject: [PATCH 266/310] thrift: rebuild for libressl-2.9.2.

---
 srcpkgs/thrift/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/thrift/template b/srcpkgs/thrift/template
index e175b2f37bc..73b0f59d4f6 100644
--- a/srcpkgs/thrift/template
+++ b/srcpkgs/thrift/template
@@ -1,7 +1,7 @@
 # Template file for 'thrift'
 pkgname=thrift
 version=0.12.0
-revision=1
+revision=2
 build_style=gnu-configure
 makedepends="boost-devel libressl-devel"
 short_desc="Apache Thrift compiler"

From b3dc8d82a86301f20800a3be94af083ae204a139 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:44:03 +0200
Subject: [PATCH 267/310] tinc: rebuild for libressl-2.9.2.

---
 srcpkgs/tinc/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/tinc/template b/srcpkgs/tinc/template
index 47d91bac8b8..f84825ffcdc 100644
--- a/srcpkgs/tinc/template
+++ b/srcpkgs/tinc/template
@@ -1,7 +1,7 @@
 # Template file for 'tinc'
 pkgname=tinc
 version=1.0.35
-revision=2
+revision=3
 build_style=gnu-configure
 makedepends="zlib-devel lzo-devel libressl-devel"
 short_desc="VPN (Virtual Private Network) daemon"

From bd1a07eebceaf8320ae82e21d6ce36666ca1c608 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:44:48 +0200
Subject: [PATCH 268/310] tnftp: rebuild for libressl-2.9.2.

---
 srcpkgs/tnftp/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/tnftp/template b/srcpkgs/tnftp/template
index d996784dc32..29a1059d23f 100644
--- a/srcpkgs/tnftp/template
+++ b/srcpkgs/tnftp/template
@@ -1,7 +1,7 @@
 # Template file for 'tnftp'
 pkgname=tnftp
 version=20151004
-revision=7
+revision=8
 build_style=gnu-configure
 makedepends="libressl-devel ncurses-devel"
 short_desc="NetBSD enhanced ftp client"

From f0a50dec8e1a53dd8b79217a628ead950bb8c909 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:45:34 +0200
Subject: [PATCH 269/310] tpm-tools: rebuild for libressl-2.9.2.

---
 srcpkgs/tpm-tools/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/tpm-tools/template b/srcpkgs/tpm-tools/template
index 27b1c35d294..5f13075088e 100644
--- a/srcpkgs/tpm-tools/template
+++ b/srcpkgs/tpm-tools/template
@@ -1,7 +1,7 @@
 # Template file for 'tpm-tools'
 pkgname=tpm-tools
 version=1.3.9.1
-revision=4
+revision=5
 create_wrksrc=yes
 build_style=gnu-configure
 hostmakedepends="perl" # wants pod2man

From 576edc23d4f6bb133929301d113ae1d16f4baa2f Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:47:14 +0200
Subject: [PATCH 270/310] ttyd: rebuild for libressl-2.9.2.

---
 srcpkgs/ttyd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ttyd/template b/srcpkgs/ttyd/template
index f973e83d3cb..d61dbdfa9f8 100644
--- a/srcpkgs/ttyd/template
+++ b/srcpkgs/ttyd/template
@@ -1,7 +1,7 @@
 # Template file for 'ttyd'
 pkgname=ttyd
 version=1.4.4
-revision=1
+revision=2
 build_style=cmake
 hostmakedepends="pkg-config xxd"
 makedepends="libwebsockets-devel json-c-devel libressl-devel zlib-devel"

From 0b98eef453cfd78e88c07965ef9f487a69e37a24 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:50:41 +0200
Subject: [PATCH 271/310] tvheadend: rebuild for libressl-2.9.2.

---
 srcpkgs/tvheadend/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/tvheadend/template b/srcpkgs/tvheadend/template
index b50cea0c382..d17ddce7148 100644
--- a/srcpkgs/tvheadend/template
+++ b/srcpkgs/tvheadend/template
@@ -1,7 +1,7 @@
 # Template file for 'tvheadend'
 pkgname=tvheadend
 version=4.2.8
-revision=2
+revision=3
 wrksrc=tvheadend-${version}
 build_style=gnu-configure
 configure_args="--enable-dvbscan --disable-ffmpeg_static

From 9798c513acb7da078201dd3ca71797df85e6b599 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:51:31 +0200
Subject: [PATCH 272/310] ucspi-ssl: rebuild for libressl-2.9.2.

---
 srcpkgs/ucspi-ssl/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ucspi-ssl/template b/srcpkgs/ucspi-ssl/template
index b14f0ffdc4f..6f490c0adab 100644
--- a/srcpkgs/ucspi-ssl/template
+++ b/srcpkgs/ucspi-ssl/template
@@ -1,7 +1,7 @@
 # Template file for 'ucspi-ssl'
 pkgname=ucspi-ssl
 version=0.99e
-revision=1
+revision=2
 create_wrksrc=yes
 build_wrksrc="host/superscript.com/net/${pkgname}-${version}/src"
 build_style=gnu-makefile

From faff4437882586e2583243552f541203679f3ab1 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:52:31 +0200
Subject: [PATCH 273/310] umurmur: rebuild for libressl-2.9.2.

---
 srcpkgs/umurmur/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/umurmur/template b/srcpkgs/umurmur/template
index 6a696b882ee..24d6c2743ad 100644
--- a/srcpkgs/umurmur/template
+++ b/srcpkgs/umurmur/template
@@ -1,7 +1,7 @@
 # Template file for 'umurmur'
 pkgname=umurmur
 version=0.2.17
-revision=5
+revision=6
 build_style=gnu-configure
 configure_args="--enable-shmapi --with-ssl=openssl"
 conf_files="/etc/umurmur/umurmur.conf"

From db419536a1f63066ef9abcd7ff7e6e5d7ec1d0f7 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:52:48 +0200
Subject: [PATCH 274/310] vanitygen: rebuild for libressl-2.9.2.

---
 srcpkgs/vanitygen/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/vanitygen/template b/srcpkgs/vanitygen/template
index 634a282ae25..2548382fada 100644
--- a/srcpkgs/vanitygen/template
+++ b/srcpkgs/vanitygen/template
@@ -1,7 +1,7 @@
 # Template file for 'vanitygen'
 pkgname=vanitygen
 version=0.22
-revision=1
+revision=2
 _commit=9e04497a127aa6413463ccf4a4aee75f0d581d92
 wrksrc="vanitygen-${_commit}"
 makedepends="pcre-devel libressl-devel"

From 31dadc0772a95b8fcb40ac00356ee4d19c4fe701 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:54:06 +0200
Subject: [PATCH 275/310] ympd: rebuild for libressl-2.9.2.

---
 srcpkgs/ympd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ympd/template b/srcpkgs/ympd/template
index c87c035957b..081200f0eb1 100644
--- a/srcpkgs/ympd/template
+++ b/srcpkgs/ympd/template
@@ -1,7 +1,7 @@
 # Template file for 'ympd'
 pkgname=ympd
 version=1.3.0
-revision=4
+revision=5
 build_style=cmake
 hostmakedepends="perl"
 makedepends="libmpdclient-devel libressl-devel"

From 914fe777610f3c35324df1f1f873686e360141e5 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:55:05 +0200
Subject: [PATCH 276/310] zbackup: rebuild for libressl-2.9.2.

---
 srcpkgs/zbackup/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/zbackup/template b/srcpkgs/zbackup/template
index 26f11dbddbf..42a6bf53b03 100644
--- a/srcpkgs/zbackup/template
+++ b/srcpkgs/zbackup/template
@@ -1,7 +1,7 @@
 # Template file for 'zbackup'
 pkgname=zbackup
 version=1.4.4
-revision=14
+revision=15
 build_style=cmake
 hostmakedepends="protobuf"
 makedepends="zlib-devel liblzma-devel protobuf-devel libressl-devel lzo-devel"

From a5d27cabf5191656bfee26e5d8995245b69b9a9c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:55:33 +0200
Subject: [PATCH 277/310] zchunk: rebuild for libressl-2.9.2.

---
 srcpkgs/zchunk/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/zchunk/template b/srcpkgs/zchunk/template
index e264e706c3b..c0a02770aca 100644
--- a/srcpkgs/zchunk/template
+++ b/srcpkgs/zchunk/template
@@ -1,7 +1,7 @@
 # Template file for 'zchunk'
 pkgname=zchunk
 version=1.1.2
-revision=1
+revision=2
 build_style=meson
 hostmakedepends="pkg-config"
 makedepends="libcurl-devel libzstd-devel"

From adc4a1c020cc58fbfe659a43958a313a0322096d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:58:21 +0200
Subject: [PATCH 278/310] znc: rebuild for libressl-2.9.2.

---
 srcpkgs/znc/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/znc/template b/srcpkgs/znc/template
index 55f35c9af23..b0a49c2ae91 100644
--- a/srcpkgs/znc/template
+++ b/srcpkgs/znc/template
@@ -1,7 +1,7 @@
 # Template file for 'znc'
 pkgname=znc
 version=1.7.3
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="
  --enable-python

From a3c028fd1f66bfc109f36a8738d62bc3f48d1a12 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:58:43 +0200
Subject: [PATCH 279/310] xar: rebuild for libressl-2.9.2.

---
 srcpkgs/xar/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/xar/template b/srcpkgs/xar/template
index b2877b45a93..ea2991e4f9b 100644
--- a/srcpkgs/xar/template
+++ b/srcpkgs/xar/template
@@ -1,7 +1,7 @@
 # Template file for 'xar'
 pkgname=xar
 version=1.6.1
-revision=6
+revision=7
 build_style=gnu-configure
 configure_args="ac_cv_sizeof_uid_t=4"
 makedepends="zlib-devel bzip2-devel e2fsprogs-devel acl-devel libxml2-devel libressl-devel"

From 1a05503f90b4f1ad59bc1d05dae7e8b35534ce42 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 00:59:19 +0200
Subject: [PATCH 280/310] xarcan: rebuild for libressl-2.9.2.

---
 srcpkgs/xarcan/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/xarcan/template b/srcpkgs/xarcan/template
index e9569a07f5a..8ba1c53d4b5 100644
--- a/srcpkgs/xarcan/template
+++ b/srcpkgs/xarcan/template
@@ -1,7 +1,7 @@
 # Template file for 'xarcan'
 pkgname=xarcan
 version=0.5.4
-revision=5
+revision=6
 build_style=gnu-configure
 short_desc="Patched Xserver that bridges connections to Arcan"
 maintainer="Piraty <piraty1@inbox.ru>"

From 75214321e48356f1a053d0b069281ab81999f072 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 01:01:15 +0200
Subject: [PATCH 281/310] yara: rebuild for libressl-2.9.2.

---
 srcpkgs/yara/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/yara/template b/srcpkgs/yara/template
index 87d97bb8140..fba788128ea 100644
--- a/srcpkgs/yara/template
+++ b/srcpkgs/yara/template
@@ -1,7 +1,7 @@
 # Template file for 'yara'
 pkgname=yara
 version=3.9.0
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-magic --enable-cuckoo"
 hostmakedepends="automake libtool"

From ea506f9b7107c6cb5c63fae904ff57afce586f55 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 01:03:29 +0200
Subject: [PATCH 282/310] stremio-shell: rebuild for libressl-2.9.2.

---
 srcpkgs/stremio-shell/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/stremio-shell/template b/srcpkgs/stremio-shell/template
index ae80b6c98ed..cef6d48f232 100644
--- a/srcpkgs/stremio-shell/template
+++ b/srcpkgs/stremio-shell/template
@@ -1,7 +1,7 @@
 # Template file for 'stremio-shell'
 pkgname=stremio-shell
 version=4.4.25
-revision=1
+revision=2
 _singleapplication_hash=6fbf6bffc848821d41a09ccd9fc0ede83bbbcdce
 build_style=qmake
 hostmakedepends="qt5-host-tools qt5-qmake"

From 1d3658066baef53d9fc96b4eff8ec0617c31b2ba Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 15:46:54 +0200
Subject: [PATCH 283/310] libgda: rebuild for libressl-2.9.2.

---
 srcpkgs/libgda/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/libgda/template b/srcpkgs/libgda/template
index f715cacfbd5..cd17043b15f 100644
--- a/srcpkgs/libgda/template
+++ b/srcpkgs/libgda/template
@@ -1,7 +1,7 @@
 # Template file for 'libgda'
 pkgname=libgda
 version=5.2.4
-revision=13
+revision=14
 build_style=gnu-configure
 configure_args="--with-ui --with-gtksourceview --with-graphviz --enable-json
  --enable-system-sqlite"

From 2dadaa16ced4878649434e7be07c4730b85932b4 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 15:53:06 +0200
Subject: [PATCH 284/310] amp: rebuild for libressl-2.9.2.

---
 srcpkgs/amp/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/amp/template b/srcpkgs/amp/template
index a36f5d5b7a0..ad20f0cb8eb 100644
--- a/srcpkgs/amp/template
+++ b/srcpkgs/amp/template
@@ -1,7 +1,7 @@
 # Template file for 'amp'
 pkgname=amp
 version=0.5.2
-revision=2
+revision=3
 build_style=cargo
 hostmakedepends="cmake git perl pkg-config python3"
 makedepends="libcurl-devel libgit2-devel libxcb-devel"
@@ -16,5 +16,5 @@ checksum=e1f22a829205cf44f8c3fcf5660dbdb9a3c5a1f64b92c67dcdb75a30ad7e5a60
 export LIBGIT2_SYS_USE_PKG_CONFIG=1
 
 pre_build() {
-	cargo update --package openssl-sys --precise 0.9.39
+	cargo update --package openssl-sys --precise 0.9.46
 }

From cd814338eec0c0e72eac4a6c63277f7525291786 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 15:59:26 +0200
Subject: [PATCH 285/310] tlsdate: rebuild for libressl-2.9.2.

---
 srcpkgs/tlsdate/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/tlsdate/template b/srcpkgs/tlsdate/template
index 92d3ad965e6..b8ba170e146 100644
--- a/srcpkgs/tlsdate/template
+++ b/srcpkgs/tlsdate/template
@@ -1,7 +1,7 @@
 # Template file for 'tlsdate'
 pkgname=tlsdate
 version=0.0.13
-revision=12
+revision=13
 wrksrc="${pkgname}-${pkgname}-${version}"
 build_style=gnu-configure
 configure_args="--with-polarssl=no ac_cv_func_clock_gettime=yes"

From 55aef7a856e3d7b420139e28241fd4984446e20b Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 16:11:30 +0200
Subject: [PATCH 286/310] tmplgen: rebuild for libressl-2.9.2.

---
 srcpkgs/tmplgen/template | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/tmplgen/template b/srcpkgs/tmplgen/template
index e393be7a984..807e385fbf8 100644
--- a/srcpkgs/tmplgen/template
+++ b/srcpkgs/tmplgen/template
@@ -1,7 +1,7 @@
 # Template file for 'tmplgen'
 pkgname=tmplgen
 version=1.3.1
-revision=1
+revision=2
 build_style=cargo
 hostmakedepends="pkg-config"
 makedepends="libressl-devel"
@@ -12,6 +12,10 @@ homepage="https://github.com/Cogitri/tmplgen"
 distfiles="https://static.crates.io/crates/tmplgen/tmplgen-${version}.crate"
 checksum=5e5dc4b3e50f4f2dc87f510bb3d1547a86ecd5a52c0f33305a0a7a3dca40bee9
 
+pre_build() {
+	cargo update --package openssl-sys --precise 0.9.46
+}
+
 post_install() {
 	vman man/tmplgen.1
 }

From ceba4d93c154f617b215aeb15c63922937bd4979 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 15 May 2019 13:30:52 +0200
Subject: [PATCH 287/310] rooster: rebuild for libressl-2.9.2.

---
 srcpkgs/rooster/template | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/rooster/template b/srcpkgs/rooster/template
index d1cef8b8b42..9e5c5851faf 100644
--- a/srcpkgs/rooster/template
+++ b/srcpkgs/rooster/template
@@ -1,7 +1,7 @@
 # Template file for 'rooster'
 pkgname=rooster
 version=2.8.0
-revision=1
+revision=2
 build_style=cargo
 hostmakedepends="pkg-config python3"
 makedepends="libX11-devel libXmu-devel libressl-devel libsodium-devel"
@@ -15,3 +15,8 @@ checksum=49647992eb48ef7df4ffee897aeb8f651e403c86d08c5dac92bb96547951a68a
 case "$XBPS_TARGET_MACHINE" in
 	aarch64*|ppc64*) broken="undefined reference to rust_crypto_util_fixed_time_eq_asm https://github.com/DaGenix/rust-crypto/issues/383" ;;
 esac
+
+pre_build() {
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
+}

From 916d9afd9d26044f43f07bd140bcad9d7e4eec17 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 15 May 2019 13:41:46 +0200
Subject: [PATCH 288/310] zola: rebuild for libressl-2.9.2.

---
 srcpkgs/zola/template | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/zola/template b/srcpkgs/zola/template
index 0f1d1c1674f..b9fd193cba8 100644
--- a/srcpkgs/zola/template
+++ b/srcpkgs/zola/template
@@ -1,7 +1,7 @@
 # Template file for 'zola'
 pkgname=zola
 version=0.7.0
-revision=1
+revision=2
 build_style=cargo
 hostmakedepends="pkg-config"
 makedepends="libressl-devel libsass-devel"
@@ -18,6 +18,11 @@ case "$XBPS_TARGET_MACHINE" in
 	i686*) broken="https://github.com/rust-lang/rust/issues/60184" ;;
 esac
 
+pre_build() {
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
+}
+
 post_install() {
 	vlicense LICENSE
 

From a6a3f06372a5e2f852916752baf5e178ee6b8b3d Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 15 May 2019 14:08:42 +0200
Subject: [PATCH 289/310] ffsend: rebuild for libressl-2.9.2.

---
 srcpkgs/ffsend/template | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/ffsend/template b/srcpkgs/ffsend/template
index 172744317d3..d77ec35028b 100644
--- a/srcpkgs/ffsend/template
+++ b/srcpkgs/ffsend/template
@@ -1,7 +1,7 @@
 # Template file for 'ffsend'
 pkgname=ffsend
 version=0.2.46
-revision=1
+revision=2
 build_style=cargo
 hostmakedepends="pkg-config"
 makedepends="libressl-devel"
@@ -15,3 +15,8 @@ checksum=f026d57388e1af565430a84fb52e4feeeab9b8a4804d40125915e2d4011d84d5
 case "$XBPS_TARGET_MACHINE" in
 	i686) broken="undefined reference to 'time::NSEC_PER_SEC'" ;;
 esac
+
+pre_build() {
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
+}

From 1a3a8a440905444ef6172b4ab5d7c2e19cd40944 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 15 May 2019 14:14:37 +0200
Subject: [PATCH 290/310] tectonic: rebuild for libressl-2.9.2.

---
 srcpkgs/tectonic/template | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/tectonic/template b/srcpkgs/tectonic/template
index 08ce7eb34f2..a15482f2da3 100644
--- a/srcpkgs/tectonic/template
+++ b/srcpkgs/tectonic/template
@@ -1,7 +1,7 @@
 # Template file for 'tectonic'
 pkgname=tectonic
 version=0.1.11
-revision=1
+revision=2
 build_style=cargo
 hostmakedepends="pkg-config"
 makedepends="harfbuzz-devel libressl-devel"
@@ -13,6 +13,11 @@ changelog="https://raw.githubusercontent.com/tectonic-typesetting/tectonic/maste
 distfiles="https://github.com/tectonic-typesetting/${pkgname}/archive/v${version}.tar.gz"
 checksum=e700dc691dfd092adfe098b716992136343ddfac5eaabb1e8cfae4e63f8454c7
 
+pre_build() {
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
+}
+
 post_install() {
 	vlicense LICENSE
 }

From ffb8703b30ec1c4a4371a9a05719024b485c069a Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 16 May 2019 02:01:16 +0200
Subject: [PATCH 291/310] ykpivmgr: rebuild for libressl-2.9.2.

---
 srcpkgs/ykpivmgr/patches/libressl.patch | 88 ++++++++++++++++---------
 srcpkgs/ykpivmgr/template               |  2 +-
 2 files changed, 58 insertions(+), 32 deletions(-)

diff --git a/srcpkgs/ykpivmgr/patches/libressl.patch b/srcpkgs/ykpivmgr/patches/libressl.patch
index bb9d3cb4352..4c48300e932 100644
--- a/srcpkgs/ykpivmgr/patches/libressl.patch
+++ b/srcpkgs/ykpivmgr/patches/libressl.patch
@@ -1,47 +1,54 @@
-diff --git tool/openssl-compat.c tool/openssl-compat.c
-index a51af90..bb37dfc 100644
 --- tool/openssl-compat.c
 +++ tool/openssl-compat.c
-@@ -8,7 +8,7 @@
-  */
- 
- #include "openssl-compat.h"
--#if OPENSSL_VERSION_NUMBER < 0x10100000L
-+#if (OPENSSL_VERSION_NUMBER < 0x10100000L) || defined(LIBRESSL_VERSION_NUMBER)
+@@ -71,6 +71,10 @@
+         *iqmp = r->iqmp;
+ }
  
- #include <string.h>
- #include <openssl/engine.h>
-@@ -80,4 +80,4 @@ void X509_SIG_getm(X509_SIG *sig, X509_ALGOR **palg,
++#endif /* OPENSSL_VERSION_NUMBER */
++
++#if OPENSSL_VERSION_NUMBER < 0x10100000L || defined(LIBRESSL_VERSION_NUMBER)
++
+ void X509_SIG_getm(X509_SIG *sig, X509_ALGOR **palg,
+                    ASN1_OCTET_STRING **pdigest)
+ {
+@@ -80,4 +84,4 @@
          *pdigest = sig->digest;
  }
  
 -#endif /* OPENSSL_VERSION_NUMBER */
-+#endif /* OPENSSL_VERSION_NUMBER || LIBRESSL_VERSION_NUMBER */
-diff --git tool/openssl-compat.h tool/openssl-compat.h
-index 3700bea..bd1967b 100644
++#endif /* OPENSSL_VERSION_NUMBER || defined(LIBRESSL_VERSION_NUMBER) */
+
 --- tool/openssl-compat.h
 +++ tool/openssl-compat.h
-@@ -13,7 +13,7 @@
- #ifndef _WINDOWS
- 
- #include <openssl/opensslv.h>
--#if OPENSSL_VERSION_NUMBER < 0x10100000L
-+#if (OPENSSL_VERSION_NUMBER < 0x10100000L) || defined(LIBRESSL_VERSION_NUMBER)
+@@ -20,7 +20,6 @@
+ #include <openssl/ecdsa.h>
+ #include <openssl/dh.h>
+ #include <openssl/evp.h>
+-#include <openssl/x509.h>
  
- #include <openssl/rsa.h>
- #include <openssl/dsa.h>
-@@ -33,5 +33,5 @@ void X509_SIG_getm(X509_SIG *sig, X509_ALGOR **palg,
+ int RSA_set0_key(RSA *r, BIGNUM *n, BIGNUM *e, BIGNUM *d);
+ void RSA_get0_key(const RSA *r,
+@@ -29,9 +28,15 @@
+ void RSA_get0_crt_params(const RSA *r,
+                          const BIGNUM **dmp1, const BIGNUM **dmq1,
+                          const BIGNUM **iqmp);
++#endif /* OPENSSL_VERSION_NUMBER */
++
++#if OPENSSL_VERSION_NUMBER < 0x10100000L || defined(LIBRESSL_VERSION_NUMBER)
++
++#include <openssl/x509.h>
++
+ void X509_SIG_getm(X509_SIG *sig, X509_ALGOR **palg,
                     ASN1_OCTET_STRING **pdigest);
  
++#endif /* OPENSSL_VERSION_NUMBER || defined(LIBRESSL_VERSION_NUMBER) */
  #endif /* _WINDOWS */
 -#endif /* OPENSSL_VERSION_NUMBER */
-+#endif /* OPENSSL_VERSION_NUMBER || LIBRESSL_VERSION_NUMBER */
  #endif /* LIBCRYPTO_COMPAT_H */
-diff --git tool/yubico-piv-tool.c tool/yubico-piv-tool.c
-index 89daa79..c8b3b84 100644
+
 --- tool/yubico-piv-tool.c
 +++ tool/yubico-piv-tool.c
-@@ -124,7 +124,7 @@ static bool sign_data(ykpiv_state *state, const unsigned char *in, size_t len, u
+@@ -124,7 +124,7 @@
    return false;
  }
  
@@ -50,7 +57,7 @@ index 89daa79..c8b3b84 100644
  static int ec_key_ex_data_idx = -1;
  
  struct internal_key {
-@@ -688,7 +688,7 @@ static bool request_certificate(ykpiv_state *state, enum enum_key_format key_for
+@@ -688,7 +688,7 @@
      goto request_out;
    }
  
@@ -59,7 +66,16 @@ index 89daa79..c8b3b84 100644
    memcpy(digest, oid, oid_len);
    /* XXX: this should probably use X509_REQ_digest() but that's buggy */
    if(!ASN1_item_digest(ASN1_ITEM_rptr(X509_REQ_INFO), md, req->req_info,
-@@ -751,7 +751,7 @@ request_out:
+@@ -721,7 +721,7 @@
+       fprintf(stderr, "Failed signing request.\n");
+       goto request_out;
+     }
+-    M_ASN1_BIT_STRING_set(req->signature, signature, sig_len);
++    ASN1_BIT_STRING_set(req->signature, signature, sig_len);
+     /* mark that all bits should be used. */
+     req->signature->flags = ASN1_STRING_FLAG_BITS_LEFT;
+   }
+@@ -751,7 +751,7 @@
      EVP_PKEY_free(public_key);
    }
    if(req) {
@@ -68,7 +84,7 @@ index 89daa79..c8b3b84 100644
      if(req->sig_alg->parameter) {
        req->sig_alg->parameter = NULL;
      }
-@@ -884,7 +884,7 @@ static bool selfsign_certificate(ykpiv_state *state, enum enum_key_format key_fo
+@@ -884,7 +884,7 @@
    if(nid == 0) {
      goto selfsign_out;
    }
@@ -77,7 +93,16 @@ index 89daa79..c8b3b84 100644
    if(YKPIV_IS_RSA(algorithm)) {
      signinput = digest;
      len = oid_len + md_len;
-@@ -941,7 +941,7 @@ selfsign_out:
+@@ -912,7 +912,7 @@
+       fprintf(stderr, "Failed signing certificate.\n");
+       goto selfsign_out;
+     }
+-    M_ASN1_BIT_STRING_set(x509->signature, signature, sig_len);
++    ASN1_BIT_STRING_set(x509->signature, signature, sig_len);
+     /* setting flags to ASN1_STRING_FLAG_BITS_LEFT here marks that no bits
+      * should be subtracted from the bit string, thus making sure that the
+      * certificate can be validated. */
+@@ -941,7 +941,7 @@
      fclose(output_file);
    }
    if(x509) {
@@ -86,6 +111,7 @@ index 89daa79..c8b3b84 100644
      if(x509->sig_alg->parameter) {
        x509->sig_alg->parameter = NULL;
        x509->cert_info->signature->parameter = NULL;
+
 diff --git ykcs11/openssl_utils.c ykcs11/openssl_utils.c
 index 68fb29a..5a7f85d 100644
 --- ykcs11/openssl_utils.c
diff --git a/srcpkgs/ykpivmgr/template b/srcpkgs/ykpivmgr/template
index e43d3c767c3..7e72bcc15f5 100644
--- a/srcpkgs/ykpivmgr/template
+++ b/srcpkgs/ykpivmgr/template
@@ -7,7 +7,7 @@ _libykcs_desc="Yubikey PIV pkcs11 library"
 
 pkgname=ykpivmgr
 version=1.5.0
-revision=4
+revision=5
 wrksrc="${_real_name}-${version}"
 build_style=gnu-configure
 configure_args="--enable-doxygen-man --program-transform-name='s/^yubico-piv-tool$/ykpivmgr/'"

From 008f92222fbb2d3999c567e565c1430a1da9bffb Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 16 May 2019 02:03:24 +0200
Subject: [PATCH 292/310] vsftpd: rebuild for libressl-2.9.2.

---
 srcpkgs/vsftpd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/vsftpd/template b/srcpkgs/vsftpd/template
index 0d00d6670bc..96e32537a90 100644
--- a/srcpkgs/vsftpd/template
+++ b/srcpkgs/vsftpd/template
@@ -1,7 +1,7 @@
 # Template file for 'vsftpd'
 pkgname=vsftpd
 version=3.0.3
-revision=11
+revision=12
 build_style=gnu-makefile
 makedepends="pam-devel libcap-devel libressl-devel"
 short_desc="FTP deamon with focus on security"

From 9095d0d657ecd849c2bdeb73919e0154babf930b Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 16 May 2019 20:21:08 +0200
Subject: [PATCH 293/310] stunnel: rebuild for libressl-2.9.2.

---
 srcpkgs/stunnel/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/stunnel/template b/srcpkgs/stunnel/template
index 9afb959c8f4..c0e3573f535 100644
--- a/srcpkgs/stunnel/template
+++ b/srcpkgs/stunnel/template
@@ -1,7 +1,7 @@
 # Template file for 'stunnel'
 pkgname=stunnel
 version=5.46
-revision=2
+revision=3
 build_style=gnu-configure
 configure_args="--enable-ipv6 --with-ssl=${XBPS_CROSS_BASE}/usr"
 hostmakedepends="perl"

From aca035a72f53a0b9c9480a1ddeabe572ab294c1f Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 16 May 2019 20:27:20 +0200
Subject: [PATCH 294/310] wvstreams: rebuild for libressl-2.9.2.

---
 srcpkgs/wvstreams/patches/libressl.patch | 52 ++++++++++++++++++++++++
 srcpkgs/wvstreams/template               |  2 +-
 2 files changed, 53 insertions(+), 1 deletion(-)
 create mode 100644 srcpkgs/wvstreams/patches/libressl.patch

diff --git a/srcpkgs/wvstreams/patches/libressl.patch b/srcpkgs/wvstreams/patches/libressl.patch
new file mode 100644
index 00000000000..e6e51b2e7a6
--- /dev/null
+++ b/srcpkgs/wvstreams/patches/libressl.patch
@@ -0,0 +1,52 @@
+--- crypto/wvx509.cc.orig	2019-05-16 20:25:58.171570222 +0200
++++ crypto/wvx509.cc	2019-05-16 20:26:15.784410788 +0200
+@@ -974,7 +974,7 @@
+     sk_ACCESS_DESCRIPTION_push(ainfo, acc);
+     acc->method = OBJ_txt2obj(type.cstr(), 0);
+     acc->location->type = GEN_URI;
+-    acc->location->d.ia5 = M_ASN1_IA5STRING_new();
++    acc->location->d.ia5 = ASN1_IA5STRING_new();
+     unsigned char *cident 
+ 	= reinterpret_cast<unsigned char *>(identifier.edit());
+     ASN1_STRING_set(acc->location->d.ia5, cident, identifier.len());
+@@ -1059,7 +1059,7 @@
+         GENERAL_NAMES *uris = GENERAL_NAMES_new();
+         GENERAL_NAME *uri = GENERAL_NAME_new();
+         uri->type = GEN_URI;
+-        uri->d.ia5 = M_ASN1_IA5STRING_new();
++        uri->d.ia5 = ASN1_IA5STRING_new();
+         unsigned char *cident
+ 	    = reinterpret_cast<unsigned char *>(i().edit());    
+         ASN1_STRING_set(uri->d.ia5, cident, i().len());
+@@ -1130,7 +1130,7 @@
+ 	pol->qualifiers = sk_POLICYQUALINFO_new_null();
+ 	qual = POLICYQUALINFO_new();
+ 	qual->pqualid = OBJ_nid2obj(NID_id_qt_cps);
+-	qual->d.cpsouri = M_ASN1_IA5STRING_new();
++	qual->d.cpsouri = ASN1_IA5STRING_new();
+ 	ASN1_STRING_set(qual->d.cpsuri, url.edit(), url.len());
+ 	sk_POLICYQUALINFO_push(pol->qualifiers, qual);
+     }
+@@ -1450,19 +1450,19 @@
+ {
+     CHECK_CERT_EXISTS_SET("ski");
+ 
+-    ASN1_OCTET_STRING *oct = M_ASN1_OCTET_STRING_new();
++    ASN1_OCTET_STRING *oct = ASN1_OCTET_STRING_new();
+     ASN1_BIT_STRING *pk = cert->cert_info->key->public_key;
+     unsigned char pkey_dig[EVP_MAX_MD_SIZE];
+     unsigned int diglen;
+ 
+     EVP_Digest(pk->data, pk->length, pkey_dig, &diglen, EVP_sha1(), NULL);
+ 
+-    M_ASN1_OCTET_STRING_set(oct, pkey_dig, diglen);
++    ASN1_OCTET_STRING_set(oct, pkey_dig, diglen);
+     X509_EXTENSION *ext = X509V3_EXT_i2d(NID_subject_key_identifier, 0, 
+ 					oct);
+     X509_add_ext(cert, ext, -1);
+     X509_EXTENSION_free(ext);
+-    M_ASN1_OCTET_STRING_free(oct);
++    ASN1_OCTET_STRING_free(oct);
+ }
+ 
+ 
diff --git a/srcpkgs/wvstreams/template b/srcpkgs/wvstreams/template
index 58d792711e9..0d577df5ff6 100644
--- a/srcpkgs/wvstreams/template
+++ b/srcpkgs/wvstreams/template
@@ -1,7 +1,7 @@
 # Template file for 'wvstreams'
 pkgname=wvstreams
 version=4.6.1
-revision=17
+revision=18
 build_style=gnu-configure
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2"

From 1d7fda0d5534e391b0bcdf31d542cc1454fa4253 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 16 May 2019 20:29:25 +0200
Subject: [PATCH 295/310] x11vnc: rebuild for libressl-2.9.2.

---
 srcpkgs/x11vnc/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/x11vnc/template b/srcpkgs/x11vnc/template
index 05efbc9df65..924f39faab6 100644
--- a/srcpkgs/x11vnc/template
+++ b/srcpkgs/x11vnc/template
@@ -1,7 +1,7 @@
 # Template file for 'x11vnc'
 pkgname=x11vnc
 version=0.9.16
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="automake libtool pkg-config"
 makedepends="libXdamage-devel libXinerama-devel libXrandr-devel libXtst-devel

From 223ecfbf701b5a2e5cc2ccbd8a057fde5713d416 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 16 May 2019 20:38:42 +0200
Subject: [PATCH 296/310] squid: rebuild for libressl-2.9.2.

---
 srcpkgs/squid/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/squid/template b/srcpkgs/squid/template
index 264d6604faa..b20904228f5 100644
--- a/srcpkgs/squid/template
+++ b/srcpkgs/squid/template
@@ -1,7 +1,7 @@
 # Template file for 'squid'
 pkgname=squid
 version=4.5
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="
  --sbindir=/usr/bin
@@ -64,7 +64,7 @@ maintainer="Toyam Cox <Vaelatern@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="http://www.squid-cache.org/"
 #changelog="http://www.squid-cache.org/Versions/v3/3.5/changesets/"
-distfiles="ftp://ftp.fu-berlin.de/unix/www/${pkgname}/${pkgname}/${pkgname}-${version}.tar.xz"
+distfiles="http://www.squid-cache.org/Versions/v4/squid-${version}.tar.xz"
 checksum=553edf76d6ee9a1627af9c2be7be850c14cd6836170b3d6c1393fd700d44ccc5
 system_accounts="squid"
 

From 5c792fa959050613e42433bd140b8f154af851e6 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 16 May 2019 21:16:12 +0200
Subject: [PATCH 297/310] rust-cargo-audit: rebuild for libressl-2.9.2.

---
 srcpkgs/rust-cargo-audit/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/rust-cargo-audit/template b/srcpkgs/rust-cargo-audit/template
index c73ae6b2d9f..b8c41bfdba4 100644
--- a/srcpkgs/rust-cargo-audit/template
+++ b/srcpkgs/rust-cargo-audit/template
@@ -1,7 +1,7 @@
 # Template file for 'rust-cargo-audit'
 pkgname=rust-cargo-audit
 version=0.6.1
-revision=1
+revision=2
 wrksrc="${pkgname/rust-/}-${version}"
 build_style=cargo
 hostmakedepends="pkg-config"

From 607b8cb2d6dc9a90dc91729b4a407fddcc8e6cd6 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 16 May 2019 21:25:06 +0200
Subject: [PATCH 298/310] tealdeer: rebuild for libressl-2.9.2.

---
 srcpkgs/tealdeer/template | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/tealdeer/template b/srcpkgs/tealdeer/template
index 039a5c2f0f6..950a9d0a214 100644
--- a/srcpkgs/tealdeer/template
+++ b/srcpkgs/tealdeer/template
@@ -1,7 +1,7 @@
 # Template file for 'tealdeer'
 pkgname=tealdeer
 version=1.1.0
-revision=1
+revision=2
 build_style=cargo
 hostmakedepends="pkg-config"
 makedepends="libressl-devel"
@@ -14,6 +14,10 @@ changelog="https://raw.githubusercontent.com/dbrgn/tealdeer/v${version}/CHANGELO
 distfiles="https://github.com/dbrgn/tealdeer/archive/v${version}.tar.gz"
 checksum=647990936af527e9738e8befb432fdf8dd40e7b2ab0066afc652330fddd3dd0e
 
+pre_build() {
+	cargo update --package openssl-sys --precise 0.9.46
+}
+
 post_install() {
 	vlicense LICENSE-MIT
 }

From c430a7171e38fb1dd4731bc65b0fc97e786bab30 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Thu, 16 May 2019 23:23:54 +0200
Subject: [PATCH 299/310] rust-sccache: rebuild for libressl-2.9.2.

---
 srcpkgs/rust-sccache/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/rust-sccache/template b/srcpkgs/rust-sccache/template
index d577a34efdc..e18c2fd8ba9 100644
--- a/srcpkgs/rust-sccache/template
+++ b/srcpkgs/rust-sccache/template
@@ -1,7 +1,7 @@
 # Template file for 'rust-sccache'
 pkgname=rust-sccache
 version=0.2.8
-revision=1
+revision=2
 wrksrc="${pkgname/rust-/}-${version}"
 build_style=cargo
 hostmakedepends="pkg-config"

From bc8d403ba8ade971c6a5085d7b78c2773fe6b3df Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 27 May 2019 15:44:40 +0200
Subject: [PATCH 300/310] spice-gtk: rebuild for libressl-2.9.2.

---
 srcpkgs/spice-gtk/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/spice-gtk/template b/srcpkgs/spice-gtk/template
index f7cd1d1e250..cb7d1f52097 100644
--- a/srcpkgs/spice-gtk/template
+++ b/srcpkgs/spice-gtk/template
@@ -1,7 +1,7 @@
 # Template file for 'spice-gtk'
 pkgname=spice-gtk
 version=0.37
-revision=1
+revision=2
 build_style=meson
 build_helper="gir"
 configure_args="-Dintrospection=$(vopt_if gir enabled disabled)

From d4fe62c81694ec2961ffbaf94f29d76d73d4e651 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 27 May 2019 15:44:50 +0200
Subject: [PATCH 301/310] remmina: rebuild for libressl-2.9.2.

---
 srcpkgs/remmina/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/remmina/template b/srcpkgs/remmina/template
index 58055cbd28a..21863650608 100644
--- a/srcpkgs/remmina/template
+++ b/srcpkgs/remmina/template
@@ -1,7 +1,7 @@
 # Template file for 'remmina'
 pkgname=remmina
 version=1.3.4
-revision=1
+revision=2
 wrksrc="Remmina-${version}"
 build_style=cmake
 configure_args="-DWITH_APPINDICATOR=OFF -DCMAKE_USE_PTHREADS_INIT=ON"

From 2282562649810db0db33d26c97f84e45f2583d60 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 27 May 2019 16:10:17 +0200
Subject: [PATCH 302/310] qupzilla1: rebuild for libressl-2.9.2.

---
 srcpkgs/qupzilla1/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/qupzilla1/template b/srcpkgs/qupzilla1/template
index ee0b0bd059e..5a8b825fe13 100644
--- a/srcpkgs/qupzilla1/template
+++ b/srcpkgs/qupzilla1/template
@@ -1,7 +1,7 @@
 # Template file for 'qupzilla1'
 pkgname=qupzilla1
 version=1.8.9
-revision=12
+revision=13
 wrksrc="QupZilla-${version}"
 build_style=qmake
 hostmakedepends="pkg-config"

From 6142b3eb3fff39dc8024ecebc25a6e67553404e4 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 27 May 2019 23:19:15 +0200
Subject: [PATCH 303/310] rustup: rebuild for libressl-2.9.2.

---
 srcpkgs/rustup/template | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/rustup/template b/srcpkgs/rustup/template
index 27d9bec34d0..d1a5d5be264 100644
--- a/srcpkgs/rustup/template
+++ b/srcpkgs/rustup/template
@@ -1,7 +1,7 @@
 # Template file for 'rustup'
 pkgname=rustup
 version=1.18.3
-revision=1
+revision=2
 wrksrc="${pkgname}.rs-${version}"
 build_style=cargo
 configure_args="--features no-self-update --bin rustup-init"
@@ -14,6 +14,11 @@ homepage="https://www.rustup.rs"
 distfiles="https://github.com/rust-lang-nursery/${pkgname}.rs/archive/${version}.tar.gz"
 checksum=9a2ae2c85bbbfc838b25d86d049bc677532950d78765725beabb8a61df1c2710
 
+pre_build() {
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
+}
+
 do_install() {
 	vbin target/${RUST_TARGET}/release/rustup-init
 

From b86f8264bf2ca2bf1088b7c9e3f34e6e7742190a Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 27 May 2019 23:28:15 +0200
Subject: [PATCH 304/310] mdcat: rebuild for libressl-2.9.2.

---
 srcpkgs/mdcat/patches/Cargo-libressl-2.8.patch | 10 ----------
 srcpkgs/mdcat/template                         |  9 ++++++++-
 2 files changed, 8 insertions(+), 11 deletions(-)
 delete mode 100644 srcpkgs/mdcat/patches/Cargo-libressl-2.8.patch

diff --git a/srcpkgs/mdcat/patches/Cargo-libressl-2.8.patch b/srcpkgs/mdcat/patches/Cargo-libressl-2.8.patch
deleted file mode 100644
index 9a53a9455dd..00000000000
--- a/srcpkgs/mdcat/patches/Cargo-libressl-2.8.patch
+++ /dev/null
@@ -1,10 +0,0 @@
---- Cargo.toml.orig       2018-10-29 23:03:12.480264071 +0100
-+++ Cargo.toml    2018-10-29 23:03:26.020138216 +0100
-@@ -65,3 +65,7 @@
- tag-message = "mdcat {{version}}"
- tag-prefix = "mdcat-"
- pre-release-hook = "./scripts/prerelease-hook.py"
-+
-+
-+[patch.crates-io]
-+openssl-sys = {git = 'https://github.com/jnbr/rust-openssl', rev = "d5471c97ae86e5bd1032eb6fd95005933f507c49"}
diff --git a/srcpkgs/mdcat/template b/srcpkgs/mdcat/template
index 3731cd0ee7d..fff585684bd 100644
--- a/srcpkgs/mdcat/template
+++ b/srcpkgs/mdcat/template
@@ -1,7 +1,7 @@
 # Template file for 'mdcat'
 pkgname=mdcat
 version=0.13.0
-revision=1
+revision=2
 wrksrc="${pkgname}-${pkgname}-${version}"
 build_style=cargo
 hostmakedepends="cmake pkg-config"
@@ -12,3 +12,10 @@ license="Apache-2.0"
 homepage="https://github.com/lunaryorn/mdcat"
 distfiles="https://github.com/lunaryorn/mdcat/archive/mdcat-${version}.tar.gz"
 checksum=9528a0dedcb9db559c9973001787f474f87559366a2c7a2ff01148c5ab31eac1
+
+
+pre_build() {
+	cargo update --package autocfg --precise 0.1.4
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
+}

From 2dd0f27f32d684c8c6be238ce2e25da8c3ecf0cd Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 27 May 2019 23:36:38 +0200
Subject: [PATCH 305/310] cargo-outdated: rebuild for libressl-2.9.2.

---
 srcpkgs/cargo-outdated/template | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/cargo-outdated/template b/srcpkgs/cargo-outdated/template
index 2dae90e6926..953d11b0e32 100644
--- a/srcpkgs/cargo-outdated/template
+++ b/srcpkgs/cargo-outdated/template
@@ -1,7 +1,7 @@
 # Template file for 'cargo-outdated'
 pkgname=cargo-outdated
 version=0.8.0
-revision=2
+revision=3
 build_style=cargo
 hostmakedepends="pkg-config"
 makedepends="libgit2-devel libressl-devel"
@@ -12,6 +12,12 @@ homepage="https://github.com/kbknapp/cargo-outdated"
 distfiles="https://github.com/kbknapp/cargo-outdated/archive/v${version}.tar.gz"
 checksum=6e07552706cdebceaf5b03bcd022082cdafca70e8e095a74ace95c767e39d509
 
+pre_build() {
+	cargo update --package autocfg --precise 0.1.4
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
+}
+
 post_install() {
 	vlicense LICENSE-MIT
 }

From cc19b9dd95395a4b792857bf5b13d7c71c146b0b Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 27 May 2019 23:44:05 +0200
Subject: [PATCH 306/310] fractal: rebuild for libressl-2.9.2.

---
 srcpkgs/fractal/template | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/fractal/template b/srcpkgs/fractal/template
index 67ac3c03626..6c1dd556940 100644
--- a/srcpkgs/fractal/template
+++ b/srcpkgs/fractal/template
@@ -1,7 +1,7 @@
 # Template file for 'fractal'
 pkgname=fractal
 version=4.0.0
-revision=2
+revision=3
 build_style=meson
 build_helper="rust"
 hostmakedepends="cargo pkg-config glib-devel"
@@ -20,10 +20,14 @@ case "$XBPS_TARGET_MACHINE" in
 	armv6l-musl) broken="error: Could not compile gtk." ;;
 esac
 
-if [ "$CROSS_BUILD" ]; then
-	pre_build() {
+pre_build() {
+	cargo update --package autocfg --precise 0.1.4
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
+
+	if [ "$CROSS_BUILD" ]; then
 		vsed -i scripts/cargo.sh \
 			-e 's/target\//&${RUST_TARGET}\//' \
 			-e '/CARGO_HOME/d'
-	}
-fi
+	fi
+}

From 7657d3de3ca1ecb3a85ce3269c4cd7354c290c6e Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 27 May 2019 23:51:04 +0200
Subject: [PATCH 307/310] gcsf: rebuild for libressl-2.9.2.

---
 srcpkgs/gcsf/template | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gcsf/template b/srcpkgs/gcsf/template
index 97afb1cb637..9fdc4a2320f 100644
--- a/srcpkgs/gcsf/template
+++ b/srcpkgs/gcsf/template
@@ -1,7 +1,7 @@
 # Template file for 'gcsf'
 pkgname=gcsf
 version=0.1.25
-revision=1
+revision=2
 build_style=cargo
 hostmakedepends="pkg-config"
 makedepends="fuse-devel libressl-devel"
@@ -17,7 +17,8 @@ case "$XBPS_TARGET_MACHINE" in
 esac
 
 pre_build() {
-	cargo update --package openssl-sys --precise 0.9.40
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
 }
 
 post_install() {

From 1c127ff95f7148162fd76742dd1fafd75d992b5b Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 9 Jun 2019 16:06:22 +0200
Subject: [PATCH 308/310] gnome-podcasts: rebuild for libressl-2.9.2.

---
 .../gnome-podcasts/patches/fix-build.patch    | 21 +++++++++++++++++++
 srcpkgs/gnome-podcasts/template               | 10 +++------
 2 files changed, 24 insertions(+), 7 deletions(-)
 create mode 100644 srcpkgs/gnome-podcasts/patches/fix-build.patch

diff --git a/srcpkgs/gnome-podcasts/patches/fix-build.patch b/srcpkgs/gnome-podcasts/patches/fix-build.patch
new file mode 100644
index 00000000000..aeb9581bd79
--- /dev/null
+++ b/srcpkgs/gnome-podcasts/patches/fix-build.patch
@@ -0,0 +1,21 @@
+--- podcasts-gtk/src/widgets/episode.rs.orig	2019-06-09 15:54:59.793451047 +0200
++++ podcasts-gtk/src/widgets/episode.rs	2019-06-09 15:55:19.191311512 +0200
+@@ -559,7 +559,7 @@
+             .total_size
+             .get_text()
+             .as_ref()
+-            .map(|s| s.trim_right_matches(" MB"))
++            .map(|s| s.trim_end_matches(" MB"))
+             .and_then(|s| s.parse::<i32>().ok())
+             .is_none()
+         {
+--- podcasts-gtk/src/widgets/shows_view.rs.orig	2019-06-09 15:54:00.320878867 +0200
++++ podcasts-gtk/src/widgets/shows_view.rs	2019-06-09 15:54:13.151786563 +0200
+@@ -80,7 +80,6 @@
+ }
+ 
+ fn on_child_activate(child: &gtk::FlowBoxChild, sender: &Sender<Action>) -> Result<(), Error> {
+-    use gtk::WidgetExt;
+ 
+     // This is such an ugly hack...
+     let id = WidgetExt::get_name(child)
diff --git a/srcpkgs/gnome-podcasts/template b/srcpkgs/gnome-podcasts/template
index 900de486287..db8b65310ec 100644
--- a/srcpkgs/gnome-podcasts/template
+++ b/srcpkgs/gnome-podcasts/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-podcasts'
 pkgname=gnome-podcasts
 version=0.4.6
-revision=2
+revision=3
 wrksrc="podcasts-${version}"
 build_style=meson
 hostmakedepends="cargo gettext-devel glib-devel pkg-config"
@@ -14,12 +14,8 @@ homepage="https://wiki.gnome.org/Apps/Podcasts"
 distfiles="https://gitlab.gnome.org/World/podcasts/-/archive/${version}/podcasts-${version}.tar.gz"
 checksum=953c63e8184ca1f748418d8a8262d40eaa41047f81e2d2c874a3035d9d9d0e4a
 nocross="rustc cant be crosscompiled as of now"
-broken="broken rust code in release"
-
-export GETTEXT_BIN_DIR=/usr/bin
-export GETTEXT_LIB_DIR="${XBPS_CROSS_BASE}/usr/lib/gettext"
-export GETTEXT_INCLUDE_DIR="${XBPS_CROSS_BASE}/usr/include"
 
 pre_build() {
-	cargo update --package openssl-sys --precise 0.9.39
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
 }

From 2b7fdbbf8c658e84f2034970b7839731450665b6 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 9 Jun 2019 19:19:36 +0200
Subject: [PATCH 309/310] synergy: rebuild for libressl-2.9.2.

---
 srcpkgs/synergy/patches/qt5-build.patch | 20 ++++++++++++++++++++
 srcpkgs/synergy/template                |  2 +-
 2 files changed, 21 insertions(+), 1 deletion(-)
 create mode 100644 srcpkgs/synergy/patches/qt5-build.patch

diff --git a/srcpkgs/synergy/patches/qt5-build.patch b/srcpkgs/synergy/patches/qt5-build.patch
new file mode 100644
index 00000000000..65119a67a18
--- /dev/null
+++ b/srcpkgs/synergy/patches/qt5-build.patch
@@ -0,0 +1,20 @@
+--- src/gui/src/ScreenSetupView.h.orig	2019-06-09 19:16:38.358110544 +0200
++++ src/gui/src/ScreenSetupView.h	2019-06-09 19:16:53.268001862 +0200
+@@ -22,6 +22,7 @@
+ 
+ #include <QTableView>
+ #include <QFlags>
++#include <QHeaderView>
+ 
+ #include "Screen.h"
+ 
+--- src/gui/src/ActionDialog.h.orig	2019-06-09 19:17:32.518715748 +0200
++++ src/gui/src/ActionDialog.h	2019-06-09 19:17:50.508584615 +0200
+@@ -21,6 +21,7 @@
+ #define ACTIONDIALOG_H
+ 
+ #include <QDialog>
++#include <QButtonGroup>
+ 
+ #include "ui_ActionDialogBase.h"
+ 
diff --git a/srcpkgs/synergy/template b/srcpkgs/synergy/template
index bef9abfe36e..c330dfa905c 100644
--- a/srcpkgs/synergy/template
+++ b/srcpkgs/synergy/template
@@ -1,7 +1,7 @@
 # Template file for 'synergy'
 pkgname=synergy
 version=1.8.8
-revision=5
+revision=6
 wrksrc="${pkgname}-core-${version}-stable"
 build_style=cmake
 hostmakedepends="unzip pkg-config"

From e948e3cc86d25d8977eb5d780f9726f5cc30da05 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Sun, 9 Jun 2019 20:16:07 +0200
Subject: [PATCH 310/310] spice: rebuild for libressl-2.9.1.

---
 srcpkgs/spice/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/spice/template b/srcpkgs/spice/template
index a83a2284ddf..5072facf5b0 100644
--- a/srcpkgs/spice/template
+++ b/srcpkgs/spice/template
@@ -1,7 +1,7 @@
 # Template file for 'spice'
 pkgname=spice
 version=0.14.2
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--disable-tunnel --disable-opengl --enable-smartcard
  --with-sasl --disable-static --enable-xinerama --disable-celt051"
